2011-05-30 12:48  Sandro Santilli <strk@keybit.net>

	* [r3386] NEWS, configure.in: Set version to 3.3.0 (final) - Set
	  release date to 2011-05-30

2011-05-30 10:49  Mateusz Loskot <mateusz@loskot.net>

	* [r3385] capi/CMakeLists.txt: Applied William\'s patch
	  capi_CMakeLists.txt.patch for OSX framework (Ticket #385)

2011-05-30 10:45  Mateusz Loskot <mateusz@loskot.net>

	* [r3384] src/CMakeLists.txt: Applied William\'s patch *
	  src_CMakeLists.txt.patch Download added OSX framework (Ticket
	  #385)

2011-05-30 10:30  Mateusz Loskot <mateusz@loskot.net>

	* [r3383] src/CMakeLists.txt: Applied William\'s patch with missing
	  library versions for OSX framework (Ticket #385)

2011-05-30 09:41  Mateusz Loskot <mateusz@loskot.net>

	* [r3382] tests/bigtest/CMakeLists.txt, tests/unit/CMakeLists.txt,
	  tests/xmltester/CMakeLists.txt: Applied supplementary tests.patch
	  for 85 from William

2011-05-27 14:04  Sandro Santilli <strk@keybit.net>

	* [r3381] src/Makefile.am: The mac framework info.plist.in from
	  r3376 didn't make it into the rc2 tarball.

2011-05-23 10:04  Sandro Santilli <strk@keybit.net>

	* [r3378] ChangeLog: updated for 3.3.0rc2 release

2011-05-23 09:58  Sandro Santilli <strk@keybit.net>

	* [r3377] configure.in: Set version to 3.3.0rc2

2011-05-23 08:52  Mateusz Loskot <mateusz@loskot.net>

	* [r3376] src/info.plist.in: Added src/info.plist.in file for OS X
	  framework build option in CMake configuration (Ticket #385)

2011-05-22 23:34  Mateusz Loskot <mateusz@loskot.net>

	* [r3375] CMakeLists.txt, capi/CMakeLists.txt,
	  include/CMakeLists.txt, src/CMakeLists.txt, tools/CMakeLists.txt:
	  Added OS X framework build option to CMake configuration (Ticket
	  #385)

2011-05-20 08:02  Sandro Santilli <strk@keybit.net>

	* [r3374] tests/perf/capi/memleak_mp_prep.c: add missing return
	  from main

2011-05-19 20:39  Frank Warmerdam <warmerdam@pobox.com>

	* [r3373] src/operation/overlay/PolygonBuilder.cpp: shellCount
	  checking should not be DEBUG only now that we throw an exception
	  (#398)

2011-05-19 19:32  Frank Warmerdam <warmerdam@pobox.com>

	* [r3372] include/geos/noding/SegmentPointComparator.h,
	  src/Makefile.vc, src/noding/snapround/MCIndexSnapRounder.cpp,
	  src/operation/overlay/PolygonBuilder.cpp: Updates for Makefile.vc
	  builds and issues when building NDEBUG and no inlining

2011-05-19 14:58  Sandro Santilli <strk@keybit.net>

	* [r3371] tests/perf/capi/Makefile.am: Fix build of prepared geoms
	  memleak tester on system w/out geos installed

2011-05-18 19:59  Sandro Santilli <strk@keybit.net>

	* [r3370] include/geos/platform.h.in,
	  src/algorithm/RobustDeterminant.cpp: Do not assume isfinite is in
	  std:: namespace to fix #444; Have RobustDeterminant use a broad
	  'using namespace std' to fix #442 in another way.

2011-05-17 20:44  Sandro Santilli <strk@keybit.net>

	* [r3369] Makefile.am, capi/Makefile.am, include/Makefile.am,
	  include/geos/Makefile.am, src/Makefile.am, tests/Makefile.am,
	  tests/bigtest/Makefile.am, tests/unit/Makefile.am,
	  tests/xmltester/Makefile.am, tools/Makefile.am: Distribute cmake
	  build scripts. Fixes bug #441.

2011-05-17 17:04  Sandro Santilli <strk@keybit.net>

	* [r3368] include/geos/noding/snapround/MCIndexSnapRounder.h,
	  include/geos/noding/snapround/MCIndexSnapRounder.inl,
	  include/geos/noding/snapround/Makefile.am, src/inlines.cpp:
	  Remove inlines machinery from MCIndexSnapRounder. Possibly fixes
	  ticket #222.

2011-05-17 16:50  Sandro Santilli <strk@keybit.net>

	* [r3367] include/geos/geom/Coordinate.h,
	  include/geos/geom/Coordinate.inl, src/geom/Coordinate.cpp: Remove
	  disabled code and old logs. No functional change.

2011-05-16 14:17  Mateusz Loskot <mateusz@loskot.net>

	* [r3366] include/geos/geom/util/SineStarFactory.h: Fixed buggy
	  self-assignment in SineStarFactory::setNumArms

2011-05-16 11:46  Sandro Santilli <strk@keybit.net>

	* [r3365] include/geos/platform.h.in: Quality ::finite and
	  ::isfinite symbols, when available, into the std:: namespace.
	  Fixes bug #442.

2011-05-13 16:22  Mateusz Loskot <mateusz@loskot.net>

	* [r3364] capi/CMakeLists.txt,
	  tests/unit/capi/GEOSIntersectsTest.cpp: GEOS DLL exports are
	  pretty much messed up. The same DLL declspec is used by both C++
	  and C DLLs. So, GEOS C DLL cannot import and link properly
	  against GEOS C++ interface as the declspec(dllexport) is
	  specified for the GEOS C++ DLL where declspec(dllimport) is
	  expected. This commit fixes the issue (temporarily) by linking
	  GEOS C DLL against GEOS C++ static library.

2011-05-13 16:17  Mateusz Loskot <mateusz@loskot.net>

	* [r3363] include/geos/algorithm/Angle.h: Added missing DLL decspec
	  for Angle class

2011-05-13 15:53  Mateusz Loskot <mateusz@loskot.net>

	* [r3362] src/algorithm/RobustDeterminant.cpp: Removed
	  std::isfinite as possibly non-existing on some platforms - rather
	  fix platform.h if needed.

2011-05-12 10:11  Sandro Santilli <strk@keybit.net>

	* [r3361] NEWS: Add note about #357 fix

2011-05-12 09:56  Sandro Santilli <strk@keybit.net>

	* [r3360] src/algorithm/RobustDeterminant.cpp,
	  tests/unit/capi/GEOSIntersectsTest.cpp: Have RobustDeterminant
	  throw an IllegalArgument if passed any infinite or nan value.
	  Fixes bug #357. Includes regress test.

2011-05-12 07:39  Sandro Santilli <strk@keybit.net>

	* [r3359] NEWS: Add note about the memory usage reduction in
	  prepared geoms (#342)

2011-05-12 07:21  Sandro Santilli <strk@keybit.net>

	* [r3358] src/noding/MCIndexSegmentSetMutualIntersector.cpp:
	  Reserve vector space, use ::size_type for vector indices.

2011-05-12 07:18  Sandro Santilli <strk@keybit.net>

	* [r3357] include/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	  src/noding/MCIndexSegmentSetMutualIntersector.cpp: Don't let
	  MCIndexSegmentSetMutualIntersector grow in memory on every new
	  ::process call. Fixes bug #342.

2011-05-12 07:14  Sandro Santilli <strk@keybit.net>

	* [r3356] include/geos/index/chain/MonotoneChainBuilder.h,
	  src/index/chain/MonotoneChainBuilder.cpp: Port info for
	  MonotoneChainBuilder

2011-05-12 06:20  Sandro Santilli <strk@keybit.net>

	* [r3355] src/geom/prep/PreparedLineStringIntersects.cpp: Fix a
	  memory leak in PreparedLineStringIntersects::isAnyPointInRing

2011-05-12 06:16  Sandro Santilli <strk@keybit.net>

	* [r3354] src/geom/prep/PreparedLineString.cpp: Drop commented out
	  code

2011-05-12 06:13  Sandro Santilli <strk@keybit.net>

	* [r3353] include/geos/geom/prep/PreparedLineStringIntersects.h,
	  src/geom/prep/PreparedLineStringIntersects.cpp: Port info for
	  PreparedLineStringIntersects, and avoid polluting the global
	  namespace

2011-05-12 06:10  Sandro Santilli <strk@keybit.net>

	* [r3352] include/geos/geom/prep/AbstractPreparedPolygonContains.h,
	  src/geom/prep/AbstractPreparedPolygonContains.cpp: Reduce heap
	  allocations in AbstractPreparedPolygonContains

2011-05-11 17:59  Sandro Santilli <strk@keybit.net>

	* [r3351] include/geos/noding/FastSegmentSetIntersectionFinder.h,
	  src/noding/FastSegmentSetIntersectionFinder.cpp: Port info for
	  FastSegmentSetIntersectionFinder

2011-05-11 17:59  Sandro Santilli <strk@keybit.net>

	* [r3350] include/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	  src/noding/MCIndexSegmentSetMutualIntersector.cpp: Port info for
	  MCIndexSegmentSetMutualIntersector

2011-05-11 17:25  Sandro Santilli <strk@keybit.net>

	* [r3349] configure.in, tests/perf/Makefile.am, tests/perf/capi,
	  tests/perf/capi/Makefile.am, tests/perf/capi/memleak_mp_prep.c,
	  tests/perf/capi/memleak_mp_prep.sh: Import test for bug #342. It
	  is not automated as it's not general (requires bash)

2011-05-11 10:00  Sandro Santilli <strk@keybit.net>

	* [r3348] HOWTO_RELEASE: Producing a bzip2 tarball is easier than
	  described

2011-05-11 09:54  Sandro Santilli <strk@keybit.net>

	* [r3346] ChangeLog, NEWS: Updated for 3.0.0rc1 release

2011-05-11 09:48  Sandro Santilli <strk@keybit.net>

	* [r3345] php/geos.c, php/test/test.php: Add Geometry.offsetCurve
	  to PHP binding

2011-05-11 09:47  Sandro Santilli <strk@keybit.net>

	* [r3344] php/geos.c, php/test/test.php: Add single-sided buffering
	  support in PHP binding

2011-05-11 09:15  Sandro Santilli <strk@keybit.net>

	* [r3343] configure.in: Set version to 3.0.0rc1

2011-05-10 18:10  Sandro Santilli <strk@keybit.net>

	* [r3342] src/operation/buffer/BufferBuilder.cpp,
	  tests/unit/capi/GEOSOffsetCurveTest.cpp: Have GEOSOffsetCurve
	  return LINESTRING EMPTY for collapsing lines (right offset on
	  right-turning curve can do that). Regress test one such case,
	  taken from http://trac.osgeo.org/postgis/ticket/413.

2011-05-10 11:11  Sandro Santilli <strk@keybit.net>

	* [r3341] tests/unit/Makefile.am,
	  tests/unit/capi/GEOSIntersectsTest.cpp: Add test for 357 (doesn't
	  succeed at failing)

2011-05-10 09:51  Sandro Santilli <strk@keybit.net>

	* [r3340] include/geos/algorithm/LineIntersector.h,
	  include/geos/geomgraph/EdgeIntersection.h,
	  include/geos/geomgraph/EdgeIntersectionList.h,
	  src/algorithm/LineIntersector.cpp, src/geomgraph/Edge.cpp,
	  src/geomgraph/EdgeIntersectionList.cpp: Revert "Use long double
	  to compute edge distance." (r3334). Simple double in HCoordinate
	  made #350 pass anyway.

2011-05-10 09:51  Sandro Santilli <strk@keybit.net>

	* [r3339] src/algorithm/HCoordinate.cpp: Drop
	  STORE_INTERMEDIATE_COMPUTATION_VALUES macro and protected
	  non-unrolled computation, that is all paranoia aimed at making
	  floats stored to match java IEEE. Since we get no failures in
	  testsuite (our and postgis') I think it makes sense to have the
	  code as close as possible to the JTS one.

2011-05-10 09:50  Sandro Santilli <strk@keybit.net>

	* [r3338] include/geos/algorithm/HCoordinate.h,
	  src/algorithm/HCoordinate.cpp: Update port info

2011-05-10 09:50  Sandro Santilli <strk@keybit.net>

	* [r3337] tests/xmltester/tests/ticket/bug350.xml,
	  tests/xmltester/tests/ticket/bug398.xml: Expect the same results
	  given by JTS

2011-05-10 09:50  Sandro Santilli <strk@keybit.net>

	* [r3336] include/geos/algorithm/HCoordinate.h,
	  src/algorithm/HCoordinate.cpp: Bring hcoordinate back to double
	  precision (from long double)

2011-05-09 11:57  Sandro Santilli <strk@keybit.net>

	* [r3335] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/ticket/bug350.xml: Automate test for
	  bug350, change the expected result to match the one obtained by
	  GEOS. It is not _exactly_ the same output obtained with JTS but
	  close enough. Unfortunately both GEOS and JTS use an exact match
	  for comparison so we won't be able to share this test.

2011-05-09 11:57  Sandro Santilli <strk@keybit.net>

	* [r3334] include/geos/algorithm/LineIntersector.h,
	  include/geos/geomgraph/EdgeIntersection.h,
	  include/geos/geomgraph/EdgeIntersectionList.h,
	  src/algorithm/LineIntersector.cpp, src/geomgraph/Edge.cpp,
	  src/geomgraph/EdgeIntersectionList.cpp: Use long double to
	  compute edge distance. Makes noding more robust, fixes bug #350.

2011-05-06 18:51  Sandro Santilli <strk@keybit.net>

	* [r3333] include/geos/geomgraph/EdgeIntersection.h,
	  src/geomgraph/EdgeIntersection.cpp, src/geomgraph/Makefile.am:
	  Turn EdgeIntersection into a concrete, fully-inlined, C++ class.

2011-05-06 18:51  Sandro Santilli <strk@keybit.net>

	* [r3332] include/geos/geomgraph/index/MonotoneChain.h: Describe
	  MonotoneChain

2011-05-06 18:51  Sandro Santilli <strk@keybit.net>

	* [r3331] src/geomgraph/Edge.cpp,
	  src/geomgraph/EdgeIntersection.cpp,
	  src/geomgraph/EdgeIntersectionList.cpp: Make output operators for
	  Edge, EdgeIntersection and EdgeIntersectionList closer to JTS,
	  for easier comparison

2011-05-06 18:51  Sandro Santilli <strk@keybit.net>

	* [r3330] include/geos/geomgraph/EdgeIntersection.h,
	  include/geos/geomgraph/EdgeIntersectionList.h,
	  src/geomgraph/EdgeIntersection.cpp,
	  src/geomgraph/EdgeIntersectionList.cpp: Output operator for
	  EdgeIntersection and EdgeIntersectionList

2011-05-06 18:51  Sandro Santilli <strk@keybit.net>

	* [r3329] include/geos/geomgraph/GeometryGraph.h,
	  src/geomgraph/GeometryGraph.cpp: Drop book keeping of segment
	  intersectors, as we're transferring their ownership to caller
	  anyway

2011-05-06 08:57  Sandro Santilli <strk@keybit.net>

	* [r3328] tests/xmltester/tests/ticket/bug350.xml: Re-add also the
	  original data in test for bug350, so nothing gets lost.

2011-05-06 08:57  Sandro Santilli <strk@keybit.net>

	* [r3327] src/geomgraph/GeometryGraph.cpp: Use logical (not
	  bitwise) AND, use dynamic_cast to map JTS's instanceof operator

2011-05-06 08:57  Sandro Santilli <strk@keybit.net>

	* [r3326] tests/xmltester/tests/ticket/bug350.xml: Modify test for
	  bug350 so to use pre-snapped geometries. Shows that the problem
	  is not in snapping code, but after that (ie: JTS succeeds at fist
	  shot on this new input)

2011-05-04 17:45  Sandro Santilli <strk@keybit.net>

	* [r3325] src/geom/prep/AbstractPreparedPolygonContains.cpp,
	  tests/unit/capi/GEOSPreparedGeometryTest.cpp: Fix regression
	  accidentally introduced by commit r3322 (Sean's). Add automated
	  test for it (was found trough PostGIS regression test)

2011-05-04 16:30  Sandro Santilli <strk@keybit.net>

	* [r3324] src/operation/buffer/OffsetCurveBuilder.cpp: Drop useless
	  and unavailable include

2011-05-03 02:30  Sean Gillies <sgillies@frii.com>

	* [r3323] src/geom/prep/AbstractPreparedPolygonContains.cpp,
	  src/geom/prep/PreparedPolygon.cpp: Damn these tabs

2011-05-03 02:27  Sean Gillies <sgillies@frii.com>

	* [r3322] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  src/geom/prep/AbstractPreparedPolygonContains.cpp,
	  src/geom/prep/PreparedPolygon.cpp: Add missing prepared geometry
	  predicates to C API (#436)

2011-04-28 16:39  Sandro Santilli <strk@keybit.net>

	* [r3321] .gitignore, NEWS,
	  include/geos/operation/predicate/RectangleIntersects.h,
	  include/geos/operation/predicate/SegmentIntersectionTester.h,
	  src/operation/predicate/RectangleIntersects.cpp,
	  src/operation/predicate/SegmentIntersectionTester.cpp: Improve
	  performance of RectangleIntersects (of one order of magnitude).

2011-04-28 16:38  Sandro Santilli <strk@keybit.net>

	* [r3320]
	  tests/perf/operation/predicate/RectangleIntersectsPerfTest.cpp:
	  More concise output from performance tester

2011-04-28 15:09  Sandro Santilli <strk@keybit.net>

	* [r3319] src/noding/ScaledNoder.cpp,
	  src/operation/buffer/BufferOp.cpp: Hush uncontrolled debugging
	  prints

2011-04-28 15:08  Sandro Santilli <strk@keybit.net>

	* [r3318] include/geos/operation/relate/RelateComputer.h,
	  src/operation/relate/RelateComputer.cpp: Plug leak on exception
	  in RelateComputer (exposed by running doc/example)

2011-04-28 15:08  Sandro Santilli <strk@keybit.net>

	* [r3317] src/geom/Geometry.cpp: Do not leak on exception during
	  relational geometry predicates

2011-04-28 14:16  Sandro Santilli <strk@keybit.net>

	* [r3316] configure.in, tests/perf/operation/Makefile.am,
	  tests/perf/operation/predicate,
	  tests/perf/operation/predicate/Makefile.am,
	  tests/perf/operation/predicate/RectangleIntersectsPerfTest.cpp:
	  Port RectangleIntersects performance test from JTS-1.12

2011-04-28 14:16  Sandro Santilli <strk@keybit.net>

	* [r3315] src/operation/predicate/RectangleIntersects.cpp: Do not
	  leak memory during rectangle intersects predicate

2011-04-28 14:16  Sandro Santilli <strk@keybit.net>

	* [r3314] src/operation/overlay/OverlayOp.cpp: Drop unneeded
	  include

2011-04-28 10:04  Sandro Santilli <strk@keybit.net>

	* [r3313] doc/example.cpp, include/geos/geom/util/Makefile.am,
	  include/geos/geom/util/SineStarFactory.h,
	  include/geos/util/GeometricShapeFactory.h,
	  src/geom/util/Makefile.am, src/geom/util/SineStarFactory.cpp,
	  src/util/GeometricShapeFactory.cpp: Port
	  geos::geom::util::SineStarFactory from JTS-1.12, useful for
	  profile-test RectangleIntersects.

2011-04-28 10:04  Sandro Santilli <strk@keybit.net>

	* [r3312] src/geomgraph/EdgeIntersectionList.cpp,
	  src/geomgraph/NodeMap.cpp, src/operation/valid/IsValidOp.cpp:
	  Trim old embedded history log (from CVS times)

2011-04-27 16:42  Sandro Santilli <strk@keybit.net>

	* [r3311] include/geos/algorithm/CGAlgorithms.h,
	  src/algorithm/CGAlgorithms.cpp, tests/unit/Makefile.am,
	  tests/unit/algorithm/CGAlgorithms/signedAreaTest.cpp: Improve
	  speed of Geometry.getArea, unit-test it.

2011-04-27 15:52  Sandro Santilli <strk@keybit.net>

	* [r3310] tools/findclassfiles: Match full class names, not
	  partial. Allow specifying a package name.

2011-04-27 15:47  Sandro Santilli <strk@keybit.net>

	* [r3309] include/geos/operation/linemerge/EdgeString.h,
	  include/geos/operation/linemerge/LineMergeDirectedEdge.h,
	  include/geos/operation/linemerge/LineMergeEdge.h,
	  include/geos/operation/linemerge/LineMergeGraph.h,
	  include/geos/operation/linemerge/LineMerger.h,
	  include/geos/operation/linemerge/LineSequencer.h,
	  src/operation/linemerge/EdgeString.cpp,
	  src/operation/linemerge/LineMergeDirectedEdge.cpp,
	  src/operation/linemerge/LineMergeEdge.cpp,
	  src/operation/linemerge/LineMergeGraph.cpp,
	  src/operation/linemerge/LineMerger.cpp,
	  src/operation/linemerge/LineSequencer.cpp: Sync linemerge package
	  to JTS-1.12 (nothing changed)

2011-04-27 15:33  Sandro Santilli <strk@keybit.net>

	* [r3308] tools/findclassfiles: Utility script to help with editing
	  all files of a class

2011-04-27 15:18  Sandro Santilli <strk@keybit.net>

	* [r3307] include/geos/algorithm/Angle.h, src/algorithm/Angle.cpp,
	  tests/unit/Makefile.am, tests/unit/algorithm/AngleTest.cpp: Sync
	  Angle class to JTS-1.12, port unit testing for it.

2011-04-27 14:13  Sandro Santilli <strk@keybit.net>

	* [r3306] include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	  src/operation/buffer/OffsetCurveSetBuilder.cpp,
	  tests/unit/capi/GEOSBufferTest.cpp: Add test for singlesided
	  buffer (areal). Fix premature exit from OffsetCurveSetBuilder.

2011-04-27 13:38  Sandro Santilli <strk@keybit.net>

	* [r3305] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  tests/unit/capi/GEOSOffsetCurveTest.cpp: Drop one argument from
	  GEOSOffsetCurve. Tell right/left from width/distance sign (<0 for
	  right side)

2011-04-27 13:06  Sandro Santilli <strk@keybit.net>

	* [r3304] tests/unit/Makefile.am,
	  tests/unit/capi/GEOSBufferTest.cpp,
	  tests/unit/capi/GEOSOffsetCurveTest.cpp: Put OffsetCurveTest in
	  its own file (old singleside test + a couple more tests)

2011-04-27 13:06  Sandro Santilli <strk@keybit.net>

	* [r3303] NEWS, capi/geos_c.cpp, capi/geos_c.h.in,
	  capi/geos_ts_c.cpp: Add GEOSBufferParams type and
	  GEOSBufferWithParams function to have an extensible buffer
	  operation. Allows areal single sided buffer.

2011-04-27 11:13  Sandro Santilli <strk@keybit.net>

	* [r3302] NEWS, capi/geos_c.cpp, capi/geos_c.h.in,
	  capi/geos_ts_c.cpp: Add GEOSOffsetCurve C-API interface
	  deprecating GEOSSingleSidedBuffer

2011-04-27 09:42  Sandro Santilli <strk@keybit.net>

	* [r3301] include/geos/operation/buffer/BufferBuilder.h,
	  include/geos/operation/buffer/BufferSubgraph.h,
	  include/geos/operation/buffer/Makefile.am,
	  include/geos/operation/buffer/OffsetCurveBuilder.h,
	  include/geos/operation/buffer/OffsetCurveVertexList.h,
	  include/geos/operation/buffer/OffsetSegmentGenerator.h,
	  include/geos/operation/buffer/OffsetSegmentString.h,
	  src/operation/buffer/BufferBuilder.cpp,
	  src/operation/buffer/BufferSubgraph.cpp,
	  src/operation/buffer/Makefile.am,
	  src/operation/buffer/OffsetCurveBuilder.cpp,
	  src/operation/buffer/OffsetSegmentGenerator.cpp: Refactored
	  offset curve generation (from JTS-1.12)

2011-04-27 09:42  Sandro Santilli <strk@keybit.net>

	* [r3300] include/geos/operation/buffer/BufferParameters.h,
	  src/operation/buffer/BufferParameters.cpp: Sync BufferParameters
	  class to JTS r378 (isSingleSided property)

2011-04-27 09:42  Sandro Santilli <strk@keybit.net>

	* [r3299] include/geos/operation/buffer/BufferOp.h,
	  src/operation/buffer/BufferOp.cpp: Sync BufferOp class to JTS
	  r378. Do not port the unused isSingleSided property.

2011-04-23 10:30  Sandro Santilli <strk@keybit.net>

	* [r3298] NEWS: Add note about GEOSCascadedUnion deprecation

2011-04-23 10:28  Sandro Santilli <strk@keybit.net>

	* [r3297] capi/geos_c.h.in: Mark GEOSUnionCascaded as deprecated,
	  GEOSUnaryUnion does the same thing w/out refusin to deal with
	  lines, points, collections

2011-04-23 10:03  Sandro Santilli <strk@keybit.net>

	* [r3296] include/geos/operation/union/CascadedUnion.h,
	  include/geos/operation/union/Makefile.am, php/test/test.php,
	  src/operation/union/CascadedUnion.cpp,
	  src/operation/union/Makefile.am,
	  src/operation/union/UnaryUnionOp.cpp,
	  tests/unit/capi/GEOSUnaryUnionTest.cpp,
	  tests/xmltester/Makefile.am,
	  tests/xmltester/tests/ticket/bug392.xml: Generalize
	  CascadedPolygonUnion into a CascadedUnion. Use the generalized
	  class for unary union of lines, fixing bug #392. Automate testing
	  of it, tweak expected results from other tests (output components
	  reordered).

2011-04-22 22:26  Sandro Santilli <strk@keybit.net>

	* [r3295] tests/xmltester/XMLTester.cpp: Use equals() to compare
	  expected/obtained results of "Union" operation. This matches JTS
	  and prevents being too strict about equality.

2011-04-22 18:46  Sandro Santilli <strk@keybit.net>

	* [r3294] include/geos/operation/union/CascadedPolygonUnion.h,
	  include/geos/operation/union/GeometryListHolder.h,
	  include/geos/operation/union/Makefile.am: Put GeometryListHolder
	  in its own header file.

2011-04-22 13:51  Sandro Santilli <strk@keybit.net>

	* [r3293] include/geos/io/WKTWriter.h, src/io/WKTWriter.cpp,
	  tests/unit/io/WKTWriterTest.cpp: Use stringstream to format
	  strings rather than printf-like statements. Simplifies things a
	  lot.

2011-04-22 13:04  Sandro Santilli <strk@keybit.net>

	* [r3292] include/geos/geom/PrecisionModel.h,
	  include/geos/geom/PrecisionModel.inl,
	  src/geom/PrecisionModel.cpp, tests/unit/Makefile.am,
	  tests/unit/geom/PrecisionModelTest.cpp,
	  tests/unit/io/WKTReaderTest.cpp, tests/unit/io/WKTWriterTest.cpp:
	  Sync PrecisionModel to JTS-1.12, add unit testing, fix
	  getMaximumPrecisionDigit to behave as documented (JTS doesn't).

2011-04-20 17:13  Sandro Santilli <strk@keybit.net>

	* [r3291] include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	  src/operation/buffer/OffsetCurveSetBuilder.cpp,
	  tests/xmltester/Makefile.am,
	  tests/xmltester/tests/ticket/bug434.xml: Sync
	  OffsetCurveSetBuilder::isErodedCompletely implementation to JTS,
	  fixing bug #434

2011-04-20 15:55  Sandro Santilli <strk@keybit.net>

	* [r3290] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/bug176.xml,
	  tests/xmltester/tests/bug188.xml,
	  tests/xmltester/tests/bug244.xml,
	  tests/xmltester/tests/bug275.xml,
	  tests/xmltester/tests/bug344.xml,
	  tests/xmltester/tests/bug350.xml,
	  tests/xmltester/tests/bug356.xml,
	  tests/xmltester/tests/bug358.xml,
	  tests/xmltester/tests/bug360.xml,
	  tests/xmltester/tests/bug366.xml,
	  tests/xmltester/tests/bug398.xml, tests/xmltester/tests/ticket,
	  tests/xmltester/tests/ticket/bug176.xml,
	  tests/xmltester/tests/ticket/bug188.xml,
	  tests/xmltester/tests/ticket/bug244.xml,
	  tests/xmltester/tests/ticket/bug275.xml,
	  tests/xmltester/tests/ticket/bug344.xml,
	  tests/xmltester/tests/ticket/bug350.xml,
	  tests/xmltester/tests/ticket/bug356.xml,
	  tests/xmltester/tests/ticket/bug358.xml,
	  tests/xmltester/tests/ticket/bug360.xml,
	  tests/xmltester/tests/ticket/bug366.xml,
	  tests/xmltester/tests/ticket/bug398.xml: Move per-ticket
	  testcases under their own directory

2011-04-20 15:42  Sandro Santilli <strk@keybit.net>

	* [r3289] configure.in: Set JTS port version to 1.12

2011-04-19 07:57  Sandro Santilli <strk@keybit.net>

	* [r3288] tests/unit/algorithm/CGAlgorithms/isCCWTest.cpp: Add test
	  for IsCCW against the two almost-collapsed rings resulting by
	  GEOS or JTS during execution of the union described in ticket
	  #398. This is done after confirmation of same results in JTS (1
	  bit makes the difference between CCW and CW orientation).

2011-04-18 21:45  Sandro Santilli <strk@keybit.net>

	* [r3287] tests/unit/operation/distance/DistanceOpTest.cpp: Add the
	  actual ->distance() call to the test for bug #367

2011-04-18 21:28  Sandro Santilli <strk@keybit.net>

	* [r3286] src/operation/overlay/PolygonBuilder.cpp,
	  tests/xmltester/Makefile.am: Throw a TopologyException, rather
	  than aborting, when finding more than a shell in MinimalEdgeRing
	  list. Fixes bug #398. Enables automated test for it. Note that
	  JTS fails the test now, triggering the failed assertion.

2011-04-18 21:28  Sandro Santilli <strk@keybit.net>

	* [r3285] tests/xmltester/tests/bug398.xml: Expect a result
	  with/out the collapsed ring in the test for bug 398. Funny
	  enough, this makes JTS react by failing the assertion I was
	  tracking...

2011-04-18 21:01  Sandro Santilli <strk@keybit.net>

	* [r3284] src/operation/overlay/PolygonBuilder.cpp: Avoid more heap
	  allocations in PolygonBuilder

2011-04-18 15:08  Sandro Santilli <strk@keybit.net>

	* [r3283] include/geos/operation/overlay/PolygonBuilder.h,
	  src/operation/overlay/PolygonBuilder.cpp: Reduce heap allocations
	  in PolygonBuilder, rewrite some private interfaces to deal with
	  refs rather than pointers

2011-04-18 15:08  Sandro Santilli <strk@keybit.net>

	* [r3282] src/operation/overlay/PolygonBuilder.cpp: Use
	  PlanarGraph::linkResultDirectedEdges rather than rewriting it
	  inline

2011-04-18 15:08  Sandro Santilli <strk@keybit.net>

	* [r3281] include/geos/geomgraph/PlanarGraph.h,
	  src/geomgraph/PlanarGraph.cpp: Turn
	  PlanarGraph::linkResultDirectedEdges into a templated method

2011-04-13 11:52  Sandro Santilli <strk@keybit.net>

	* [r3280] tests/unit/geom/CoordinateArraySequenceTest.cpp: Add test
	  for bug #435

2011-04-13 11:32  Sandro Santilli <strk@keybit.net>

	* [r3279] php/Makefile.am: Fix path to CAPI includes for PHP
	  binding

2011-04-13 10:44  Sandro Santilli <strk@keybit.net>

	* [r3278] src/geom/CoordinateArraySequence.cpp: Drop coordinate
	  dimension cache after read-write filtering. Fixes ticket #435.

2011-04-13 08:26  Sandro Santilli <strk@keybit.net>

	* [r3277] .gitignore, Makefile.am, author.sh: Drop author.sh, add a
	  rule to create authors.git instead

2011-04-13 07:37  Sandro Santilli <strk@keybit.net>

	* [r3276] author.sh: Add script to be used with git-svn
	  --authors-prog

2011-03-26 14:02  Sandro Santilli <strk@keybit.net>

	* [r3275] include/geos/simplify/TaggedLineString.h,
	  src/index/chain/MonotoneChainBuilder.cpp,
	  src/simplify/DouglasPeuckerLineSimplifier.cpp,
	  src/simplify/TaggedLineString.cpp,
	  src/simplify/TaggedLineStringSimplifier.cpp: fix missing size_t
	  with gcc 4.6

2011-03-26 14:02  Sandro Santilli <strk@keybit.net>

	* [r3274] include/geos/index/chain/MonotoneChainBuilder.h,
	  include/geos/operation/valid/SimpleNestedRingTester.h,
	  src/index/bintree/Bintree.cpp, src/index/bintree/Node.cpp,
	  src/index/bintree/Root.cpp, src/index/strtree/AbstractNode.cpp:
	  fixed missing NULL with gcc 4.6

2011-03-26 14:02  Sandro Santilli <strk@keybit.net>

	* [r3273] include/geos/operation/overlay/OverlayNodeFactory.h: fix
	  uninitialized const caused by missing constructor

2011-03-24 17:54  Mateusz Loskot <mateusz@loskot.net>

	* [r3272] capi/CMakeLists.txt, include/CMakeLists.txt,
	  src/CMakeLists.txt: Added source_group properties to support
	  source browsers in various IDEs

2011-03-16 22:29  Sandro Santilli <strk@keybit.net>

	* [r3271] capi/geos_ts_c.cpp: Use GEOSVALID flag correctly, thanks
	  Mat for spotting this.

2011-03-11 14:40  Sandro Santilli <strk@keybit.net>

	* [r3270] tests/xmltester/tests/bug350.xml: Add XML test for bug
	  #350

2011-03-11 14:24  Sandro Santilli <strk@keybit.net>

	* [r3269] tests/xmltester/tests/bug398.xml: Add XML test for bug398
	  (not automatically run, as it fails)

2011-03-11 14:24  Sandro Santilli <strk@keybit.net>

	* [r3268] tests/xmltester/XMLTester.cpp: Tell more about XML
	  loading failures

2011-03-08 09:04  Sandro Santilli <strk@keybit.net>

	* [r3267] tests/unit/capi/GEOSRelateBoundaryNodeRuleTest.cpp: Add
	  test for invalid boundary node rule value

2011-03-04 17:05  Sandro Santilli <strk@keybit.net>

	* [r3266] php/geos.c, php/test/test.php: PHP: add
	  relateBoundaryNodeRule method to GEOSGeometry object

2011-03-04 16:38  Sandro Santilli <strk@keybit.net>

	* [r3265] NEWS: Add note aboute GEOSRelateBoundaryNodeRule

2011-03-04 16:31  Sandro Santilli <strk@keybit.net>

	* [r3264] tests/unit/Makefile.am,
	  tests/unit/capi/GEOSRelateBoundaryNodeRuleTest.cpp:
	  GEOSRelateBoundaryNodeRule test, ticket #399 [RT-SIGTA]

2011-03-04 16:30  Sandro Santilli <strk@keybit.net>

	* [r3263] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp:
	  GEOSRelateBoundaryNodeRule, ticket #399 [RT-SIGTA]

2011-03-04 16:30  Sandro Santilli <strk@keybit.net>

	* [r3262] include/geos/algorithm/BoundaryNodeRule.h: Indenting..

2011-03-02 13:45  Sandro Santilli <strk@keybit.net>

	* [r3261] NEWS, tests/unit/operation/distance/DistanceOpTest.cpp:
	  Tweak unit test to expect distance 0 between an empty an anything
	  else. Report the change in NEWS file.

2011-03-02 13:45  Sandro Santilli <strk@keybit.net>

	* [r3260] tests/xmltester/Makefile.am,
	  tests/xmltester/XMLTester.cpp,
	  tests/xmltester/tests/general/TestDistance.xml: Add support for
	  "distance" op in XMLTester, and import JTS TestDistance.xml

2011-03-02 13:45  Sandro Santilli <strk@keybit.net>

	* [r3259] include/geos/operation/distance/DistanceOp.h,
	  src/operation/distance/DistanceOp.cpp: Fixed Geometry.distance()
	  and DistanceOp to return 0.0 for empty inputs (JTS-1.11)

2011-03-02 13:13  Sandro Santilli <strk@keybit.net>

	* [r3258] include/geos/operation/valid/IsValidOp.h,
	  src/operation/valid/IsValidOp.cpp,
	  tests/xmltester/tests/general/TestValid.xml: Sync IsValidOp and
	  related XML testcase to JTS-1.12

2011-03-02 12:46  Sandro Santilli <strk@keybit.net>

	* [r3257] NEWS, include/geos/geom/LineSegment.h,
	  include/geos/geom/LineSegment.inl,
	  include/geos/util/IllegalStateException.h,
	  include/geos/util/Makefile.am, src/geom/LineSegment.cpp: Added
	  check for illegal state in offsetPoint method

2011-03-02 09:24  Sandro Santilli <strk@keybit.net>

	* [r3256] src/geomgraph/Edge.cpp: Fix debug build

2011-03-01 17:56  Mateusz Loskot <mateusz@loskot.net>

	* [r3255] include/geos/algorithm/BoundaryNodeRule.h,
	  include/geos/algorithm/CentralEndpointIntersector.h,
	  include/geos/algorithm/ConvexHull.h,
	  include/geos/algorithm/distance/DiscreteHausdorffDistance.h,
	  include/geos/geom/Coordinate.h, include/geos/geom/Coordinate.inl,
	  include/geos/geom/CoordinateArraySequence.h,
	  include/geos/geom/CoordinateList.h,
	  include/geos/geom/CoordinateSequence.h,
	  include/geos/geom/CoordinateSequenceFilter.h,
	  include/geos/geom/Envelope.h, include/geos/geom/Geometry.h,
	  include/geos/geom/GeometryList.h,
	  include/geos/geom/IntersectionMatrix.h,
	  include/geos/geom/prep/PreparedGeometry.h,
	  include/geos/geom/prep/PreparedGeometryFactory.h,
	  include/geos/geom/util/GeometryExtracter.h,
	  include/geos/geomgraph/Edge.h,
	  include/geos/geomgraph/EdgeIntersectionList.h,
	  include/geos/geomgraph/EdgeNodingValidator.h,
	  include/geos/geomgraph/EdgeRing.h,
	  include/geos/geomgraph/GeometryGraph.h,
	  include/geos/geomgraph/TopologyLocation.h,
	  include/geos/geomgraph/index/MonotoneChainEdge.h,
	  include/geos/geomgraph/index/SegmentIntersector.h,
	  include/geos/geomgraph/index/SimpleMCSweepLineIntersector.h,
	  include/geos/geomgraph/index/SimpleSweepLineIntersector.h,
	  include/geos/index/bintree/Bintree.h,
	  include/geos/index/quadtree/Node.h,
	  include/geos/index/quadtree/NodeBase.h,
	  include/geos/index/quadtree/Quadtree.h,
	  include/geos/index/strtree/AbstractSTRtree.h,
	  include/geos/index/strtree/STRtree.h,
	  include/geos/index/sweepline/SweepLineIndex.h,
	  include/geos/io/StringTokenizer.h, include/geos/io/Writer.h,
	  include/geos/linearref/LengthIndexedLine.h,
	  include/geos/noding/BasicSegmentString.h,
	  include/geos/noding/MCIndexNoder.h,
	  include/geos/noding/NodableSegmentString.h,
	  include/geos/noding/NodedSegmentString.h,
	  include/geos/noding/ScaledNoder.h,
	  include/geos/noding/SegmentNodeList.h,
	  include/geos/noding/SegmentPointComparator.h,
	  include/geos/noding/SegmentString.h,
	  include/geos/noding/snapround/HotPixel.h,
	  include/geos/noding/snapround/MCIndexSnapRounder.h,
	  include/geos/operation/IsSimpleOp.h,
	  include/geos/operation/buffer/BufferParameters.h,
	  include/geos/operation/buffer/BufferSubgraph.h,
	  include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	  include/geos/operation/distance/DistanceOp.h,
	  include/geos/operation/linemerge/EdgeString.h,
	  include/geos/operation/linemerge/LineSequencer.h,
	  include/geos/operation/overlay/ElevationMatrix.h,
	  include/geos/operation/overlay/ElevationMatrixCell.h,
	  include/geos/operation/overlay/LineBuilder.h,
	  include/geos/operation/overlay/PolygonBuilder.h,
	  include/geos/operation/overlay/snap/SnapOverlayOp.h,
	  include/geos/operation/overlay/validate/FuzzyPointLocator.h,
	  include/geos/operation/overlay/validate/OffsetPointGenerator.h,
	  include/geos/operation/overlay/validate/OverlayResultValidator.h,
	  include/geos/operation/polygonize/EdgeRing.h,
	  include/geos/operation/polygonize/PolygonizeGraph.h,
	  include/geos/operation/polygonize/Polygonizer.h,
	  include/geos/operation/relate/RelateComputer.h,
	  include/geos/operation/union/UnaryUnionOp.h,
	  include/geos/operation/valid/ConnectedInteriorTester.h,
	  include/geos/operation/valid/QuadtreeNestedRingTester.h,
	  include/geos/operation/valid/SimpleNestedRingTester.h,
	  include/geos/operation/valid/SweeplineNestedRingTester.h,
	  include/geos/planargraph/DirectedEdgeStar.h,
	  include/geos/planargraph/Edge.h,
	  include/geos/planargraph/Subgraph.h,
	  include/geos/precision/CommonBitsOp.h, include/geos/profiler.h,
	  include/geos/simplify/DouglasPeuckerLineSimplifier.h,
	  include/geos/simplify/TaggedLineString.h,
	  include/geos/util/UnsupportedOperationException.h,
	  src/geom/Coordinate.cpp,
	  src/operation/buffer/BufferParameters.cpp,
	  tests/unit/capi/GEOSSharedPathsTest.cpp,
	  tests/unit/capi/GEOSisValidDetailTest.cpp,
	  tests/unit/geom/GeometryFactoryTest.cpp,
	  tests/unit/io/ByteOrderValuesTest.cpp,
	  tests/unit/io/WKBWriterTest.cpp: Fix DLL build using Visual C++:
	  *) added missing exports; *) do not use static data members in
	  inline methods - linker fails to find definition ; *) Clean up
	  C4251 warning.

2011-03-01 17:53  Mateusz Loskot <mateusz@loskot.net>

	* [r3254] src/operation/valid/IsValidOp.cpp: Check geometry against
	  nullptr

2011-03-01 17:50  Mateusz Loskot <mateusz@loskot.net>

	* [r3253] include/geos/io/ByteOrderValues.h,
	  src/io/ByteOrderValues.cpp: Redefined ENDIAN_BIG and
	  ENDIAN_LITTLE as enumerators instead of static non-const members
	  - Visual C++ linker has mysterious problems with exporting them
	  from DLL.

2011-02-28 14:36  Sandro Santilli <strk@keybit.net>

	* [r3252] src/operation/buffer/BufferOp.cpp,
	  tests/xmltester/Makefile.am: Fix BufferOp::bufferFixedPrecision
	  to use snap-rounding noder. Fixes bug #356.

2011-02-28 12:19  Sandro Santilli <strk@keybit.net>

	* [r3251] src/operation/buffer/BufferBuilder.cpp: Cleanup debugging
	  output. Previous version didn't really print the _noded_ output
	  at all.

2011-02-28 11:43  Sandro Santilli <strk@keybit.net>

	* [r3250] NEWS, php/geos.c, php/test/test.php: Expose and test
	  covers/coveredBy to PHP binding

2011-02-28 11:32  Sandro Santilli <strk@keybit.net>

	* [r3249] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp:
	  GEOSCovers and GEOSCoveredBy (ticket #396) by Alessandro Furieri

2011-02-25 16:05  Sandro Santilli <strk@keybit.net>

	* [r3248] tests/xmltester/tests/bug356.xml: be explicit about
	  quadrant segments

2011-02-25 10:22  Sandro Santilli <strk@keybit.net>

	* [r3247] tests/xmltester/tests/bug356.xml: Add test for ticket
	  #356 (not run, as it fails)

2011-02-23 17:13  Sandro Santilli <strk@keybit.net>

	* [r3246] src/operation/buffer/BufferInputLineSimplifier.cpp,
	  src/operation/buffer/BufferInputLineSimplifier.h: JTS-1.12 sync

2011-02-23 16:46  Sandro Santilli <strk@keybit.net>

	* [r3245] include/geos/operation/buffer/BufferBuilder.h,
	  include/geos/operation/buffer/BufferOp.h,
	  include/geos/operation/buffer/BufferParameters.h,
	  include/geos/operation/buffer/BufferSubgraph.h,
	  include/geos/operation/buffer/OffsetCurveBuilder.h,
	  include/geos/operation/buffer/OffsetCurveVertexList.h,
	  include/geos/operation/buffer/RightmostEdgeFinder.h,
	  include/geos/operation/buffer/SubgraphDepthLocater.h,
	  src/operation/buffer/BufferBuilder.cpp,
	  src/operation/buffer/BufferOp.cpp,
	  src/operation/buffer/BufferParameters.cpp,
	  src/operation/buffer/BufferSubgraph.cpp,
	  src/operation/buffer/RightmostEdgeFinder.cpp,
	  src/operation/buffer/SubgraphDepthLocater.cpp: Update port info

2011-02-23 16:21  Sandro Santilli <strk@keybit.net>

	* [r3244] include/geos/operation/buffer/OffsetCurveBuilder.h,
	  include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	  src/operation/buffer/OffsetCurveBuilder.cpp,
	  src/operation/buffer/OffsetCurveSetBuilder.cpp: Update port info

2011-02-23 16:21  Sandro Santilli <strk@keybit.net>

	* [r3243] NEWS, src/operation/buffer/OffsetCurveSetBuilder.cpp,
	  tests/xmltester/tests/general/TestBuffer.xml: Fixed buffer
	  OffsetCurveSetBuilder to handle "flat" rings correctly

2011-02-23 15:45  Sandro Santilli <strk@keybit.net>

	* [r3242] include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	  src/operation/buffer/OffsetCurveSetBuilder.cpp: Don't bother
	  adding ring if it is "flat" and will disappear in the output
	  (from TS r261)

2011-02-23 15:45  Sandro Santilli <strk@keybit.net>

	* [r3241] NEWS, include/geos/geom/LinearRing.h,
	  src/geom/LinearRing.cpp, tests/unit/geom/LinearRingTest.cpp: Sync
	  LinearRing to JTS-1.12: empty LinearRing are closed by definition
	  now

2011-02-23 14:37  Sandro Santilli <strk@keybit.net>

	* [r3240] include/geos/noding/snapround/MCIndexPointSnapper.h,
	  src/noding/snapround/MCIndexPointSnapper.cpp: Update port info
	  for MCIndexPointSnapper

2011-02-23 14:37  Sandro Santilli <strk@keybit.net>

	* [r3239] include/geos/noding/snapround/SimpleSnapRounder.h,
	  src/noding/snapround/SimpleSnapRounder.cpp: Update port info for
	  SimpleSnapRounder

2011-02-23 14:37  Sandro Santilli <strk@keybit.net>

	* [r3238] include/geos/noding/snapround/MCIndexSnapRounder.h,
	  include/geos/noding/snapround/MCIndexSnapRounder.inl,
	  src/noding/snapround/MCIndexSnapRounder.cpp: Update port info for
	  MCIndexSnapRounder (and remove testing-only check)

2011-02-23 14:37  Sandro Santilli <strk@keybit.net>

	* [r3237] include/geos/noding/snapround/HotPixel.h,
	  include/geos/noding/snapround/HotPixel.inl,
	  src/noding/snapround/HotPixel.cpp: Sync HotPixel to JTS-1.12
	  (doxygen + privatization of a method..)

2011-02-23 11:05  Sandro Santilli <strk@keybit.net>

	* [r3236] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/bug366.xml: Run test for bug366 (succeeds)

2011-02-23 10:25  Sandro Santilli <strk@keybit.net>

	* [r3235] tests/unit/noding/SegmentPointComparatorTest.cpp: Port
	  JTS unit tests for SegmentPointComparator

2011-02-23 10:25  Sandro Santilli <strk@keybit.net>

	* [r3234] include/geos/noding/Makefile.am,
	  include/geos/noding/SegmentPointComparator.h,
	  src/noding/SegmentNode.cpp: Take SegmentPointComparator out of
	  implelmentation file, to allow for unit-testing.

2011-02-23 09:37  Sandro Santilli <strk@keybit.net>

	* [r3233] NEWS, include/geos/noding/NodedSegmentString.h,
	  src/noding/NodedSegmentString.cpp,
	  tests/unit/noding/NodedSegmentStringTest.cpp: Fix
	  NodedSegmentString to handle zero-length line segments correctly
	  (via safeOctant)

2011-02-22 21:22  Sandro Santilli <strk@keybit.net>

	* [r3232] include/geos/geom/Lineal.h,
	  include/geos/geom/Polygonal.h, include/geos/geom/Puntal.h: Export
	  Puntal, Lineal and Polygonal symbols

2011-02-22 17:53  Sandro Santilli <strk@keybit.net>

	* [r3231] tests/unit/operation/linemerge/LineMergerTest.cpp: Fix
	  linemerge test (wrong initial copy)

2011-02-21 17:30  Sandro Santilli <strk@keybit.net>

	* [r3230] include/geos/operation/linemerge/LineSequencer.h,
	  src/operation/linemerge/LineSequencer.cpp,
	  tests/unit/Makefile.am,
	  tests/unit/operation/linemerge/LineSequencerTest.cpp: Add
	  LineSequencer unit test, fix memory leaks in the class.

2011-02-21 17:30  Sandro Santilli <strk@keybit.net>

	* [r3229] include/geos/operation/linemerge/LineSequencer.h: Add
	  templated geometry adder to LineSequencer class

2011-02-21 16:14  Sandro Santilli <strk@keybit.net>

	* [r3228] NEWS, include/geos/operation/linemerge/EdgeString.h,
	  include/geos/operation/linemerge/LineMergeEdge.h,
	  include/geos/operation/linemerge/LineMergeGraph.h,
	  include/geos/operation/linemerge/LineMerger.h,
	  src/operation/linemerge/EdgeString.cpp,
	  src/operation/linemerge/LineMergeEdge.cpp,
	  src/operation/linemerge/LineMergeGraph.cpp,
	  src/operation/linemerge/LineMerger.cpp, tests/unit/Makefile.am,
	  tests/unit/operation/linemerge,
	  tests/unit/operation/linemerge/LineMergerTest.cpp: Sync linemerge
	  namespace to JTS-1.12 fixing LineMerger to skip lines with only a
	  single unique coordinate; reduce some heap allocations; add unit
	  testing for Linemerger

2011-02-21 16:14  Sandro Santilli <strk@keybit.net>

	* [r3227] include/geos/operation/linemerge/LineSequencer.h,
	  src/operation/linemerge/LineSequencer.cpp: Sync
	  linemerge::LineSequencer to JTS-1.12

2011-02-21 14:02  Sandro Santilli <strk@keybit.net>

	* [r3226] NEWS: Add note about SnapIfNeededOverlayOp change

2011-02-21 14:02  Sandro Santilli <strk@keybit.net>

	* [r3225] include/geos/operation/overlay/snap/GeometrySnapper.h,
	  include/geos/operation/overlay/snap/LineStringSnapper.h,
	  include/geos/operation/overlay/snap/SnapOverlayOp.h,
	  src/operation/overlay/snap/GeometrySnapper.cpp,
	  src/operation/overlay/snap/LineStringSnapper.cpp,
	  src/operation/overlay/snap/SnapOverlayOp.cpp: Update port info

2011-02-21 12:03  Sandro Santilli <strk@keybit.net>

	* [r3224]
	  include/geos/operation/overlay/snap/SnapIfNeededOverlayOp.h,
	  src/operation/overlay/snap/SnapIfNeededOverlayOp.cpp: Fix
	  SnapIfNeededOverlayOp to throw the originating exception, which
	  contains meaningful coordinates, and update port info.

2011-02-18 18:25  Mateusz Loskot <mateusz@loskot.net>

	* [r3223] capi/CMakeLists.txt, src/CMakeLists.txt: Updated CMake
	  configuration to use libgeos.lib for static library and geos.lib
	  for import library. Define GEOS_DLL_EXPORT for GEOS DLL target.

2011-02-15 17:35  Mateusz Loskot <mateusz@loskot.net>

	* [r3222] capi/geos_ts_c.cpp: gstrdup may throw since r3088 thus
	  should no longer be declared as C function

2011-02-15 15:24  Sandro Santilli <strk@keybit.net>

	* [r3221] capi/geos_ts_c.cpp,
	  tests/unit/capi/GEOSisValidDetailTest.cpp: Allow passing NULL for
	  "reason" and "location" arguments of GEOSisValidDetail [RT-SIGTA]

2011-02-15 15:15  Sandro Santilli <strk@keybit.net>

	* [r3220] php/geos.c, php/test/test.php: Adapt PHP binding to the
	  new GEOSisValidDetail interface

2011-02-15 15:15  Sandro Santilli <strk@keybit.net>

	* [r3219] NEWS, capi/geos_c.cpp, capi/geos_c.h.in,
	  capi/geos_ts_c.cpp, tests/unit/Makefile.am,
	  tests/unit/capi/GEOSisValidDetailTest.cpp: Add a 'flags'
	  parameter to GEOSisValidDetail.

2011-02-15 15:14  Sandro Santilli <strk@keybit.net>

	* [r3218] php/Makefile.am: Make sure php binding are built _before_
	  the corresponding test is run

2011-02-13 22:31  Sandro Santilli <strk@keybit.net>

	* [r3217] src/operation/overlay/snap/LineStringSnapper.cpp: Guard
	  againts empty vectors before decrementing .end()

2011-02-13 22:30  Sandro Santilli <strk@keybit.net>

	* [r3216] include/geos/geom/CoordinateList.h: Add an .empty()
	  interface to CoordinateList

2011-02-13 21:29  Mateusz Loskot <mateusz@loskot.net>

	* [r3215] configure.in: Added new ./configure option:
	  --enable-glibcxx-debug which to enable libstdc++ debug mode (see
	  Ticket #395). Added AC_MSG_CHECKING and AC_MSG_RESULT to existing
	  options.

2011-02-13 20:14  Mateusz Loskot <mateusz@loskot.net>

	* [r3214] tests/unit/operation/distance/DistanceOpTest.cpp: CRLF to
	  LF

2011-02-13 20:14  Mateusz Loskot <mateusz@loskot.net>

	* [r3213] tests/unit/operation/distance/DistanceOpTest.cpp: Added
	  test case submitted with Ticket #367. No segmentation fault in
	  distance() method observed under Visual C++ 10.0

2011-02-13 20:03  Sandro Santilli <strk@keybit.net>

	* [r3212] src/geom/Geometry.cpp: Always use BinaryOp for overlay
	  operations accessible from Geometry

2011-02-13 19:54  Mateusz Loskot <mateusz@loskot.net>

	* [r3211] include/geos/geom/MultiLineString.h,
	  include/geos/geom/MultiPoint.h, include/geos/geom/MultiPolygon.h:
	  Explicitly disabled Visual C++ warning C4250 ('class1' : inherits
	  'class2::member' via dominance) - it is still unclear if caused
	  by Visual C++ bug
	  https://connect.microsoft.com/VisualStudio/feedback/details/101259/
	  - safe to disable anyway.

2011-02-13 19:51  Mateusz Loskot <mateusz@loskot.net>

	* [r3210] include/geos/geom/GeometryFactory.h: Return unset
	  std::auto_otr from GeometryFactory, otherwise error condition
	  causes no return

2011-02-13 19:50  Mateusz Loskot <mateusz@loskot.net>

	* [r3209] include/geos/operation/union/PointGeometryUnion.h:
	  Declare PointGeometryUnion type as non-copyable

2011-02-13 19:25  Mateusz Loskot <mateusz@loskot.net>

	* [r3208] include/geos/geom/util/GeometryExtracter.h: Renamed
	  template parameters to more readable CamelCase and
	  self-descriptive form. Declare Extracter type as non-copyable. Do
	  not use names starting with underscore - they are reserved for
	  C++ implementations.

2011-02-13 19:22  Mateusz Loskot <mateusz@loskot.net>

	* [r3207] include/geos/geom/BinaryOp.h: Fixed missing or ambiguous
	  declarations of TopologyException (Ticket #394)

2011-02-12 08:54  Sandro Santilli <strk@keybit.net>

	* [r3206] src/geom/Geometry.cpp, tests/xmltester/Makefile.am,
	  tests/xmltester/tests/bug360.xml: Have Geometry::Union use
	  BinaryOp rather than SnapIfNeededOverlayOp. Improves robustness
	  (fixes bug #360, test for which is enabled with this commit)

2011-02-11 15:59  Sandro Santilli <strk@keybit.net>

	* [r3205] tests/xmltester/tests/bug344.xml: Add description

2011-02-11 10:51  Sandro Santilli <strk@keybit.net>

	* [r3204] tests/xmltester/tests/bug360.xml: XML version of test for
	  bug #360

2011-02-11 10:28  Sandro Santilli <strk@keybit.net>

	* [r3203] src/operation/union/PointGeometryUnion.cpp: Optimize
	  container->container copy, on Mat's suggestion

2011-02-11 09:58  Sandro Santilli <strk@keybit.net>

	* [r3202] php/geos.c, php/test/test.php: PHP support or UnaryUnion

2011-02-11 09:58  Sandro Santilli <strk@keybit.net>

	* [r3201] NEWS, capi/geos_c.cpp, capi/geos_c.h.in,
	  capi/geos_ts_c.cpp, tests/unit/Makefile.am,
	  tests/unit/capi/GEOSUnaryUnionTest.cpp: GEOSUnaryUnion C-API
	  interface (and test)

2011-02-10 21:05  Sandro Santilli <strk@keybit.net>

	* [r3200] tests/xmltester/Makefile.am,
	  tests/xmltester/XMLTester.cpp,
	  tests/xmltester/tests/general/TestUnaryUnion.xml: Add support for
	  UnaryUnion testing in XML format, import the JTS xml test for it

2011-02-10 21:05  Sandro Santilli <strk@keybit.net>

	* [r3199] tests/unit/operation/union/UnaryUnionOpTest.cpp: Add test
	  exposing the std::copy bug of two commits ago

2011-02-10 21:05  Sandro Santilli <strk@keybit.net>

	* [r3198] include/geos/geom/Geometry.h, src/geom/Geometry.cpp:
	  Expose unary union trought Geometry.Union()

2011-02-10 21:05  Sandro Santilli <strk@keybit.net>

	* [r3197] src/operation/union/PointGeometryUnion.cpp: Can't just
	  std::copy over an empty container. Need a back_inserter !

2011-02-10 15:51  Sandro Santilli <strk@keybit.net>

	* [r3196] include/geos/operation/union/UnaryUnionOp.h,
	  tests/unit/Makefile.am,
	  tests/unit/operation/union/CascadedPolygonUnionTest.cpp,
	  tests/unit/operation/union/UnaryUnionOpTest.cpp: Add unit test
	  for UnaryUnionOp (and fix interface bug)

2011-02-10 14:14  Sandro Santilli <strk@keybit.net>

	* [r3195] include/geos/operation/union/Makefile.am,
	  include/geos/operation/union/UnaryUnionOp.h,
	  src/operation/union/Makefile.am,
	  src/operation/union/UnaryUnionOp.cpp: UnaryUnionOp port from
	  JTS-1.12

2011-02-10 14:10  Sandro Santilli <strk@keybit.net>

	* [r3194] tests/unit/operation/union/CascadedPolygonUnionTest.cpp:
	  Oops, didn't want to commit this one.

2011-02-10 14:05  Sandro Santilli <strk@keybit.net>

	* [r3193] include/geos/operation/union/CascadedPolygonUnion.h: Fix
	  dynamic cast

2011-02-10 13:48  Sandro Santilli <strk@keybit.net>

	* [r3192] include/geos/operation/union/CascadedPolygonUnion.h,
	  src/operation/union/CascadedPolygonUnion.cpp,
	  tests/unit/operation/union/CascadedPolygonUnionTest.cpp: Add a
	  template interface to CascadedPolygonUnion to relax requirements
	  on used container

2011-02-10 11:09  Sandro Santilli <strk@keybit.net>

	* [r3191] include/geos/geom/Geometry.h,
	  include/geos/geom/Geometry.inl,
	  include/geos/geom/GeometryFactory.h,
	  include/geos/geom/Makefile.am, src/geom/Geometry.cpp,
	  src/inlines.cpp, tests/unit/geom/GeometryFactoryTest.cpp:
	  Introduce a templated version of GeometryFactory::buildGeometry,
	  and test it.

2011-02-10 11:09  Sandro Santilli <strk@keybit.net>

	* [r3190] src/operation/sharedpaths/SharedPathsOp.cpp: Include
	  required GeometryFactory header (it's used)

2011-02-07 17:52  Sandro Santilli <strk@keybit.net>

	* [r3189] include/geos/geom/util/GeometryExtracter.h,
	  include/geos/geom/util/Makefile.am, tests/unit/Makefile.am,
	  tests/unit/geom/util,
	  tests/unit/geom/util/GeometryExtracterTest.cpp: Port
	  GeometryExtracter from JTS-1.12

2011-02-07 17:00  Sandro Santilli <strk@keybit.net>

	* [r3188] src/operation/union/PointGeometryUnion.cpp: Fix casts

2011-02-07 15:41  Sandro Santilli <strk@keybit.net>

	* [r3187] include/geos/operation/union/Makefile.am,
	  include/geos/operation/union/PointGeometryUnion.h,
	  src/operation/union/Makefile.am,
	  src/operation/union/PointGeometryUnion.cpp: PointGeometryUnion
	  port

2011-02-07 15:39  Sandro Santilli <strk@keybit.net>

	* [r3186] include/geos/geom/Lineal.h,
	  include/geos/geom/Polygonal.h, include/geos/geom/Puntal.h:
	  Include definition of base class

2011-02-07 15:39  Sandro Santilli <strk@keybit.net>

	* [r3185] NEWS, include/geos/geom/GeometryCollection.h,
	  include/geos/geom/LineString.h, include/geos/geom/Lineal.h,
	  include/geos/geom/MultiLineString.inl,
	  include/geos/geom/MultiPoint.h,
	  include/geos/geom/MultiPolygon.inl, include/geos/geom/Point.h,
	  include/geos/geom/Polygon.h, include/geos/geom/Polygonal.h,
	  include/geos/geom/Puntal.h, src/geom/LinearRing.cpp,
	  src/geom/MultiLineString.cpp, src/geom/MultiPoint.cpp,
	  src/geom/MultiPolygon.cpp: Turn Puntal, Lineal and Polygonal into
	  Geometry derivates. This commit introduces virtual inheritance
	  and 3 diamonds.

2011-02-04 12:27  Sandro Santilli <strk@keybit.net>

	* [r3184] src/operation/union/CascadedPolygonUnion.cpp:
	  dynamic_cast Polygon to Geometry before converting to void
	  pointer. This is safer, altought the whole void pointer use
	  should be dropped for real safety.

2011-02-04 12:26  Sandro Santilli <strk@keybit.net>

	* [r3183] include/geos/index/strtree/AbstractSTRtree.h: Avoid
	  useless reinterpret_cast

2011-02-04 10:12  Sandro Santilli <strk@keybit.net>

	* [r3182] src/algorithm/MinimumDiameter.cpp, src/geom/Geometry.cpp,
	  src/geom/Polygon.cpp,
	  src/geom/prep/AbstractPreparedPolygonContains.cpp,
	  src/geom/prep/PreparedPolygon.cpp,
	  src/geom/util/GeometryEditor.cpp, src/io/WKTWriter.cpp,
	  src/operation/overlay/OverlayOp.cpp,
	  src/operation/union/CascadedPolygonUnion.cpp,
	  src/operation/valid/ConnectedInteriorTester.cpp,
	  src/operation/valid/IsValidOp.cpp,
	  tests/unit/geom/PolygonTest.cpp,
	  tests/unit/operation/union/CascadedPolygonUnionTest.cpp: Even
	  more static casts drops

2011-02-04 08:50  Sandro Santilli <strk@keybit.net>

	* [r3181] src/geom/GeometryFactory.cpp, src/geom/LineString.cpp,
	  src/geom/Polygon.cpp, src/geom/util/GeometryEditor.cpp,
	  src/geom/util/GeometryTransformer.cpp, src/io/WKTWriter.cpp,
	  src/operation/linemerge/LineSequencer.cpp,
	  tests/unit/geom/GeometryFactoryTest.cpp,
	  tests/unit/geom/LineStringTest.cpp,
	  tests/unit/geom/LinearRingTest.cpp,
	  tests/unit/geom/PolygonTest.cpp: Drop more static casts

2011-02-03 21:50  Sandro Santilli <strk@keybit.net>

	* [r3180] tests/unit/geom/MultiPointTest.cpp,
	  tests/unit/geom/PointTest.cpp: Don't downcast with static_cast

2011-02-03 19:59  Sandro Santilli <strk@keybit.net>

	* [r3179] include/geos/geom/util/GeometryEditor.h,
	  include/geos/geom/util/GeometryTransformer.h,
	  src/algorithm/CentroidPoint.cpp, src/geom/GeometryCollection.cpp,
	  src/geom/MultiPolygon.cpp, src/geom/Point.cpp,
	  src/geom/util/GeometryEditor.cpp,
	  src/geom/util/GeometryTransformer.cpp,
	  src/geomgraph/GeometryGraph.cpp, src/io/WKBWriter.cpp,
	  src/io/WKTWriter.cpp, src/operation/IsSimpleOp.cpp,
	  src/operation/valid/IsValidOp.cpp,
	  src/operation/valid/RepeatedPointTester.cpp: reduce static casts

2011-02-03 19:58  Sandro Santilli <strk@keybit.net>

	* [r3178] include/geos/geom/Coordinate.h: provide standard strict
	  weak ordering operator for Coordinate

2011-02-03 19:58  Sandro Santilli <strk@keybit.net>

	* [r3177] include/geos/geom/util/GeometryCombiner.h,
	  src/geom/util/GeometryCombiner.cpp: A step toward better
	  const-correctness in GeometryCombiner interface

2011-02-03 19:58  Sandro Santilli <strk@keybit.net>

	* [r3176] include/geos/geom/util/GeometryCombiner.h: Document
	  ownerhips of GeometryCombiner inputs

2011-02-03 08:15  Sandro Santilli <strk@keybit.net>

	* [r3175] src/geom/GeometryFactory.cpp: Oops.. fix the newly added
	  interface to create MultiPoint from a vector of coordinates

2011-02-02 19:24  Sandro Santilli <strk@keybit.net>

	* [r3174] include/geos/algorithm/PointLocator.h,
	  src/algorithm/PointLocator.cpp: Check PointLocator sync with
	  JTS-1.12

2011-02-02 19:23  Sandro Santilli <strk@keybit.net>

	* [r3173] include/geos/geom/GeometryFactory.h,
	  src/geom/GeometryFactory.cpp: Add interface to create MultiPoint
	  from Coordinate vector

2011-02-02 17:57  Sandro Santilli <strk@keybit.net>

	* [r3172] include/geos/geom/util/GeometryCombiner.h,
	  src/geom/util/GeometryCombiner.cpp: Check GeometryCombiner
	  against JTS-1.12

2011-02-02 17:41  Sandro Santilli <strk@keybit.net>

	* [r3171] include/geos/geom/LineString.h,
	  include/geos/geom/Lineal.h, include/geos/geom/Makefile.am,
	  include/geos/geom/MultiLineString.h,
	  include/geos/geom/MultiLineString.inl,
	  include/geos/geom/MultiPoint.h, include/geos/geom/MultiPolygon.h,
	  include/geos/geom/Point.h, include/geos/geom/Polygon.h,
	  include/geos/geom/Polygonal.h, include/geos/geom/Puntal.h,
	  src/geom/LineString.cpp, src/geom/MultiLineString.cpp,
	  src/geom/MultiPoint.cpp, src/geom/MultiPolygon.cpp,
	  src/geom/Point.cpp, src/geom/Polygon.cpp: Add Puntal, Lineal and
	  Polygonal "interfaces"

2011-01-27 18:01  Sandro Santilli <strk@keybit.net>

	* [r3170] NEWS: Add release date of 3.2.0 (more than an year ago..)

2011-01-27 10:16  Sandro Santilli <strk@keybit.net>

	* [r3169] php/test/test.php: Don't use is_null on unexistant array
	  elements [#393]

2011-01-25 23:20  Mateusz Loskot <mateusz@loskot.net>

	* [r3168] tests/CMakeLists.txt, tests/bigtest/CMakeLists.txt: Added
	  tests/bigtest programs to CMake configuration

2011-01-25 23:08  Mateusz Loskot <mateusz@loskot.net>

	* [r3167] tests/xmltester/CMakeLists.txt: Updated CMake
	  configuration to call xmltester from runtime output directory.

2010-12-26 21:20  Sandro Santilli <strk@keybit.net>

	* [r3166] tests/unit/operation/sharedpaths/SharedPathsOpTest.cpp:
	  remove warning in testcase

2010-12-26 20:32  Sandro Santilli <strk@keybit.net>

	* [r3165] include/geos/operation/sharedpaths/SharedPathsOp.h:
	  Declare SharedPathsOp class as noncopyable. Hopefully fixes
	  VC2008 warning. [RT-SIGTA]

2010-12-24 14:27  Sandro Santilli <strk@keybit.net>

	* [r3164] include/geos/algorithm/InteriorPointLine.h,
	  src/algorithm/InteriorPointLine.cpp: Record port info for
	  InteriorPointLine

2010-12-22 16:28  Sandro Santilli <strk@keybit.net>

	* [r3163] src/operation/sharedpaths/SharedPathsOp.cpp,
	  tests/unit/operation/sharedpaths/SharedPathsOpTest.cpp: Fix
	  computation of shared path direction when path starts or ends on
	  the first-last point of a closed line. Fixes ticket #391.
	  Includes automated testing.

2010-12-22 09:42  Sandro Santilli <strk@keybit.net>

	* [r3162] .gitignore, php/geos.c, php/test/test.php: Expose
	  GEOSRelateMatch to PHP api.

2010-12-21 08:55  Sandro Santilli <strk@keybit.net>

	* [r3161] NEWS, capi/geos_c.cpp, capi/geos_c.h.in,
	  capi/geos_ts_c.cpp, tests/unit/Makefile.am,
	  tests/unit/capi/GEOSRelatePatternMatchTest.cpp: Add
	  GEOSRelatePatternMatch C-API interface [RT-SIGTA]

2010-12-20 11:34  Sandro Santilli <strk@keybit.net>

	* [r3160] include/geos/platform.h.in: MinGW32 fixes by Sandro
	  Furieri

2010-12-20 11:16  Mateusz Loskot <mateusz@loskot.net>

	* [r3159] include/geos/operation/sharedpaths, php, php/test,
	  src/operation/sharedpaths: Updated svn:ignore properties.

2010-12-06 15:00  Sandro Santilli <strk@keybit.net>

	* [r3158] include/geos/operation/overlay/snap/GeometrySnapper.h:
	  typo

2010-12-03 17:26  Sandro Santilli <strk@keybit.net>

	* [r3157]
	  tests/unit/operation/overlay/snap/LineStringSnapperTest.cpp: Add
	  test for src-vertex snapping allowance

2010-12-03 14:02  Sandro Santilli <strk@keybit.net>

	* [r3156] include/geos/geom/CoordinateList.h: Update copyright

2010-12-03 13:57  Sandro Santilli <strk@keybit.net>

	* [r3155] include/geos/geom/CoordinateList.h,
	  tests/unit/geom/CoordinateListTest.cpp: Add method to insert
	  coordinats into a CoordinateList w/out allowing duplicates (fixes
	  issue #387)

2010-12-03 10:58  Sandro Santilli <strk@keybit.net>

	* [r3154]
	  tests/unit/operation/overlay/snap/LineStringSnapperTest.cpp:
	  Another test for snapping (empty sequence vs. non-empty snaps)

2010-12-03 10:52  Sandro Santilli <strk@keybit.net>

	* [r3153] src/operation/overlay/snap/LineStringSnapper.cpp: update
	  dox

2010-12-03 10:49  Sandro Santilli <strk@keybit.net>

	* [r3152] include/geos/operation/overlay/snap/LineStringSnapper.h,
	  src/operation/overlay/snap/LineStringSnapper.cpp: Take the
	  allowSnappingToSourceVertices support in

2010-12-03 08:36  Sandro Santilli <strk@keybit.net>

	* [r3151] tests/unit/Makefile.am,
	  tests/unit/capi/GEOSSharedPathsTest.cpp: Add test for
	  GEOSSharedPaths C-API interface

2010-12-02 18:06  Sandro Santilli <strk@keybit.net>

	* [r3150] tests/unit/capi/GEOSSnapTest.cpp: Another test, and a
	  leak plug (in the test)

2010-12-02 16:49  Sandro Santilli <strk@keybit.net>

	* [r3149] NEWS: Add GEOSSnap item

2010-12-02 16:48  Sandro Santilli <strk@keybit.net>

	* [r3148] php/geos.c, php/test/test.php: Expose GEOSSnap to PHP
	  interface

2010-12-02 16:44  Sandro Santilli <strk@keybit.net>

	* [r3147] tests/unit/Makefile.am, tests/unit/capi/GEOSSnapTest.cpp:
	  Add test for C-API GEOSSnap interface

2010-12-02 15:07  Sandro Santilli <strk@keybit.net>

	* [r3146] capi/geos_c.cpp, capi/geos_ts_c.cpp: OOps.. this one
	  build

2010-12-02 14:52  Sandro Santilli <strk@keybit.net>

	* [r3145] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp:
	  Expose snapping to the C-API

2010-12-02 14:29  Sandro Santilli <strk@keybit.net>

	* [r3144]
	  tests/unit/operation/overlay/snap/GeometrySnapperTest.cpp: Allow
	  testing snapping something different from a single polygon..

2010-12-02 14:16  Sandro Santilli <strk@keybit.net>

	* [r3143]
	  tests/unit/operation/overlay/snap/GeometrySnapperTest.cpp: tab to
	  8 spaces

2010-12-02 10:32  Sandro Santilli <strk@keybit.net>

	* [r3142] include/geos/operation/overlay/snap/LineStringSnapper.h,
	  src/operation/overlay/snap/LineStringSnapper.cpp,
	  tests/unit/operation/overlay/snap/LineStringSnapperTest.cpp:
	  Bring LineStringSnapper forward to r309 (JTS-1.11+): avoid
	  snapping final point of closed rings.

2010-12-02 09:38  Sandro Santilli <strk@keybit.net>

	* [r3141] include/geos/operation/overlay/snap/GeometrySnapper.h,
	  src/operation/overlay/snap/GeometrySnapper.cpp: update copyright
	  date

2010-12-02 09:36  Sandro Santilli <strk@keybit.net>

	* [r3140] include/geos/operation/overlay/snap/GeometrySnapper.h,
	  src/operation/overlay/snap/GeometrySnapper.cpp: Take
	  GeometrySnapper forward to r309 (JTS-1.11+): add self-snapping

2010-11-30 08:31  Sandro Santilli <strk@keybit.net>

	* [r3139] include/geos/operation/sharedpaths/SharedPathsOp.h,
	  src/operation/sharedpaths/SharedPathsOp.cpp: Hope this is the
	  last one... (RT credit tweaks)

2010-11-29 13:45  Sandro Santilli <strk@keybit.net>

	* [r3138] include/geos/operation/sharedpaths/SharedPathsOp.h,
	  src/operation/sharedpaths/SharedPathsOp.cpp: Full credit line
	  [RT-SIGTA]

2010-11-29 11:08  Sandro Santilli <strk@keybit.net>

	* [r3137] NEWS: SharedPaths in NEWS [RT-SIGTA]

2010-11-29 10:51  Sandro Santilli <strk@keybit.net>

	* [r3136] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  php/geos.c, php/test/test.php: Merge branch 'rt'

2010-11-29 09:43  Sandro Santilli <strk@keybit.net>

	* [r3135] NEWS, include/geos/operation/sharedpaths/SharedPathsOp.h,
	  src/operation/sharedpaths/SharedPathsOp.cpp: Write RT credit and
	  NEWS itam

2010-11-29 09:34  Sandro Santilli <strk@keybit.net>

	* [r3134] src/operation/sharedpaths/SharedPathsOp.cpp: drop unused
	  include

2010-11-29 09:34  Sandro Santilli <strk@keybit.net>

	* [r3133] src/operation/sharedpaths/SharedPathsOp.cpp,
	  tests/unit/operation/sharedpaths/SharedPathsOpTest.cpp: Test
	  equal lines

2010-11-29 09:34  Sandro Santilli <strk@keybit.net>

	* [r3132] include/geos/operation/sharedpaths/SharedPathsOp.h,
	  src/operation/sharedpaths/SharedPathsOp.cpp,
	  tests/unit/operation/sharedpaths/SharedPathsOpTest.cpp: Have
	  SharedPathsOp throw an exception on illegal (non-lineal) arg

2010-11-29 09:34  Sandro Santilli <strk@keybit.net>

	* [r3131] tests/unit/operation/sharedpaths/SharedPathsOpTest.cpp:
	  Add tests for multiline-multiline both single dir and mixed dirs

2010-11-29 09:34  Sandro Santilli <strk@keybit.net>

	* [r3130] tests/unit/operation/sharedpaths/SharedPathsOpTest.cpp:
	  Add two tests of mixed direction shared paths

2010-11-29 09:34  Sandro Santilli <strk@keybit.net>

	* [r3129] include/geos/operation/sharedpaths/SharedPathsOp.h:
	  Document that the direction of the returned paths is the one
	  these paths have on the first geometry given

2010-11-29 09:33  Sandro Santilli <strk@keybit.net>

	* [r3128] tests/unit/Makefile.am, tests/unit/operation/sharedpaths,
	  tests/unit/operation/sharedpaths/SharedPathsOpTest.cpp: Initial
	  tests for SharedPathsOp

2010-11-29 09:33  Sandro Santilli <strk@keybit.net>

	* [r3127] include/geos/operation/sharedpaths/SharedPathsOp.h,
	  src/operation/sharedpaths/SharedPathsOp.cpp: Paths are always
	  LINESTRING types

2010-11-29 09:33  Sandro Santilli <strk@keybit.net>

	* [r3126] .gitignore: forgot aclocal.m4

2010-11-29 09:33  Sandro Santilli <strk@keybit.net>

	* [r3125] .vimrc,
	  include/geos/operation/sharedpaths/SharedPathsOp.h,
	  src/operation/sharedpaths/SharedPathsOp.cpp: Complete
	  implementation of SharedPathsOp

2010-11-29 09:33  Sandro Santilli <strk@keybit.net>

	* [r3124] .gitignore: more ignores

2010-11-29 09:33  Sandro Santilli <strk@keybit.net>

	* [r3123] configure.in, include/geos/operation/Makefile.am,
	  include/geos/operation/sharedpaths/Makefile.am,
	  include/geos/operation/sharedpaths/SharedPathsOp.h,
	  src/operation/Makefile.am, src/operation/sharedpaths/Makefile.am,
	  src/operation/sharedpaths/SharedPathsOp.cpp: Build sharedpaths
	  lib/namespace

2010-11-29 09:32  Sandro Santilli <strk@keybit.net>

	* [r3122] configure.in: Add support for 'maintainer mode'

2010-11-29 09:32  Sandro Santilli <strk@keybit.net>

	* [r3121] .gitignore: ignores

2010-11-29 09:32  Sandro Santilli <strk@keybit.net>

	* [r3120] include/geos/operation/sharedpaths,
	  include/geos/operation/sharedpaths/SharedPathsOp.h,
	  src/operation/sharedpaths,
	  src/operation/sharedpaths/SharedPathsOp.cpp: Stub SharedPathsOp

2010-11-29 09:32  Sandro Santilli <strk@keybit.net>

	* [r3119] tests/xmltester/tests/rt,
	  tests/xmltester/tests/rt/TestSameDirection.xml: stub tet for
	  SameDirection predicate

2010-11-24 09:00  Sandro Santilli <strk@keybit.net>

	* [r3118] TODO: typo

2010-10-25 15:12  Sandro Santilli <strk@keybit.net>

	* [r3117] configure.in: Don't try to configure missing files (fixes
	  bug #382)

2010-10-15 15:54  Mateusz Loskot <mateusz@loskot.net>

	* [r3116] CMakeLists.txt, tests/unit/CMakeLists.txt: Unified
	  CMAKE_*_OUTPUT_DIRECTOR locations to simplify tests running and
	  finding all binaries.

2010-10-15 15:20  Mateusz Loskot <mateusz@loskot.net>

	* [r3115] tests/unit/capi/GEOSGeom_create.cpp,
	  tests/unit/capi/GEOSGeom_extractUniquePointsTest.cpp,
	  tests/unit/io/WKTReaderTest.cpp: Visual C++ warnings cleanup

2010-10-15 15:19  Mateusz Loskot <mateusz@loskot.net>

	* [r3114] capi/geos_c.h.in: Missing DLL storage-class attributes
	  for GEOSOrientationIndex

2010-10-15 14:55  Mateusz Loskot <mateusz@loskot.net>

	* [r3113] src/io/WKTReader.cpp: Cast toupper() result to char

2010-10-15 13:42  Mateusz Loskot <mateusz@loskot.net>

	* [r3112] Makefile.am, build: Deprecate Visual Studio projects in
	  trunk/build (#381). Long live the CMake.

2010-10-10 21:36  Mateusz Loskot <mateusz@loskot.net>

	* [r3111] include/geos/geom/BinaryOp.h: Cleaned compiler warnings

2010-10-10 21:36  Mateusz Loskot <mateusz@loskot.net>

	* [r3110] capi/geos_ts_c.cpp: Cleaned compiler warnings

2010-10-10 21:28  Mateusz Loskot <mateusz@loskot.net>

	* [r3109] src/inlines.cpp: Disable inline.obj if GEOS_INLINE
	  defined while building with Visual C++

2010-10-10 21:15  Mateusz Loskot <mateusz@loskot.net>

	* [r3108] src/operation/buffer/BufferBuilder.cpp: Disable argument
	  dependant lookup (Koenig) for min/max functions to make sure GEOS
	  compiles in the presence of the min and max macros.

2010-10-10 21:07  Mateusz Loskot <mateusz@loskot.net>

	* [r3107] CMakeLists.txt: Added NOMINMAX define for Visual C++

2010-10-10 20:50  Mateusz Loskot <mateusz@loskot.net>

	* [r3106] CMakeLists.txt: Do not set CMAKE_BUILD_TYPE for Visual
	  Studio IDE generators - CMAKE_BUILD_TYPE is dedicated to
	  single-configuration generators like Make or NMAKE.

2010-10-10 11:32  Mateusz Loskot <mateusz@loskot.net>

	* [r3105] autogen.bat: Updated GEOS_HEADERS location. Thanks to
	  Andrea Peri for reporting.

2010-08-27 18:23  Sandro Santilli <strk@keybit.net>

	* [r3104] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/bug358.xml: Add test for 358 in the loop
	  (now fixed).

2010-08-27 15:58  Sandro Santilli <strk@keybit.net>

	* [r3103] tests/xmltester/tests/bug375.xml: Drop duplicated
	  testcase

2010-08-27 15:55  Sandro Santilli <strk@keybit.net>

	* [r3102] include/geos/geom/BinaryOp.h,
	  tests/xmltester/Makefile.am: Check validity of CommonBitsOp
	  return, as JTS does. Check output validity for all tests, do not
	  run the now-throwing tests also known to be bogus in JTS.

2010-08-27 15:43  Sandro Santilli <strk@keybit.net>

	* [r3101] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/bug358.xml, tests/xmltester/tests/failure,
	  tests/xmltester/tests/failure/TestOverlay.xml,
	  tests/xmltester/tests/robustness-invalid-output.xml: Found
	  bug375.xml (==robustness-invalid-output.xml) to be the same of
	  JTS's failure/TestOverlay.xml, so dropped the previous 2 and
	  copied over the latter. Won't run that test for now, so to get in
	  sync with JTS as next step.

2010-08-27 15:27  Sandro Santilli <strk@keybit.net>

	* [r3100] tests/xmltester/tests/bug375.xml: Add proper arg1 and
	  arg2 attributes (for JTS support)

2010-08-27 14:13  Sandro Santilli <strk@keybit.net>

	* [r3099] include/geos/geom/BinaryOp.h: Add code to check validity
	  of CommonBits removal policy op (known as EnhancedPreicionOp in
	  JTS). The check can be turned on at compile time. Currently
	  defaults to off to avoid breaking a previously-almost-working
	  test (robustness-invalid-output.xml). It'll need some discussion
	  before going on with this as to whether we can accept to return
	  invalid geometries or not..

2010-08-27 13:53  Sandro Santilli <strk@keybit.net>

	* [r3098] tests/xmltester/Makefile.am,
	  tests/xmltester/testrunner.sh, tests/xmltester/tests/bug358.xml,
	  tests/xmltester/tests/bug375.xml,
	  tests/xmltester/tests/robustness-invalid-output.xml,
	  tests/xmltester/tests/robustness.xml,
	  tests/xmltester/tests/stmlf/stmlf-cases-20061020-invalid-output.xml,
	  tests/xmltester/tests/stmlf/stmlf-cases-20061020.xml: Split tests
	  that trigger invalid outputs from the rest.
	  Test the sane ones with --test-invalid-output and the other ones
	  with
	  less strictness. Add (but dont run) tests for bugs 375 and 358
	  (to
	  review for correct expected otuput)

2010-08-27 13:00  Sandro Santilli <strk@keybit.net>

	* [r3097] tests/xmltester/XMLTester.cpp,
	  tests/xmltester/XMLTester.h: Have --test-valid-output influence
	  test results

2010-08-27 10:22  Sandro Santilli <strk@keybit.net>

	* [r3096] README: Add note about configuring for php support

2010-08-27 09:04  Sandro Santilli <strk@keybit.net>

	* [r3095] tests/xmltester/XMLTester.cpp,
	  tests/xmltester/XMLTester.h: const-correctness

2010-08-27 06:17  Sandro Santilli <strk@keybit.net>

	* [r3094] tests/xmltester/XMLTester.cpp: Have --test-valid-output
	  test actual result, not the expected one (more useful)

2010-08-26 23:11  Sandro Santilli <strk@keybit.net>

	* [r3093] tests/xmltester/tests/bug334.xml,
	  tests/xmltester/tests/bug344.xml: Fix name of the test to match
	  ticket number

2010-08-23 16:37  Stephen Wong <swongu@gmail.com>

	* [r3092] src/operation/buffer/BufferBuilder.cpp: Fixed a filtering
	  distance problem in bufferLineSingleSided. (#372)

2010-08-23 15:10  Sandro Santilli <strk@keybit.net>

	* [r3091] include/geos/geom/BinaryOp.h: Add more debugging calls
	  (for bug #358)

2010-08-23 13:38  Sandro Santilli <strk@keybit.net>

	* [r3090] include/geos/geom/BinaryOp.h: Snapping heuristic was
	  never really dropping common bits. Now it does.
	  This is just to have code match documentation, and still passes
	  'make
	  check' for GEOS. Wasn't tried against postgis, would be useful to
	  do.

2010-08-17 18:57  Sean Gillies <sgillies@frii.com>

	* [r3089] capi/geos_ts_c.cpp: Use fully qualified
	  std::runtime_error (#371) and fix indentation

2010-08-17 18:33  Sean Gillies <sgillies@frii.com>

	* [r3088] capi/geos_ts_c.cpp: Throw runtime_error if allocation
	  fails in gstrdup_s

2010-07-26 22:21  Stephen Wong <swongu@gmail.com>

	* [r3087] src/operation/buffer/BufferBuilder.cpp,
	  src/operation/valid/ConnectedInteriorTester.cpp,
	  src/operation/valid/IsValidOp.cpp,
	  tests/xmltester/tests/general/TestValid2.xml: Fixed a
	  bufferLineSingleSided crash and fixed OGC validation on rare
	  cases. (#364)

2010-07-15 15:54  Sandro Santilli <strk@keybit.net>

	* [r3086] php/TODO: Updated

2010-07-15 09:15  Sandro Santilli <strk@keybit.net>

	* [r3085] NEWS: Add item about the new PHP5 binding

2010-07-15 09:13  Sandro Santilli <strk@keybit.net>

	* [r3084] php/geos.c, php/test/test.php: PHP: Drop debug lines from
	  serialization code, add test for
	  serialization

2010-07-15 09:07  Sandro Santilli <strk@keybit.net>

	* [r3083] configure.in: Fix logic bug in phpunit check

2010-07-14 08:38  Sandro Santilli <strk@keybit.net>

	* [r3082] php/TODO, php/geos.c: Serialization/deserialization
	  support for GEOSGeometry type

2010-07-13 11:03  Sandro Santilli <strk@keybit.net>

	* [r3081] configure.in, php/test/Makefile.am: Cleanup PHP-specific
	  dependency handling and reporting

2010-07-08 20:54  Sandro Santilli <strk@keybit.net>

	* [r3080] src/geom/Polygon.cpp, tests/unit/io/WKTReaderTest.cpp:
	  Object passed for ownership transfer in the constructor shouldn't
	  be deleted when construction fails. Fixes bug #361

2010-07-01 21:49  Sandro Santilli <strk@keybit.net>

	* [r3079] NEWS: Note the bugfix in news file

2010-07-01 21:44  Sandro Santilli <strk@keybit.net>

	* [r3078] include/geos/operation/polygonize/EdgeRing.h,
	  include/geos/operation/polygonize/PolygonizeGraph.h,
	  include/geos/planargraph/PlanarGraph.h, php/test/test.php,
	  src/operation/polygonize/EdgeRing.cpp,
	  src/operation/polygonize/PolygonizeGraph.cpp,
	  src/planargraph/PlanarGraph.cpp: Fix
	  PolygonizeGraph::deleteDangles so it doesn't return duplicated
	  LineStrings, as per JTS design. Fixes the Polygonizer Bug
	  reported in list. This commit also takes the chance to reduce
	  some heap allocations.

2010-07-01 20:49  Sandro Santilli <strk@keybit.net>

	* [r3077] include/geos/operation/polygonize/EdgeRing.h,
	  src/operation/polygonize/EdgeRing.cpp: Minor optimizations /
	  strictnesses

2010-07-01 20:03  Sandro Santilli <strk@keybit.net>

	* [r3076] include/geos/operation/polygonize/EdgeRing.h,
	  src/operation/polygonize/EdgeRing.cpp: Drop useless
	  heap-allocation in Polygonize op

2010-06-24 14:40  Frank Warmerdam <warmerdam@pobox.com>

	* [r3075] tests/unit/capi/GEOSGeomToWKTTest.cpp,
	  tests/unit/capi/GEOSGeom_extractUniquePointsTest.cpp,
	  tests/unit/geom/PointTest.cpp: fix memory leaks

2010-06-24 14:10  Sandro Santilli <strk@keybit.net>

	* [r3074] php/geos.c, php/test/test.php: PHP:
	  GEOSWKTWriter::getOutputDimension and test

2010-06-24 13:58  Frank Warmerdam <warmerdam@pobox.com>

	* [r3073] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  tests/unit/capi/GEOSGeomToWKTTest.cpp: added
	  GEOSWKTWriter_getOutputDimension and test (#354)

2010-06-24 09:42  Sandro Santilli <strk@keybit.net>

	* [r3072] php/TODO: Update

2010-06-24 09:41  Sandro Santilli <strk@keybit.net>

	* [r3071] php/geos.c, php/test/test.php: WKBReader: construct and
	  readHEX; improve WKTReader test to include 'Z' label

2010-06-24 09:20  Sandro Santilli <strk@keybit.net>

	* [r3070] php/geos.c, php/test/test.php:
	  WKBWriter::{set,get}IncludeSRID (and test)

2010-06-24 09:07  Sandro Santilli <strk@keybit.net>

	* [r3069] php/geos.c, php/test/test.php:
	  WKBWriter::{get,set}ByteOrder, improve tests for writeHEX

2010-06-24 09:01  Sandro Santilli <strk@keybit.net>

	* [r3068] capi/geos_ts_c.cpp, include/geos/io/WKBWriter.h,
	  src/io/WKBWriter.cpp: Make WKBWriter::setByteOrder check for
	  argument and throw IllegalArgumentException when appropriate.
	  Make sure C-API wrapper catches those.

2010-06-24 08:28  Sandro Santilli <strk@keybit.net>

	* [r3067] php/geos.c, php/test/test.php: PHP: WKBWriter: ctor,
	  getOutputDimension, setOutputDimension, writeHEX and tests

2010-06-24 08:27  Sandro Santilli <strk@keybit.net>

	* [r3066] capi/geos_ts_c.cpp: Properly catch exceptions from
	  WKTWriter::setOutputDimension and WKBWriter::setOutputDimension

2010-06-24 08:27  Sandro Santilli <strk@keybit.net>

	* [r3065] include/geos/io/WKBWriter.h, include/geos/io/WKTWriter.h,
	  src/io/WKBWriter.cpp, src/io/WKTWriter.cpp: Make
	  WKTWriter::setOutputDimensions check parameter validity (must be
	  2 or 3) to be consistent with WKBWriter already doing so in
	  constructor; make WKBWriter::setOutputDimensions perform the
	  check as well (like the constructor); Drop virtual methods from
	  WKTWriter class, which wasn't meant to be a virtual class (no
	  virtual dtor anyway)

2010-06-23 09:48  Sandro Santilli <strk@keybit.net>

	* [r3064] NEWS: Log ABI change

2010-06-23 09:47  Sandro Santilli <strk@keybit.net>

	* [r3063] include/geos/geom/Geometry.h, src/geom/Geometry.cpp:
	  Const-correct Geometry::isWithinDistance. Thanks to Yabo, see
	  ticket #349

2010-06-23 09:31  Sandro Santilli <strk@keybit.net>

	* [r3062] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  php/geos.c: There's no point for GEOSisValidDetail to take output
	  parameter as const pointer

2010-06-23 09:23  Sandro Santilli <strk@keybit.net>

	* [r3061] include/geos/operation/buffer/OffsetCurveVertexList.h,
	  src/geom/CoordinateArraySequence.cpp,
	  src/geom/GeometryFactory.cpp, src/io/WKTWriter.cpp: Fix for 4.4.3
	  builds, patch by Yabo (see ticket #351)

2010-06-21 14:31  Sandro Santilli <strk@keybit.net>

	* [r3060] php/TODO, php/geos.c, src/geom/GeometryCollection.cpp,
	  src/geom/LineString.cpp, src/geom/Polygon.cpp: Switch back to
	  unchecked getGeometryN, getPointN and getInteriorRingN, check
	  them at the PHP level, for performance sake in C-land.

2010-06-21 10:30  Sandro Santilli <strk@keybit.net>

	* [r3059] php/TODO, php/geos.c, php/test/test.php: Rename
	  getGeometryN to geometryN, for interface consistency

2010-06-21 10:21  Sandro Santilli <strk@keybit.net>

	* [r3058] php/TODO, php/geos.c, php/test/test.php: area, length,
	  distance, hausdorffDistance; fix leaks in pointN, startPoint and
	  endPoint

2010-06-21 02:02  Sandro Santilli <strk@keybit.net>

	* [r3057] php/geos.c, php/test/test.php: startPoint, endPoint

2010-06-21 01:58  Sandro Santilli <strk@keybit.net>

	* [r3056] php/geos.c, php/test/test.php: pointN

2010-06-21 01:57  Sandro Santilli <strk@keybit.net>

	* [r3055] src/geom/LineString.cpp: LineString::getPointN is part of
	  the API, check before segfaulting..

2010-06-21 01:49  Sandro Santilli <strk@keybit.net>

	* [r3054] php/geos.c, php/test/test.php: coordinateDimension()

2010-06-21 01:46  Sandro Santilli <strk@keybit.net>

	* [r3053] php/TODO, php/geos.c, php/test/test.php: dimension() [
	  spatial ]

2010-06-21 01:43  Sandro Santilli <strk@keybit.net>

	* [r3052] php/geos.c, php/test/test.php: numCoordinates

2010-06-21 01:39  Sandro Santilli <strk@keybit.net>

	* [r3051] php/geos.c, php/test/test.php: exteriorRing

2010-06-21 01:36  Sandro Santilli <strk@keybit.net>

	* [r3050] php/TODO, php/geos.c, php/test/test.php: numPoints, getX,
	  getY, interiorRingN

2010-06-21 01:34  Sandro Santilli <strk@keybit.net>

	* [r3049] src/geom/Polygon.cpp: Make getInteriorRingN checked (API)

2010-06-21 01:05  Sandro Santilli <strk@keybit.net>

	* [r3048] php/geos.c, php/test/test.php: numInteriorRings

2010-06-21 00:56  Sandro Santilli <strk@keybit.net>

	* [r3047] php/test/test.php: Test null-return from unexistent
	  offset

2010-06-21 00:53  Sandro Santilli <strk@keybit.net>

	* [r3046] src/geom/GeometryCollection.cpp: Geometry::getGeometryN
	  is an API function, so make it safe/checked

2010-06-21 00:44  Sandro Santilli <strk@keybit.net>

	* [r3045] php/geos.c, php/test/test.php: getGeometryN

2010-06-21 00:06  Sandro Santilli <strk@keybit.net>

	* [r3044] php/test/test.php: Test numGeometries

2010-06-21 00:01  Sandro Santilli <strk@keybit.net>

	* [r3043] php/geos.c, php/test/test.php: getSRID, setSRID

2010-06-20 23:53  Sandro Santilli <strk@keybit.net>

	* [r3042] php/geos.c, php/test/test.php: typeName, typeId

2010-06-20 23:40  Sandro Santilli <strk@keybit.net>

	* [r3041] php/geos.c, php/test/test.php: Geometry type constants

2010-06-20 23:35  Sandro Santilli <strk@keybit.net>

	* [r3040] php/geos.c, php/test/test.php: isSimple, isRing, hasZ,
	  isClosed

2010-06-20 22:59  Sandro Santilli <strk@keybit.net>

	* [r3039] php/geos.c, php/test/test.php: checkValidity (isValid in
	  disguise)

2010-06-20 21:10  Sandro Santilli <strk@keybit.net>

	* [r3038] php/TODO, php/geos.c, php/test/test.php: isEmpty

2010-06-20 21:00  Sandro Santilli <strk@keybit.net>

	* [r3037] php/geos.c, php/test/test.php: Relational operators +
	  equalsExact

2010-06-20 19:05  Sandro Santilli <strk@keybit.net>

	* [r3036] php/geos.c, php/test/test.php: Simplify (also
	  topology-preserving), ExtractUniquePoints

2010-06-20 17:00  Sandro Santilli <strk@keybit.net>

	* [r3035] php/geos.c, php/test/Makefile.am, php/test/test.php:
	  GEOSLineMerge

2010-06-20 09:13  Sandro Santilli <strk@keybit.net>

	* [r3034] php/geos.c, php/test/test.php: Make GEOSPolygonize a free
	  function rather than a method on GEOSGeometry. This is to allow
	  extending it to accept differnet kind of args, like arrays of
	  GEOSGeometry for example..

2010-06-20 09:02  Sandro Santilli <strk@keybit.net>

	* [r3033] php/TODO: Add serialize/unserialize TODO item

2010-06-20 08:50  Sandro Santilli <strk@keybit.net>

	* [r3032] php/TODO, php/geos.c: Geometry.__toString for easier
	  debuggin

2010-06-20 08:32  Sandro Santilli <strk@keybit.net>

	* [r3031] php/TODO, php/geos.c, php/test/test.php: Polygonize
	  (testing need further review for a possible bug in core lib)

2010-06-19 21:38  Sandro Santilli <strk@keybit.net>

	* [r3030] php/test/test.php: Use the "T" char for IM9 pattern
	  sometime (for fun and proof)

2010-06-19 21:36  Sandro Santilli <strk@keybit.net>

	* [r3029] php/geos.c, php/test/test.php: relate, relatePattern

2010-06-19 18:27  Sandro Santilli <strk@keybit.net>

	* [r3028] php/geos.c, php/test/test.php:
	  Geometry->{pointOnSurface,centroid}

2010-06-19 18:13  Sandro Santilli <strk@keybit.net>

	* [r3027] php/geos.c, php/test/test.php: More Geometry methods:
	  envelope, intersection, convexHull, difference, symDifference,
	  boundary, union (including cascaded)

2010-06-19 17:14  Sandro Santilli <strk@keybit.net>

	* [r3026] php/geos.c, php/test/test.php: Export buffer costants and
	  method

2010-06-19 13:27  Sandro Santilli <strk@keybit.net>

	* [r3025] php/test/test.php: Test typed empty geoms too for IO

2010-06-19 13:17  Sandro Santilli <strk@keybit.net>

	* [r3024] php/geos.c, php/test/test.php: Add second optional
	  argument to Geometry->project and Geometry->interpolate to
	  request normalization

2010-06-19 13:08  Sandro Santilli <strk@keybit.net>

	* [r3023] capi/geos_c.h.in: Document GEOSInterpolate

2010-06-19 13:06  Sandro Santilli <strk@keybit.net>

	* [r3022] php/geos.c, php/test/test.php: Add
	  GEOSGeometry->interpolate()

2010-06-19 12:42  Sandro Santilli <strk@keybit.net>

	* [r3021] capi/geos_ts_c.cpp: Handle exceptions in GEOSInterpolate

2010-06-19 12:30  Sandro Santilli <strk@keybit.net>

	* [r3020] php/test/Makefile.am: Better automake integration of unit
	  test

2010-06-19 12:28  Sandro Santilli <strk@keybit.net>

	* [r3019] src/linearref/LinearLocation.cpp: Handle illegal argument
	  to LinearLocation::getCoordinate

2010-06-19 12:20  Sandro Santilli <strk@keybit.net>

	* [r3018] capi/geos_c.h.in: document GEOSProject

2010-06-19 11:34  Sandro Santilli <strk@keybit.net>

	* [r3017] php/TODO, php/geos.c, php/test/Makefile.am,
	  php/test/test.php: Complete implementation of WKTWriter
	  interfaces, add phpunit-based testing, add .project interface to
	  Geometry

2010-06-19 11:32  Sandro Santilli <strk@keybit.net>

	* [r3016] configure.in: Check for PHP and PHPUNIT (for testing php
	  bindings)

2010-06-19 11:25  Sandro Santilli <strk@keybit.net>

	* [r3015] capi/geos_ts_c.cpp: Handle exceptions from
	  LenghtIndexedLine::project

2010-06-19 11:23  Sandro Santilli <strk@keybit.net>

	* [r3014] src/linearref/LinearIterator.cpp: The thrown error shall
	  make sense...

2010-06-19 11:16  Sandro Santilli <strk@keybit.net>

	* [r3013] src/linearref/LinearIterator.cpp: Throw an exception on
	  first non-linestring component, rather than segfaulting la
	  ter... (might be better to refuse non-lineal even earlier, but
	  this way we *migh
	  * be supporting collections with only linestrings)

2010-06-19 11:14  Sandro Santilli <strk@keybit.net>

	* [r3012] include/geos/linearref/LengthIndexOfPoint.h,
	  include/geos/linearref/LinearIterator.h: Dox cleanup

2010-06-18 16:15  Sandro Santilli <strk@keybit.net>

	* [r3011] php/geos.c, php/test/test.php: WKTWriter::setTrim

2010-06-18 16:12  Sandro Santilli <strk@keybit.net>

	* [r3010] php/Makefile.am: Ubuntu 8.10 version of gcc needs
	  -std=gnu99 to digest Zend headers :(

2010-06-18 15:09  Sandro Santilli <strk@keybit.net>

	* [r3009] Makefile.am, doc/Makefile.am: Add 'doxygen' rule (and
	  'apidoc' alias) to top-level Makefile.am

2010-06-18 14:43  Sandro Santilli <strk@keybit.net>

	* [r3008] php/TODO: tip for test

2010-06-18 14:20  Sandro Santilli <strk@keybit.net>

	* [r3007] Makefile.am, configure.in, php, php/Makefile.am,
	  php/README, php/TODO, php/geos.c, php/php_geos.h, php/test,
	  php/test/Makefile.am, php/test/crashme.php, php/test/test.php:
	  Initial go at PHP5 bindings. Can only read and write WKT so far.

2010-06-18 10:29  Sandro Santilli <strk@keybit.net>

	* [r3006] configure.in: Do not set user FLAGS, se project flags
	  instead.
	  For the whole story, see:
	  http://www.gnu.org/software/hello/manual/automake/Flag-Variables-Ordering.html

2010-06-18 09:57  Sandro Santilli <strk@keybit.net>

	* [r3005] doc/Makefile.am: Fix automake override

2010-06-18 09:52  Sandro Santilli <strk@keybit.net>

	* [r3004] autogen.sh: Add -Woverride option to automake invocation,
	  to catch Makefile.am errors (there's one)

2010-06-16 10:39  Sandro Santilli <strk@keybit.net>

	* [r3003] swig/geos.i.in: Drop carriage returns

2010-06-16 09:45  Sandro Santilli <strk@keybit.net>

	* [r3002] swig/Makefile.am: OOps, tabs instead of spaces confuse
	  automake

2010-06-16 09:31  Sandro Santilli <strk@keybit.net>

	* [r3001] swig/Makefile.am: Always distribute swig bindings, closes
	  bug #352

2010-06-16 09:25  Sandro Santilli <strk@keybit.net>

	* [r3000] macros/ac_pkg_swig.m4: Fix swig macro so it doesn't think
	  version 2.0.0 is < 1.3.37

2010-06-01 15:15  Frank Warmerdam <warmerdam@pobox.com>

	* [r2999] src/io/WKTReader.cpp, tests/unit/io/WKTReaderTest.cpp:
	  make WKTReader keywords case insensitive

2010-05-31 16:25  Frank Warmerdam <warmerdam@pobox.com>

	* [r2998] include/geos/geom/CoordinateArraySequence.h,
	  include/geos/geom/CoordinateArraySequenceFactory.h,
	  include/geos/geom/CoordinateSequenceFactory.h,
	  src/geom/CoordinateArraySequence.cpp,
	  src/geom/GeometryFactory.cpp, src/io/WKTWriter.cpp,
	  tests/unit/geom/CoordinateArraySequenceTest.cpp: Attempt to make
	  geometry dimension perform more smoothly.
	  Modified CoordinateArraySequence to default to unknown dimension
	  (0), which
	  is determined at the point getDimension() is called by
	  examination of the
	  first coordinate Z (ISNAN test). The WKTWriter has also been
	  altered to
	  write 0.0 instead of nan, and to avoid writing "Z" for EMPTY
	  geometries.(#348)

2010-05-31 02:57  Frank Warmerdam <warmerdam@pobox.com>

	* [r2997] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp:
	  Addition of getCoordinateDimension() on GEOSGeom (#311)
	  Addition of setOutputDimension, setOld3D on WKTWriter (#292)

2010-05-28 20:44  Frank Warmerdam <warmerdam@pobox.com>

	* [r2996] tests/unit/io/WKBWriterTest.cpp: added missing test that
	  should have been in r2995

2010-05-28 20:38  Frank Warmerdam <warmerdam@pobox.com>

	* [r2995] include/geos/geom/Geometry.h,
	  include/geos/geom/GeometryCollection.h,
	  include/geos/geom/LineString.h, include/geos/geom/Point.h,
	  include/geos/geom/Polygon.h, include/geos/io/WKBWriter.h,
	  include/geos/io/WKTWriter.h, src/geom/GeometryCollection.cpp,
	  src/geom/LineString.cpp, src/geom/Point.cpp,
	  src/geom/Polygon.cpp, src/io/WKBWriter.cpp, src/io/WKTWriter.cpp,
	  tests/unit/Makefile.am, tests/unit/geom/LineStringTest.cpp,
	  tests/unit/geom/PointTest.cpp, tests/unit/io/WKTWriterTest.cpp:
	  Implement getCoordinateDimension() for geometries (#331)
	  WKTWriter now has setOutputDimension() method, and writes 3D
	  geometries (#292)
	  WKBWriter has fixes for writing 2D geometries from 3D geometry
	  (#346)
	  Minimal unit tests for the above.

2010-05-28 20:32  Frank Warmerdam <warmerdam@pobox.com>

	* [r2994] src/io/WKTReader.cpp, tests/unit/io/WKTReaderTest.cpp:
	  add support for reading SF1.2 Z/M/ZM geometries (#347)

2010-05-19 05:22  Frank Warmerdam <warmerdam@pobox.com>

	* [r2993] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  include/geos/io/WKTWriter.h, src/io/WKTWriter.cpp,
	  tests/unit/Makefile.am, tests/unit/io/WKTReaderTest.cpp,
	  tests/unit/io/WKTWriterTest.cpp: added setPrecision, setTrim
	  support on WKTWriter and provided tests (#341)

2010-05-18 20:28  Frank Warmerdam <warmerdam@pobox.com>

	* [r2992] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  tests/unit/Makefile.am,
	  tests/unit/capi/GEOSLineString_PointTest.cpp: expose several new
	  accessor functions on geometries (#345)

2010-05-18 20:07  Frank Warmerdam <warmerdam@pobox.com>

	* [r2991] tests/unit/noding/SegmentNodeTest.cpp: disamiguate create
	  args (#345)

2010-05-18 19:18  Frank Warmerdam <warmerdam@pobox.com>

	* [r2990] include/geos/geom/CoordinateArraySequence.h,
	  include/geos/geom/CoordinateArraySequenceFactory.inl,
	  include/geos/geom/CoordinateSequenceFactory.h,
	  include/geos/io/WKTReader.h,
	  src/geom/CoordinateArraySequence.cpp,
	  src/geom/GeometryFactory.cpp, src/io/WKTReader.cpp,
	  tests/unit/noding/BasicSegmentStringTest.cpp,
	  tests/unit/noding/NodedSegmentStringTest.cpp: preserve dimension
	  as part of CoordinateArraySequence and while reading WKT (#345)

2010-05-15 12:47  Sandro Santilli <strk@keybit.net>

	* [r2989] src/operation/buffer/OffsetCurveBuilder.cpp: Minor tweaks

2010-05-15 12:31  Sandro Santilli <strk@keybit.net>

	* [r2988] include/geos/operation/buffer/Makefile.am,
	  include/geos/operation/buffer/OffsetCurveBuilder.h,
	  include/geos/operation/buffer/OffsetCurveVertexList.h,
	  src/operation/buffer/Makefile.am,
	  src/operation/buffer/OffsetCurveBuilder.cpp,
	  src/operation/buffer/OffsetCurveVertexList.h,
	  tests/xmltester/tests/bug334.xml: Move OffsetCurveVertexList.h to
	  headers dir, add a .reset() method to reduce memory allocations,
	  use the new interface.

2010-05-15 12:30  Sandro Santilli <strk@keybit.net>

	* [r2987] include/geos/geom/CoordinateArraySequence.h,
	  src/geom/CoordinateArraySequence.cpp: Add clear() method to
	  CoordinateArraySequence, inline empty()

2010-05-04 21:29  Sandro Santilli <strk@keybit.net>

	* [r2986] README: Add 'ldconfig' step, seems to be a recurring
	  issue with builders...

2010-05-02 09:35  Sandro Santilli <strk@keybit.net>

	* [r2985] capi/geos_c.h.in: Add a note about 2d nature of
	  extractUniquePoints

2010-04-21 16:17  Mateusz Loskot <mateusz@loskot.net>

	* [r2982] nmake.opt: * Updated nmake.opt with NMake version from
	  Visual Studio 2010 release.

2010-04-17 22:16  Sandro Santilli <strk@keybit.net>

	* [r2977] HOWTO_RELEASE, capi/geos_c.h.in: Also set version for the
	  systems not using autoconf, and update paths in HOWTO_RELEASE
	  file

2010-04-17 22:14  Sandro Santilli <strk@keybit.net>

	* [r2976] configure.in: As we're still maintaining 3.2 branch, and
	  since new CAPI interface were added, bump CAPI lib interface
	  version up. We'll be 1.7.0 there from now on.

2010-04-17 15:34  Sandro Santilli <strk@keybit.net>

	* [r2974] NEWS, capi/geos_c.cpp: Have initGEOS(..) return a
	  singleton, as used to be up to 3.0.0

2010-04-07 13:24  Mateusz Loskot <mateusz@loskot.net>

	* [r2968] nmake.opt: Added ENABLE_INLINE=YES|NO option to nmake.opt
	  for Visual C++ builds using NMake. The ENABLE_INLINE=YES does not
	  link for me - to be fixed

2010-04-07 13:22  Mateusz Loskot <mateusz@loskot.net>

	* [r2967] src/dirlist.mk: Updated src/dirlist.mk (Ticket 337)

2010-03-29 17:44  Mateusz Loskot <mateusz@loskot.net>

	* [r2965] nmake.opt: Added NMake 10.x version to be recognized by
	  nmake.opt

2010-03-29 12:17  Mateusz Loskot <mateusz@loskot.net>

	* [r2961] include/geos/algorithm/CentralEndpointIntersector.h,
	  include/geos/geom/CoordinateArraySequence.h,
	  include/geos/geom/CoordinateArraySequenceFactory.h,
	  include/geos/geom/CoordinateArraySequenceFactory.inl,
	  include/geos/geom/CoordinateSequence.h,
	  include/geos/geom/CoordinateSequenceFactory.h,
	  include/geos/geom/CoordinateSequenceFilter.h,
	  include/geos/geom/Geometry.h,
	  include/geos/geom/GeometryCollection.h,
	  include/geos/geom/LineSegment.h,
	  include/geos/geom/LineSegment.inl,
	  include/geos/geom/LineString.h, include/geos/geom/Polygon.h,
	  include/geos/geom/prep/PreparedLineStringIntersects.h,
	  include/geos/geomgraph/EdgeEndStar.h,
	  include/geos/geomgraph/TopologyLocation.h,
	  include/geos/index/chain/MonotoneChain.h,
	  include/geos/index/chain/MonotoneChainBuilder.h,
	  include/geos/index/chain/MonotoneChainOverlapAction.h,
	  include/geos/index/strtree/AbstractSTRtree.h,
	  include/geos/index/strtree/SIRtree.h,
	  include/geos/index/strtree/STRtree.h,
	  include/geos/noding/MCIndexNoder.h,
	  include/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	  include/geos/noding/SegmentNodeList.h,
	  include/geos/noding/SegmentStringUtil.h,
	  include/geos/noding/snapround/HotPixel.h,
	  include/geos/operation/predicate/RectangleIntersects.h,
	  include/geos/planargraph/DirectedEdgeStar.h,
	  include/geos/planargraph/PlanarGraph.h,
	  include/geos/simplify/DouglasPeuckerLineSimplifier.h,
	  include/geos/simplify/TaggedLineString.h: Qualify size_t with std
	  namespace in headers.

2010-03-29 12:13  Mateusz Loskot <mateusz@loskot.net>

	* [r2960] build/msvc10, build/msvc10/geos_c_dll,
	  build/msvc10/geos_lib, build/msvc10/geos_unit,
	  build/msvc10/geos_xmltester: Updated svn:ignore property

2010-03-29 11:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2959] build/msvc10/geos_lib/geos_lib.vcxproj,
	  build/msvc10/geos_lib/geos_lib.vcxproj.filters,
	  build/msvc90/geos_c_dll/geos_c_dll.vcproj,
	  build/msvc90/geos_unit/geos_unit.vcproj,
	  build/msvc90/geos_xmltester/geos_xmltester.vcproj: Updated
	  projects for Visual Studio 2008 and 2010

2010-03-29 11:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2958] include/geos/geom/Geometry.h,
	  include/geos/geom/LineString.h, include/geos/geom/Point.h,
	  include/geos/geomgraph/EdgeEndStar.h,
	  include/geos/geomgraph/EdgeList.h, include/geos/geomgraph/Node.h,
	  include/geos/geomgraph/NodeMap.h,
	  include/geos/index/strtree/AbstractNode.h,
	  include/geos/index/strtree/STRtree.h,
	  include/geos/io/CLocalizer.h, include/geos/io/WKBReader.h,
	  include/geos/io/WKTWriter.h,
	  include/geos/noding/NodedSegmentString.h,
	  include/geos/operation/GeometryGraphOperation.h,
	  include/geos/operation/buffer/BufferBuilder.h,
	  include/geos/operation/buffer/BufferOp.h,
	  include/geos/operation/buffer/OffsetCurveBuilder.h,
	  include/geos/operation/linemerge/LineMergeGraph.h,
	  include/geos/operation/linemerge/LineMerger.h,
	  include/geos/operation/overlay/OverlayOp.h,
	  include/geos/operation/polygonize/Polygonizer.h,
	  include/geos/planargraph/NodeMap.h,
	  include/geos/planargraph/PlanarGraph.h,
	  include/geos/simplify/LineSegmentIndex.h,
	  include/geos/simplify/TaggedLineStringSimplifier.h,
	  include/geos/simplify/TaggedLinesSimplifier.h,
	  include/geos/simplify/TopologyPreservingSimplifier.h,
	  include/geos/util/GEOSException.h,
	  include/geos/util/GeometricShapeFactory.h,
	  include/geos/util/UniqueCoordinateArrayFilter.h: Added pragma to
	  disable Visual C++ warning C4251 - safe to ignore
	  (http://support.microsoft.com/kb/813810/)
	  

2010-03-29 11:21  Mateusz Loskot <mateusz@loskot.net>

	* [r2957] capi/geos_ts_c.cpp: No need to load the whole std
	  namespace to use std::vector only.

2010-03-26 12:35  Mateusz Loskot <mateusz@loskot.net>

	* [r2955] include/geos/platform.h.vc: platform.h.vc: disable
	  min/max macros substitution

2010-03-26 12:06  Mateusz Loskot <mateusz@loskot.net>

	* [r2954] include/geos/operation/union/CascadedPolygonUnion.h:
	  Added GEOS_DLL with Microsoft-specific __declspec attribute
	  missing from CascadedPolygonUnion class (ported from
	  branches/3.2)

2010-03-26 12:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2952] src/geom/GeometryList.cpp: geom\GeoemtryList.cpp: missing
	  implementation of GeometryList::size() function (ported from
	  branches/3.2)

2010-03-26 11:58  Mateusz Loskot <mateusz@loskot.net>

	* [r2950] src/Makefile.vc: src\Makefile.vc: added missing
	  geom\GeometryList.cpp (ported from branches/3.2)

2010-03-26 11:55  Mateusz Loskot <mateusz@loskot.net>

	* [r2948] nmake.opt: nmake.opt: Added missing GEOS_DLL_EXPORT to
	  CPPFLAGS (ported from branches/3.2)

2010-03-19 15:13  Sandro Santilli <strk@keybit.net>

	* [r2946] NEWS, capi/geos_ts_c.cpp: Improve formatting for
	  GEOSisValidReason_r (#329)

2010-03-18 18:39  Sandro Santilli <strk@keybit.net>

	* [r2944] include/geos/operation/valid/IsValidOp.h,
	  src/operation/valid/IsValidOp.cpp: Forw-port a better fix for
	  #333 (false positive valid geoms)

2010-03-16 13:13  Sandro Santilli <strk@keybit.net>

	* [r2941] capi/geos_ts_c.cpp: Fix ST_IsValidDetail (broke by last
	  commit)

2010-03-16 12:32  Sandro Santilli <strk@keybit.net>

	* [r2940] capi/geos_ts_c.cpp: Now that IsValidOp doesn't cache the
	  'checked' status it is better to trigger a single check rather
	  than two (also fix leaks)

2010-03-14 10:13  Sandro Santilli <strk@keybit.net>

	* [r2939] include/geos/util/Makefile.am: Install Machine.h

2010-03-13 22:07  Sandro Santilli <strk@keybit.net>

	* [r2938] capi/geos_ts_c.cpp,
	  tests/unit/capi/GEOSOrientationIndex.cpp: Fix
	  GEOSOrientationIndex implementation and testcase. Closes ticket
	  #335.

2010-03-12 07:54  Sandro Santilli <strk@keybit.net>

	* [r2937] NEWS, capi/geos_c.cpp, capi/geos_c.h.in,
	  capi/geos_ts_c.cpp, tests/unit/Makefile.am,
	  tests/unit/capi/GEOSOrientationIndex.cpp: Expose
	  GEOSOrientationIndex to C-API

2010-03-10 09:34  Sandro Santilli <strk@keybit.net>

	* [r2936] include/geos/operation/valid/IsValidOp.h,
	  src/operation/valid/IsValidOp.cpp,
	  tests/xmltester/tests/general/TestValid.xml: Sync TestValid xml
	  from JTS, review IsValidOp to be in sync with current JTS trunk.

2010-03-07 11:39  Sandro Santilli <strk@keybit.net>

	* [r2935] README: Apply slightly modified patch by mwtoews (#344)

2010-03-06 01:49  Mateusz Loskot <mateusz@loskot.net>

	* [r2934] CMakeLists.txt, cmake/cmake_uninstall.cmake.in: Added
	  cmake/cmake_uninstall.cmake.in script and configured make
	  uninstall target for CMake configuration (#317)

2010-03-03 07:21  Sandro Santilli <strk@keybit.net>

	* [r2933] capi/geos_c.h.in: Improve documentation for
	  GEOSPOlygonize_full

2010-03-02 21:04  Sandro Santilli <strk@keybit.net>

	* [r2932] NEWS, include/geos/operation/valid/IsValidOp.h,
	  src/operation/valid/IsValidOp.cpp,
	  tests/xmltester/tests/general/TestValid.xml: Fix false positive
	  return from IsValidOp (#333)

2010-02-28 19:01  Sandro Santilli <strk@keybit.net>

	* [r2931] src/geom/LineString.cpp: Minor tweak

2010-02-28 18:55  Sandro Santilli <strk@keybit.net>

	* [r2930] NEWS, capi/geos_c.cpp, capi/geos_c.h.in: Provide
	  non-rehentrant version of empty geometries constructors

2010-02-28 17:02  Sandro Santilli <strk@keybit.net>

	* [r2929] NEWS: extractUniquePoints comes in non-reentrant version
	  too

2010-02-25 07:50  Sandro Santilli <strk@keybit.net>

	* [r2928] NEWS: Update with GEOSPolygonize_full item

2010-02-23 20:00  Sandro Santilli <strk@keybit.net>

	* [r2927] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp:
	  GEOSPolygonize_full [RT-SIGTA]

2010-02-22 22:21  Sandro Santilli <strk@keybit.net>

	* [r2926] include/geos/operation/polygonize/Polygonizer.h,
	  src/operation/polygonize/Polygonizer.cpp: LineStringAdder
	  heap-allocation removal

2010-02-22 22:17  Sandro Santilli <strk@keybit.net>

	* [r2925] NEWS, include/geos/operation/polygonize/Polygonizer.h,
	  src/operation/polygonize/Polygonizer.cpp: Drop heap allocation of
	  invalidRingLines vector

2010-02-22 22:06  Sandro Santilli <strk@keybit.net>

	* [r2924] include/geos/operation/polygonize/Polygonizer.h,
	  src/operation/polygonize/Polygonizer.cpp: More heap allocations
	  bite the dust...

2010-02-22 21:51  Sandro Santilli <strk@keybit.net>

	* [r2923] NEWS, include/geos/operation/polygonize/Polygonizer.h,
	  src/operation/polygonize/Polygonizer.cpp: Drop HEAP allocation
	  for dangles vector too, and document all these API changes

2010-02-22 21:41  Sandro Santilli <strk@keybit.net>

	* [r2922] capi/geos_ts_c.cpp,
	  include/geos/operation/polygonize/PolygonizeEdge.h,
	  include/geos/operation/polygonize/Polygonizer.h,
	  src/operation/polygonize/Polygonizer.cpp: Avoid heap allocation
	  of a vector for cut edges, bits of additional documentation

2010-02-22 21:29  Sandro Santilli <strk@keybit.net>

	* [r2921] include/geos/operation/polygonize/Polygonizer.h: Try to
	  document current behaviour (very bad behaviour indeed...)

2010-02-21 17:11  Mateusz Loskot <mateusz@loskot.net>

	* [r2920] CMakeLists.txt: Another patch from Gavin Heavyside to
	  enable GEOS as a dependency of a project with CMake

2010-02-21 17:05  Sandro Santilli <strk@keybit.net>

	* [r2919] NEWS, capi/geos_c.h.in, capi/geos_ts_c.cpp: Allow
	  GEOSGetGeometryN calls against single geometries

2010-02-21 16:27  Sandro Santilli <strk@keybit.net>

	* [r2918] capi/geos_c.cpp, capi/geos_c.h.in: Expose the
	  non-reentrant version too (I know, I was against, but it's too
	  much work on the postgis side for that right now)

2010-02-21 15:03  Sandro Santilli <strk@keybit.net>

	* [r2917] NEWS, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  tests/unit/Makefile.am,
	  tests/unit/capi/GEOSGeom_extractUniquePointsTest.cpp:
	  GEOSGeom_extractUniquePoints [RT-SIGTA]

2010-02-21 14:50  Mateusz Loskot <mateusz@loskot.net>

	* [r2916] CMakeLists.txt: Patch from Gavin Heavyside that enables
	  CMake to build GEOS as a dependency of user-defined project

2010-02-17 14:04  Sandro Santilli <strk@keybit.net>

	* [r2915] src/geom/CoordinateArraySequence.cpp: Throw an
	  IllegalArgumentException when setOrdinate is called with unknown
	  ordinate index

2010-02-14 14:01  Sandro Santilli <strk@keybit.net>

	* [r2913] NEWS: Add GEOSPolygonizer_getCutEdges NEWS item where it
	  belongs

2010-02-12 17:35  Mateusz Loskot <mateusz@loskot.net>

	* [r2912] capi/CMakeLists.txt: Fixed but in CMake configuration
	  which installed geos_c.h in incorrect location (#330)

2010-02-11 18:15  Sandro Santilli <strk@keybit.net>

	* [r2911] NEWS: Update

2010-02-11 08:33  Sandro Santilli <strk@keybit.net>

	* [r2910] capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  tests/unit/capi/GEOSGeom_create.cpp: Complete set of typed-empty
	  constructors and tests for them [RT-SIGTA]

2010-02-11 08:18  Sandro Santilli <strk@keybit.net>

	* [r2909] capi/geos_c.h.in, capi/geos_ts_c.cpp: Go for consistency
	  with reentrant interfaces [RT-SIGTA]

2010-02-11 00:10  Sandro Santilli <strk@keybit.net>

	* [r2908] NEWS, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  tests/unit/Makefile.am, tests/unit/capi/GEOSGeom_create.cpp:
	  GEOSContext_setNoticeHandler, GEOSContext_setErrorHandler,
	  GEOSGeom_createEmptyPolygon_r (and test)

2010-02-09 17:52  Sandro Santilli <strk@keybit.net>

	* [r2907] doc/Doxyfile.in: Fix to match new layout

2010-02-06 04:07  Mateusz Loskot <mateusz@loskot.net>

	* [r2906] tests/xmltester/CMakeLists.txt: Ported list of
	  SAVE_XMLTESTS to CMake configuration of XMLTester (#317) All
	  tests pass on Ubuntu 9.10

2010-02-05 21:24  Mateusz Loskot <mateusz@loskot.net>

	* [r2905] CMakeLists.txt: Fixed CMake version comparison to disable
	  platform.h (#317)

2010-02-05 14:54  Sandro Santilli <strk@keybit.net>

	* [r2904] capi/geos_c.h.in: Document ownership of created types

2010-02-05 14:39  Sandro Santilli <strk@keybit.net>

	* [r2903] NEWS, capi/geos_c.cpp, capi/geos_c.h.in,
	  capi/geos_ts_c.cpp: New CAPI interface: GEOSisValidDetail ( tell
	  state, reason & location apart )

2010-02-04 23:35  Mateusz Loskot <mateusz@loskot.net>

	* [r2902] CMakeLists.txt, tools/CMakeLists.txt: Fixed missing
	  substitution of @libdir@ in geos-config generated by CMake #(317)

2010-02-02 18:14  Mateusz Loskot <mateusz@loskot.net>

	* [r2901] CMakeLists.txt: Fixed problem with use of new command
	  with file() macro for older CMake versions (#327)

2010-01-31 03:06  Mateusz Loskot <mateusz@loskot.net>

	* [r2900] tests/unit/CMakeLists.txt,
	  tests/xmltester/CMakeLists.txt: Added XMLTester to CTest
	  configuration - work in progress (#317)

2010-01-31 03:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2899] CMakeLists.txt: Added GEOS_ENABLE_FLOATSTORE option to
	  CMake to control GCC flag -ffloat-store (#317)

2010-01-31 01:26  Mateusz Loskot <mateusz@loskot.net>

	* [r2898] include/geos: Added platform.h.disabled to svn:ignore
	  property

2010-01-31 01:22  Mateusz Loskot <mateusz@loskot.net>

	* [r2897] CMakeLists.txt: A minor fix to order of enable_testing()
	  and add_subdirectories(tests) - it is important to include the
	  former macro first so the tests are caught in

2010-01-30 23:45  Mateusz Loskot <mateusz@loskot.net>

	* [r2896] CMakeLists.txt: Updated configuration of
	  GEOS_ENABLE_TESTS option for CMake (#317)

2010-01-30 22:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2895] CMakeLists.txt: Configured 'make check' target for CMake
	  as alias to 'make test' to mimic GNU Autotools manner of running
	  tests (#317)

2010-01-29 20:30  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2894] include/geos/platform.h.in: Extend support of Apple ISNAN
	  case to newer? compilers

2010-01-29 17:42  Mateusz Loskot <mateusz@loskot.net>

	* [r2893] CMakeLists.txt, include/geos/platform.h.cmake: Solved
	  problem with repeated definition of getMachineByteOrder (#317).
	  Added check if alternative platform.h is already present in the
	  include/geos directory and deactivate it renaming to
	  platform.h.disable, before generating CMake-specific platform.h.
	  Tested on Windows with Visual C++ but with
	  -DGEOS_ENABLE_INLINE=OFF otherwise DLL linking fails with many
	  redefined symbols - to be checked.

2010-01-29 01:43  Mateusz Loskot <mateusz@loskot.net>

	* [r2892] CMakeLists.txt, tests/unit/CMakeLists.txt: Configured
	  'make test' target for CMake build (#317). Now only geos_unit is
	  executed

2010-01-28 18:42  Mateusz Loskot <mateusz@loskot.net>

	* [r2891] src/planargraph/algorithm/ConnectedSubgraphFinder.cpp:
	  Missing includes of platform.h and <cmath>

2010-01-27 22:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2890] tests/unit/linearref/LengthIndexedLineTest.cpp: Tidy up
	  messy code in tests/unit/linearref

2010-01-27 22:09  Mateusz Loskot <mateusz@loskot.net>

	* [r2889] CMakeLists.txt,
	  tests/unit/linearref/LengthIndexedLineTest.cpp: Fixed CMake
	  configuration for the problem about unavailable C99 features if
	  -std=c99 is not specified for GCC 4.3.3 on Ubuntu 9.04. This is
	  inconsistent behaviour with GCC 4.4.1
	  (https://bugs.launchpad.net/ubuntu/+source/gcc-4.3/+bug/512741).

2010-01-23 02:43  Mateusz Loskot <mateusz@loskot.net>

	* [r2888] src/CMakeLists.txt: GEOS C++ static library was missing
	  from installation targets (#317)

2010-01-23 02:36  Mateusz Loskot <mateusz@loskot.net>

	* [r2887] CMakeLists.txt, capi/CMakeLists.txt, src/CMakeLists.txt:
	  CMake configuration update (#317): * Configured shared library
	  target for C++ API. * Added library version information and TODO
	  comment about SOVERSION.

2010-01-23 01:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2886] CMakeLists.txt: Small fix to latest commit (#317)

2010-01-23 01:32  Mateusz Loskot <mateusz@loskot.net>

	* [r2885] CMakeLists.txt: Disabled GEOS_ENABLE_ASSERT option for
	  Visual Studio builds - not supported, no sense (#317)

2010-01-23 00:10  Mateusz Loskot <mateusz@loskot.net>

	* [r2884] CMakeLists.txt: Tweaked detection isfinite and isnan
	  declared as functions in C++ (#317)

2010-01-22 23:52  Mateusz Loskot <mateusz@loskot.net>

	* [r2883] cmake/modules/CheckPrototypeExists.cmake: Added
	  CheckPrototypeExists.cmake module - imported from KDE/kdelibs
	  tree

2010-01-22 23:51  Mateusz Loskot <mateusz@loskot.net>

	* [r2882] cmake, cmake/modules,
	  cmake/modules/COPYING-CMAKE-SCRIPTS: Added trunk/cmake directory
	  for custom CMake modules

2010-01-21 01:23  Mateusz Loskot <mateusz@loskot.net>

	* [r2881] CMakeLists.txt: CMake configuration update (#317): * Set
	  default CMAKE_BUILD_TYPE to Debug * Added GEOS_ENABLE_ASSERT and
	  GEOS_ENABLE_INLINE options. * Renamed option ENABLE_MSVC_MP to
	  GEOS_MSVC_ENABLE_MP.

2010-01-20 23:42  Mateusz Loskot <mateusz@loskot.net>

	* [r2880] CMakeLists.txt: Fix for addd extra test for STL classes
	  in std namespace to CMake configuration (#317)

2010-01-20 23:37  Mateusz Loskot <mateusz@loskot.net>

	* [r2879] CMakeLists.txt: Addd extra test for STL classes in std
	  namespace to CMake configuration (#317)

2010-01-20 23:21  Mateusz Loskot <mateusz@loskot.net>

	* [r2878] CMakeLists.txt, capi/CMakeLists.txt,
	  include/CMakeLists.txt, include/geos/platform.h.cmake,
	  src/CMakeLists.txt, tests/CMakeLists.txt,
	  tests/unit/CMakeLists.txt, tests/xmltester/CMakeLists.txt,
	  tools/CMakeLists.txt: Updated svn:keyword with Id for CMake files

2010-01-20 22:17  Mateusz Loskot <mateusz@loskot.net>

	* [r2877] tools/CMakeLists.txt: Fixed bug with not setting proper
	  permissions to geos-config while installing with CMake build
	  configuration (#318).

2010-01-19 00:19  Mateusz Loskot <mateusz@loskot.net>

	* [r2876] CMakeLists.txt: #317: compiler flags can not be handled
	  using CMake list type, reverted last change that sneaked in with
	  Visual Studio related commit.

2010-01-19 00:03  Mateusz Loskot <mateusz@loskot.net>

	* [r2875] CMakeLists.txt: #317: Added CXX flags specific to Visual
	  C++ compiler. Added ENABLE_MSVC_MP option to allow setting Visual
	  C++ /MP flag that enables multi-process compilation.

2010-01-18 21:15  Mateusz Loskot <mateusz@loskot.net>

	* [r2874] capi/geos_ts_c.cpp: Load elements of std namespace to
	  scope of geos_ts_c.cpp file, so C99 functions are loaded even if
	  hidden in std (non-standard extension in GCC).

2010-01-18 18:15  Mateusz Loskot <mateusz@loskot.net>

	* [r2873] capi/geos_ts_c.cpp, src/geomgraph/Node.cpp,
	  src/operation/overlay/ElevationMatrix.cpp,
	  src/operation/overlay/ElevationMatrixCell.cpp,
	  src/operation/overlay/LineBuilder.cpp,
	  src/operation/overlay/OverlayOp.cpp,
	  src/operation/valid/IsValidOp.cpp,
	  tests/unit/algorithm/distance/DiscreteHausdorffDistanceTest.cpp,
	  tests/unit/geom/CoordinateTest.cpp,
	  tests/unit/geom/TriangleTest.cpp,
	  tests/unit/linearref/LengthIndexedLineTest.cpp,
	  tests/unit/operation/valid/IsValidTest.cpp: Added missing headers
	  platform.h and <cmath> where ISNAN or FINITE macros are expanded

2010-01-18 18:14  Mateusz Loskot <mateusz@loskot.net>

	* [r2872] tests/geostest: Updated svn:ignore patterns

2010-01-18 18:13  Mateusz Loskot <mateusz@loskot.net>

	* [r2871] include/geos/platform.h.cmake: Cleaned redundant include
	  for cmath and math.h from platform.h.cmake (#317)

2010-01-18 18:12  Mateusz Loskot <mateusz@loskot.net>

	* [r2870] tests/geostest, tests/thread: Updated svn:ignore patterns

2010-01-18 01:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2869] capi/CMakeLists.txt: Updated Windows elements of build
	  configuration for CMake system (#317):
	  * Added missing symbol GEOS_DLL_EXPORT to request generation of
	  import library for GEOS C API DLL
	  * All targets configured for CMake build system have been
	  successfully built and tested using CMake.
	  * CMake-based install target successfully tested on Windows 7
	  ** Default prefix for 32-bit build is "c:\Program Files
	  (x86)\geos\" where bin, lib and include directories are created.

2010-01-18 00:59  Mateusz Loskot <mateusz@loskot.net>

	* [r2868] include/geos/platform.h.cmake,
	  src/algorithm/CGAlgorithms.cpp,
	  src/algorithm/locate/IndexedPointInAreaLocator.cpp,
	  src/noding/snapround/HotPixel.cpp,
	  src/operation/buffer/BufferOp.cpp,
	  src/operation/overlay/snap/GeometrySnapper.cpp,
	  src/operation/overlay/validate/OverlayResultValidator.cpp: *
	  Successfully tested CMake configuration with Visual Studio 2010
	  (#317).
	  * Disable argument dependant lookup (Koenig) for min/max
	  functions to make sure GEOS compiles in the presence of the
	  min/max macros.
	  * Some platform headers define min() and max() macros which cause
	  some common C++ constructs to fail to compile.

2010-01-17 23:54  Mateusz Loskot <mateusz@loskot.net>

	* [r2867] CMakeLists.txt, tools/CMakeLists.txt: Configured 'make
	  install' for tools to install geos-config program on Unix
	  platforms (#317). Fixed missing prefix nad exec_prefix variables
	  substitution during geos-config generation.

2010-01-17 23:40  Mateusz Loskot <mateusz@loskot.net>

	* [r2866] CMakeLists.txt, capi/CMakeLists.txt,
	  include/CMakeLists.txt: Configured 'make install' target for GEOS
	  C shared library and headers (#317). Install platform.h and
	  version.h from build directory where they are installed, not from
	  source tree. Added GEOS C API header location to include
	  directories.

2010-01-17 23:06  Mateusz Loskot <mateusz@loskot.net>

	* [r2865] CMakeLists.txt, include/CMakeLists.txt,
	  src/CMakeLists.txt: Configured 'make install' target for GEOS C++
	  static library archive and headers (#317)

2010-01-17 03:21  Mateusz Loskot <mateusz@loskot.net>

	* [r2864] build/bjam: Removed build/bjam directory with old and no
	  longer maintained build configuration based on Boost.Build

2010-01-17 03:12  Mateusz Loskot <mateusz@loskot.net>

	* [r2863] tests/CMakeLists.txt, tests/xmltester/CMakeLists.txt:
	  Added simplewkttester and xmltester tests to CMake configuration
	  (#317)

2010-01-17 03:00  Mateusz Loskot <mateusz@loskot.net>

	* [r2862] CMakeLists.txt, capi/CMakeLists.txt, src/CMakeLists.txt,
	  tests/CMakeLists.txt, tests/unit/CMakeLists.txt,
	  tests/unit/tut/tut_console_reporter.hpp,
	  tests/unit/tut/tut_reporter.hpp: Updated CMake configuration
	  (#317): CMake generates config headers in build tree. Added
	  generation of geos-config script. Refined include directories
	  settings. Added unit tests package to the configuration. Status:
	  GEOS core + GEOS C library + unit tests build and run
	  successfully.

2010-01-17 02:07  Mateusz Loskot <mateusz@loskot.net>

	* [r2861] CMakeLists.txt, include/geos/version.h.cmake: Now CMake
	  can generates geos_c.h (#317). Removed
	  include/geos/version.h.cmake as no longer needed - CMake can
	  subsitute variables of Autoconf-style @VAR@ very well.

2010-01-17 00:46  Mateusz Loskot <mateusz@loskot.net>

	* [r2860] CMakeLists.txt, include/geos/platform.h.cmake: Refined
	  detection of isnan and isfinite features (#317)

2010-01-16 22:20  Mateusz Loskot <mateusz@loskot.net>

	* [r2859] CMakeLists.txt, include/geos/platform.h.cmake: Added
	  checks of C/C++ headers and library features like 64-bit integer
	  type (#317)

2010-01-16 21:45  Mateusz Loskot <mateusz@loskot.net>

	* [r2858] CMakeLists.txt: Added generation of build-specific
	  platform.h file from platform.h.cmake (#317)

2010-01-16 21:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2857] CMakeLists.txt, include/geos/version.h.cmake: Set version
	  numbers and generate version.h for CMake build (#317)

2010-01-16 20:41  Mateusz Loskot <mateusz@loskot.net>

	* [r2856] include/geos/platform.h.cmake: Added platform.h.cmake
	  file used by build configuration for CMake build system (#317)

2010-01-16 20:40  Mateusz Loskot <mateusz@loskot.net>

	* [r2855] include/geos/platform.h.vc: Removed definition of
	  INT64_CONST_IS_I64 - it is not checked or used anywhere

2010-01-16 20:12  Mateusz Loskot <mateusz@loskot.net>

	* [r2854] include/geos/platform.h.in, include/geos/util/math.h:
	  Unified detection of math features to define FINITE and ISNAN
	  macros

2010-01-16 18:14  Mateusz Loskot <mateusz@loskot.net>

	* [r2853] capi/geos_ts_c.cpp,
	  include/geos/io/ByteOrderDataInStream.inl,
	  include/geos/io/WKBWriter.h, include/geos/platform.h.in,
	  include/geos/platform.h.vc, include/geos/util/Machine.h: Moved
	  getMachineByteOrder from include/geos/platform.h to
	  include/geos/util/Machine.h. This function is universal for
	  non-Windows and Windows platforms

2010-01-16 17:03  Mateusz Loskot <mateusz@loskot.net>

	* [r2852] CMakeLists.txt, capi/CMakeLists.txt, src/CMakeLists.txt:
	  Added first straps of configuration for CMake build system (#317)

2010-01-16 02:40  Mateusz Loskot <mateusz@loskot.net>

	* [r2851] tests/geostest/.deps: Removed tests/geostest/.deps
	  directory

2010-01-16 02:14  Mateusz Loskot <mateusz@loskot.net>

	* [r2850] examples, examples/Makefile.am, src/examples: Moved
	  src/examples out of src directory (#315)

2010-01-14 00:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2849] build/msvc10/geos_c_dll/geos_c_dll.vcxproj,
	  build/msvc10/geos_c_dll/geos_c_dll.vcxproj.filters,
	  build/msvc10/geos_lib/geos_lib.vcxproj,
	  build/msvc10/geos_lib/geos_lib.vcxproj.filters,
	  build/msvc10/geos_unit/geos_unit.vcxproj,
	  build/msvc10/geos_xmltester/geos_xmltester.vcxproj: Updated
	  Visual Studio 2010 projects in build/msvc10 with new location of
	  include and src (#315)

2010-01-13 21:35  Mateusz Loskot <mateusz@loskot.net>

	* [r2848] include/geos/noding/NodedSegmentString.h: * Successfully
	  compiled with Visual C++ 8.0 after restructuring source tree.
	  ** NodedSegmentString class;
	  ** Use explicit self-describing two-step casts to indicate what's
	  really happening - C-cast is evil and hides serious interface
	  issues.
	  ** Added missing <cstddef> and qualify size_t with std namespace.

2010-01-13 21:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2847] build/msvc80/geos_c_dll/geos_c_dll.vcproj,
	  build/msvc80/geos_lib/geos_lib.vcproj,
	  build/msvc80/geos_python/geos_python.vcproj,
	  build/msvc80/geos_ruby/geos_ruby.vcproj,
	  build/msvc80/geos_unit/geos_unit.vcproj,
	  build/msvc80/geos_xmltester/geos_xmltester.vcproj: Updated Visual
	  Studio 2005 projects in build/msvc80 with new location of include
	  and src (#315)

2010-01-13 18:07  Mateusz Loskot <mateusz@loskot.net>

	* [r2846] build/msvc90/geos_c_dll/geos_c_dll.vcproj,
	  build/msvc90/geos_lib/geos_lib.vcproj,
	  build/msvc90/geos_python/geos_python.vcproj,
	  build/msvc90/geos_ruby/geos_ruby.vcproj,
	  build/msvc90/geos_unit/geos_unit.vcproj,
	  build/msvc90/geos_xmltester/geos_xmltester.vcproj: Updated Visual
	  Studio 2008 projects in build/msvc90 with new location of include
	  and src (#315)

2010-01-13 17:54  Mateusz Loskot <mateusz@loskot.net>

	* [r2845] makefile.vc, nmake.opt, src/Makefile.vc: Updated
	  makefile.vc, nmake.opt, src/makefile.vc files with new location
	  of include and src (#315)

2010-01-13 03:03  Mateusz Loskot <mateusz@loskot.net>

	* [r2844] Makefile.am, capi/Makefile.am, doc/Makefile.am,
	  include/geos/index/sweepline/Makefile.am,
	  include/geos/operation/Makefile.am, macros/Makefile.am,
	  src/operation/Makefile.am, swig/Makefile.am,
	  swig/python/Makefile.am, swig/python/tests/Makefile.am,
	  swig/ruby/Makefile.am, swig/ruby/test/Makefile.am,
	  tests/Makefile.am, tests/bigtest/Makefile.am,
	  tests/geostest/Makefile.am, tests/perf/Makefile.am,
	  tests/perf/operation/Makefile.am,
	  tests/perf/operation/buffer/Makefile.am,
	  tests/thread/Makefile.am, tests/unit/Makefile.am,
	  tests/xmltester/Makefile.am, tools/Makefile.am: Updated remaining
	  directories doc, macros, tools, tests, swig, capi with new src
	  and include location (#315). Fixed previous updates. Successfull
	  build on Linux.

2010-01-13 02:08  Mateusz Loskot <mateusz@loskot.net>

	* [r2843] capi/Makefile.am: Updated Makefile.am files in capi
	  subtree after moved to new location (#315)

2010-01-13 02:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2842] src/Makefile.am, src/algorithm/Makefile.am,
	  src/algorithm/distance/Makefile.am,
	  src/algorithm/locate/Makefile.am, src/examples/Makefile.am,
	  src/geom/Makefile.am, src/geom/prep/Makefile.am,
	  src/geom/util/Makefile.am, src/geomgraph/Makefile.am,
	  src/geomgraph/index/Makefile.am, src/index/Makefile.am,
	  src/index/bintree/Makefile.am, src/index/chain/Makefile.am,
	  src/index/intervalrtree/Makefile.am,
	  src/index/quadtree/Makefile.am, src/index/strtree/Makefile.am,
	  src/index/sweepline/Makefile.am, src/io/Makefile.am,
	  src/linearref/Makefile.am, src/noding/Makefile.am,
	  src/noding/snapround/Makefile.am, src/operation/Makefile.am,
	  src/operation/buffer/Makefile.am,
	  src/operation/distance/Makefile.am,
	  src/operation/linemerge/Makefile.am,
	  src/operation/overlay/Makefile.am,
	  src/operation/polygonize/Makefile.am,
	  src/operation/predicate/Makefile.am,
	  src/operation/relate/Makefile.am,
	  src/operation/union/Makefile.am, src/operation/valid/Makefile.am,
	  src/planargraph/Makefile.am, src/precision/Makefile.am,
	  src/simplify/Makefile.am, src/util/Makefile.am: Updated
	  Makefile.am files in src subtree after moved to new location
	  (#315)

2010-01-13 00:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2841] Makefile.am, configure.in: Updated new source structure
	  in configure.in and root Makefile.am - part 2 (#315)

2010-01-13 00:45  Mateusz Loskot <mateusz@loskot.net>

	* [r2840] Makefile.am, configure.in: Updated new source structure
	  in configure.in and root Makefile.am (#315)

2010-01-13 00:43  Mateusz Loskot <mateusz@loskot.net>

	* [r2839] include/Makefile.am, include/geos/Makefile.am,
	  include/geos/algorithm/Makefile.am,
	  include/geos/algorithm/distance/Makefile.am,
	  include/geos/algorithm/locate/Makefile.am,
	  include/geos/geom/Makefile.am,
	  include/geos/geom/prep/Makefile.am,
	  include/geos/geom/util/Makefile.am,
	  include/geos/geomgraph/Makefile.am,
	  include/geos/geomgraph/index/Makefile.am,
	  include/geos/index/Makefile.am,
	  include/geos/index/bintree/Makefile.am,
	  include/geos/index/chain/Makefile.am,
	  include/geos/index/intervalrtree/Makefile.am,
	  include/geos/index/quadtree/Makefile.am,
	  include/geos/index/strtree/Makefile.am,
	  include/geos/index/sweepline/Makefile.am,
	  include/geos/io/Makefile.am, include/geos/linearref/Makefile.am,
	  include/geos/noding/Makefile.am,
	  include/geos/noding/snapround/Makefile.am,
	  include/geos/operation/Makefile.am,
	  include/geos/operation/buffer/Makefile.am,
	  include/geos/operation/distance/Makefile.am,
	  include/geos/operation/linemerge/Makefile.am,
	  include/geos/operation/overlay/Makefile.am,
	  include/geos/operation/overlay/snap/Makefile.am,
	  include/geos/operation/polygonize/Makefile.am,
	  include/geos/operation/predicate/Makefile.am,
	  include/geos/operation/relate/Makefile.am,
	  include/geos/operation/union/Makefile.am,
	  include/geos/operation/valid/Makefile.am,
	  include/geos/planargraph/Makefile.am,
	  include/geos/planargraph/algorithm/Makefile.am,
	  include/geos/precision/Makefile.am,
	  include/geos/simplify/Makefile.am, include/geos/util/Makefile.am:
	  Updated Makefile.am files in headers subtree after moved to new
	  location in include (#315)

2010-01-12 23:58  Mateusz Loskot <mateusz@loskot.net>

	* [r2838] source, src: Moved source directory to src (#315)

2010-01-12 23:55  Mateusz Loskot <mateusz@loskot.net>

	* [r2837] include, source/headers: Moved source/headers directory
	  to include (#315)

2009-12-23 12:37  Mateusz Loskot <mateusz@loskot.net>

	* [r2835] tests/xmltester/tinyxml/tinyxml.cpp: Removed GNU specific
	  printf formatter

2009-12-22 11:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2834] source/headers/geos/export.h: Fixed compiler warning
	  about extra tokens at end of #endif directive in export.h

2009-12-15 17:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2833] source/Makefile.vc: Fixed missing
	  CoordinateSequenceFactory.cpp from makefile.vc (Ticket #313)

2009-12-15 14:44  Mateusz Loskot <mateusz@loskot.net>

	* [r2832] source/geom/PrecisionModel.cpp,
	  source/headers/geos/geom/PrecisionModel.h,
	  source/headers/geos/geom/PrecisionModel.inl: * Assert precision
	  model scale must never be negative
	  * Replaced use of operator== against float-point number with
	  operator<=
	  * Typos

2009-12-15 14:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2831] source/io/WKTWriter.cpp: In WKTWriter, initialise
	  formatting buffer and avoid unnecessary calls to string
	  constructor.

2009-12-14 19:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2828] capi/geos_c.h.in, configure.in,
	  source/headers/geos/version.h.vc: Update version numbers on trunk
	  to 3.3 series

2009-12-14 19:06  Sandro Santilli <strk@keybit.net>

	* [r2826] ChangeLog: Updated

2009-12-14 18:58  Sandro Santilli <strk@keybit.net>

	* [r2825] source/headers/geos/geom.h: Don't mention 'troubles' in
	  documentation (some like it not)

2009-12-14 15:23  Mateusz Loskot <mateusz@loskot.net>

	* [r2824] source/headers/geos/util/TopologyException.h,
	  source/io/WKTWriter.cpp: * Fixed bug in WKTWriter that was
	  dropping geometry tag in string representation of geometry
	  * Improved message carried by TopologyException

2009-12-11 13:17  Sandro Santilli <strk@keybit.net>

	* [r2823] ChangeLog: Updated

2009-12-11 13:10  Sandro Santilli <strk@keybit.net>

	* [r2822] source/geom/prep/BasicPreparedGeometry.cpp: Fix memory
	  leak in BasicPreparedGeometry::isAnyTargetComponentInTest (issue
	  #308) and drop Coordinate copies from it.

2009-12-09 11:10  Mateusz Loskot <mateusz@loskot.net>

	* [r2821] build/msvc10/geos_lib/geos_lib.vcxproj: Fixed generation
	  of platform.h as pre-build step of GEOS lib project for Visual
	  C++

2009-12-09 11:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2820] build/msvc80/geos_lib/geos_lib.vcproj,
	  build/msvc90/geos_lib/geos_lib.vcproj: * Fixed generation of
	  platform.h as pre-build step of GEOS lib project for Visual C++
	  2005 and 2008
	  * Added missing headers.

2009-12-08 22:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2817] ChangeLog, INSTALL, configure.in: Prepare for RC4
	  release.

2009-12-08 21:40  Mateusz Loskot <mateusz@loskot.net>

	* [r2816] tests/geostest, tests/thread: Updated svn:ignore patterns

2009-12-08 21:39  Mateusz Loskot <mateusz@loskot.net>

	* [r2815] build/msvc10/Makefile.am: build/msvc10: fixed list of
	  EXTRA_DIST files

2009-12-08 17:51  Sandro Santilli <strk@keybit.net>

	* [r2814] tests/geostest/.deps/geostest.Po: This shouldn't be in
	  the repository !

2009-12-08 17:50  Sandro Santilli <strk@keybit.net>

	* [r2813] source/algorithm/NonRobustLineIntersector.cpp,
	  source/algorithm/RobustLineIntersector.cpp: Remove
	  deprecated/unused files

2009-12-08 17:42  Sandro Santilli <strk@keybit.net>

	* [r2812]
	  source/headers/geos/geom/prep/PreparedLineStringIntersects.h:
	  Drop useless (and leaking) heap allocation exposed by the new
	  prepared linestring intersection test

2009-12-08 17:42  Sandro Santilli <strk@keybit.net>

	* [r2811] source/geom/prep/PreparedLineString.cpp,
	  source/headers/geos/geom/prep/PreparedLineString.h: Add missing
	  destructor of PreparedLineString (closes ticket #305)

2009-12-08 17:39  Sandro Santilli <strk@keybit.net>

	* [r2810] tests/unit/capi/GEOSPreparedGeometryTest.cpp: Add test
	  with Prepared linestrings, for the sake of testing the leak
	  reported in ticket #305

2009-12-06 01:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2809] source/algorithm/Angle.cpp,
	  source/algorithm/BoundaryNodeRule.cpp,
	  source/algorithm/distance/DiscreteHausdorffDistance.cpp,
	  source/algorithm/distance/DistanceToPoint.cpp,
	  source/headers/geos/algorithm/Angle.h,
	  source/headers/geos/algorithm/BoundaryNodeRule.h,
	  source/headers/geos/algorithm/distance/DiscreteHausdorffDistance.h,
	  source/headers/geos/algorithm/distance/DistanceToPoint.h,
	  source/headers/geos/algorithm/distance/PointPairDistance.h,
	  source/headers/geos/export.h,
	  source/headers/geos/geom/CoordinateSequenceFilter.h,
	  source/headers/geos/linearref/ExtractLineByLocation.h,
	  source/headers/geos/linearref/LengthIndexOfPoint.h,
	  source/headers/geos/linearref/LengthIndexedLine.h,
	  source/headers/geos/linearref/LengthLocationMap.h,
	  source/headers/geos/linearref/LinearGeometryBuilder.h,
	  source/headers/geos/linearref/LinearIterator.h,
	  source/headers/geos/linearref/LinearLocation.h,
	  source/headers/geos/linearref/LocationIndexOfLine.h,
	  source/headers/geos/linearref/LocationIndexOfPoint.h,
	  source/headers/geos/noding/BasicSegmentString.h,
	  source/headers/geos/noding/OrientedCoordinateArray.h,
	  source/headers/geos/operation/buffer/BufferParameters.h,
	  source/headers/geos/operation/overlay/snap/GeometrySnapper.h,
	  source/headers/geos/operation/overlay/snap/LineStringSnapper.h,
	  source/headers/geos/operation/overlay/snap/SnapIfNeededOverlayOp.h,
	  source/headers/geos/operation/overlay/snap/SnapOverlayOp.h,
	  source/linearref/ExtractLineByLocation.cpp,
	  source/linearref/LengthIndexOfPoint.cpp,
	  source/linearref/LengthIndexedLine.cpp,
	  source/linearref/LengthLocationMap.cpp,
	  source/linearref/LinearGeometryBuilder.cpp,
	  source/linearref/LinearIterator.cpp,
	  source/linearref/LinearLocation.cpp,
	  source/linearref/LocationIndexOfLine.cpp,
	  source/linearref/LocationIndexOfPoint.cpp,
	  source/noding/BasicSegmentString.cpp,
	  source/noding/OrientedCoordinateArray.cpp,
	  source/operation/buffer/BufferInputLineSimplifier.cpp,
	  source/operation/buffer/BufferInputLineSimplifier.h,
	  source/operation/buffer/BufferParameters.cpp,
	  source/operation/overlay/snap/GeometrySnapper.cpp,
	  source/operation/overlay/snap/LineStringSnapper.cpp,
	  source/operation/overlay/snap/SnapIfNeededOverlayOp.cpp,
	  source/operation/overlay/snap/SnapOverlayOp.cpp,
	  source/operation/valid/IndexedNestedRingTester.cpp,
	  source/operation/valid/IndexedNestedRingTester.h,
	  tests/bigtest/bug234.cpp, tests/geostest/geostest.c,
	  tests/perf/operation/buffer/IteratedBufferStressTest.cpp,
	  tests/thread/badthreadtest.c, tests/thread/threadtest.c,
	  tests/unit/algorithm/RobustLineIntersectionTest.cpp,
	  tests/unit/algorithm/RobustLineIntersectorTest.cpp,
	  tests/unit/algorithm/distance/DiscreteHausdorffDistanceTest.cpp,
	  tests/unit/capi/GEOSBufferTest.cpp,
	  tests/unit/capi/GEOSGeomFromWKBTest.cpp,
	  tests/unit/capi/GEOSPreparedGeometryTest.cpp,
	  tests/unit/linearref/LengthIndexedLineTest.cpp,
	  tests/unit/noding/NodedSegmentStringTest.cpp,
	  tests/unit/operation/buffer/BufferOpTest.cpp,
	  tests/unit/operation/valid/IsValidTest.cpp,
	  tests/unit/operation/valid/ValidClosedRingTest.cpp,
	  tests/unit/operation/valid/ValidSelfTouchingRingFormingHoleTest.cpp,
	  tests/unit/tut/tut.hpp, tests/unit/tut/tut_assert.hpp,
	  tests/unit/tut/tut_console_reporter.hpp,
	  tests/unit/tut/tut_exception.hpp, tests/unit/tut/tut_posix.hpp,
	  tests/unit/tut/tut_reporter.hpp,
	  tests/unit/tut/tut_restartable.hpp,
	  tests/unit/tut/tut_result.hpp, tests/unit/tut/tut_runner.hpp,
	  tests/xmltester/BufferResultMatcher.cpp,
	  tests/xmltester/BufferResultMatcher.h,
	  tests/xmltester/SingleSidedBufferResultMatcher.cpp,
	  tests/xmltester/SingleSidedBufferResultMatcher.h,
	  tests/xmltester/tinyxml/tinystr.cpp,
	  tests/xmltester/tinyxml/tinystr.h,
	  tests/xmltester/tinyxml/tinyxml.cpp,
	  tests/xmltester/tinyxml/tinyxml.h,
	  tests/xmltester/tinyxml/tinyxmlerror.cpp,
	  tests/xmltester/tinyxml/tinyxmlparser.cpp: Updated source code
	  files with svn:keywords property.

2009-12-06 01:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2808] build/msvc90/geos_xmltester, source: Updated svn:ignore
	  patterns

2009-12-06 00:56  Mateusz Loskot <mateusz@loskot.net>

	* [r2807] build/msvc10, build/msvc10/geos_c_dll,
	  build/msvc10/geos_lib, build/msvc10/geos_unit,
	  build/msvc10/geos_xmltester, build/msvc80/geos_xmltester: Updated
	  svn:ignore patterns

2009-12-06 00:51  Mateusz Loskot <mateusz@loskot.net>

	* [r2806] configure.in: Updated configure.in after moved non-unit
	  tests programs out of tests/unit (Tickets #240).

2009-12-06 00:47  Mateusz Loskot <mateusz@loskot.net>

	* [r2805] tests/Makefile.am, tests/geostest, tests/geostest/.deps,
	  tests/geostest/.deps/geostest.Po, tests/geostest/Makefile.am,
	  tests/geostest/brokengrammar, tests/geostest/geostest.c,
	  tests/geostest/test.expected, tests/geostest/test.wkt,
	  tests/geostest/testrunner.sh, tests/thread,
	  tests/thread/Makefile.am, tests/thread/badthreadtest.c,
	  tests/thread/threadtest.c, tests/unit/Makefile.am,
	  tests/unit/capi/badthreadtest.c, tests/unit/capi/brokengrammar,
	  tests/unit/capi/geostest.c, tests/unit/capi/test.expected,
	  tests/unit/capi/test.wkt, tests/unit/capi/testrunner.sh,
	  tests/unit/capi/threadtest.c: Moved non-unit tests programs out
	  of tests/unit: geostest -> tests/geostest, threadtest ->
	  tests/thread, badthreadtest -> tests/thread (Ticket #240).

2009-12-05 21:59  Mateusz Loskot <mateusz@loskot.net>

	* [r2804] configure.in: Added build/msvc80/geos_xmltester to
	  configure.in

2009-12-05 21:28  Mateusz Loskot <mateusz@loskot.net>

	* [r2803] build/msvc80/Makefile.am, build/msvc80/geos.sln,
	  build/msvc80/geos_xmltester,
	  build/msvc80/geos_xmltester/Makefile.am,
	  build/msvc80/geos_xmltester/geos_xmltester.vcproj: Added
	  geos_xmltester.vcproj project to build/msvc80

2009-12-05 21:20  Mateusz Loskot <mateusz@loskot.net>

	* [r2802] build/msvc80/geos_c_dll/geos_c_dll.vcproj: Added
	  GEOS_DLL_EXPORT to preprocessor definitions in
	  build/msvc80/geos_c_dll/geos_c_dll.vcproj

2009-12-05 20:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2801] source/linearref/ExtractLineByLocation.cpp: small cleanup

2009-12-05 20:23  Mateusz Loskot <mateusz@loskot.net>

	* [r2800] build/msvc80/geos.sln,
	  build/msvc80/geos_c_dll/geos_c_dll.vcproj,
	  build/msvc80/geos_lib/geos_lib.vcproj,
	  build/msvc80/geos_unit/geos_unit.vcproj: Updated solution for
	  Visual C++ 8.0 (Visual Studio 2005) (Ticket #303)

2009-12-05 20:21  Mateusz Loskot <mateusz@loskot.net>

	* [r2799] build/README: Updated information in README about
	  build/msvcXY solutions

2009-12-04 17:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2798] configure.in: Updated configure.in with msvc10

2009-12-04 17:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2797] build/Makefile.am, build/msvc10,
	  build/msvc10/Makefile.am, build/msvc10/README,
	  build/msvc10/geos.sln, build/msvc10/geos_c_dll,
	  build/msvc10/geos_c_dll/Makefile.am,
	  build/msvc10/geos_c_dll/geos_c_dll.vcxproj,
	  build/msvc10/geos_c_dll/geos_c_dll.vcxproj.filters,
	  build/msvc10/geos_lib, build/msvc10/geos_lib/Makefile.am,
	  build/msvc10/geos_lib/geos_lib.vcxproj,
	  build/msvc10/geos_lib/geos_lib.vcxproj.filters,
	  build/msvc10/geos_unit, build/msvc10/geos_unit/Makefile.am,
	  build/msvc10/geos_unit/geos_unit.vcxproj,
	  build/msvc10/geos_unit/geos_unit.vcxproj.filters,
	  build/msvc10/geos_xmltester,
	  build/msvc10/geos_xmltester/Makefile.am,
	  build/msvc10/geos_xmltester/geos_xmltester.vcxproj,
	  build/msvc10/geos_xmltester/geos_xmltester.vcxproj.filters: Added
	  solution and projects for Visual Studio 2010 (note msvc90 denotes
	  9.0 however msvc10 is 10 not 1.0)

2009-12-04 15:58  Mateusz Loskot <mateusz@loskot.net>

	* [r2796] tests/unit/geos_unit.cpp: Missing svn keywords

2009-12-04 15:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2795] tests/unit/tut/tut_exception.hpp: Small fixes to TUT.

2009-12-04 15:20  Mateusz Loskot <mateusz@loskot.net>

	* [r2794] source/io/WKBReader.cpp: Replaced long with
	  std::streampos

2009-12-04 15:07  Mateusz Loskot <mateusz@loskot.net>

	* [r2793] source/geom/CoordinateSequence.cpp: std::back_inserter
	  requires <iterator> in geom/CoordinateSequence.cpp

2009-12-04 13:57  Mateusz Loskot <mateusz@loskot.net>

	* [r2792] build/msvc90/geos_lib/geos_lib.vcproj: Updated Visual C++
	  9.0 project

2009-12-03 22:51  Mateusz Loskot <mateusz@loskot.net>

	* [r2791] source/headers/geos/export.h: Yet another try to fix EOL
	  in geos/export.h

2009-12-03 20:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2790] source/headers/geos/export.h: Removed mysterious extra
	  tokens (blanks) from geos/export.h

2009-12-03 20:16  Mateusz Loskot <mateusz@loskot.net>

	* [r2789] source/headers/geos/export.h: Removed mysterious extra
	  tokens (blanks) from geos/export.h

2009-12-03 20:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2788] build/msvc90/geos_unit/geos_unit.vcproj: Updated Visual
	  C++ project geos_unit.vcproj

2009-12-03 19:59  Mateusz Loskot <mateusz@loskot.net>

	* [r2787] source/headers/geos/platform.h.vc,
	  source/headers/geos/timeval.h: Part 26 of larger changeset -
	  source/headers:
	  * Refine FINITE macro - pseudo-POSIX layer in Visual C++ does not
	  offer long double version of finite()
	  * Tidy up.

2009-12-03 19:57  Mateusz Loskot <mateusz@loskot.net>

	* [r2786] source/headers/geos/util/UniqueCoordinateArrayFilter.h:
	  Part 25 of larger changeset - source/headers/geos/util:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:55  Mateusz Loskot <mateusz@loskot.net>

	* [r2785]
	  source/headers/geos/simplify/DouglasPeuckerLineSimplifier.h,
	  source/headers/geos/simplify/DouglasPeuckerSimplifier.h,
	  source/headers/geos/simplify/LineSegmentIndex.h,
	  source/headers/geos/simplify/TaggedLineSegment.h,
	  source/headers/geos/simplify/TaggedLineString.h,
	  source/headers/geos/simplify/TaggedLineStringSimplifier.h,
	  source/headers/geos/simplify/TaggedLinesSimplifier.h,
	  source/headers/geos/simplify/TopologyPreservingSimplifier.h: Part
	  24 of larger changeset - source/headers/geos/simplify:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:52  Mateusz Loskot <mateusz@loskot.net>

	* [r2784] source/headers/geos/planargraph/Subgraph.h: Part 23 of
	  larger changeset - source/headers/geos/planargraph
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:51  Mateusz Loskot <mateusz@loskot.net>

	* [r2783]
	  source/headers/geos/planargraph/algorithm/ConnectedSubgraphFinder.h:
	  Part 22 of larger changeset -
	  source/headers/geos/planargraph/algorithm:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:50  Mateusz Loskot <mateusz@loskot.net>

	* [r2782]
	  source/headers/geos/operation/valid/ConnectedInteriorTester.h:
	  Part 21 of larger changeset -
	  source/headers/geos/operation/valid:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2781]
	  source/headers/geos/operation/predicate/RectangleContains.h,
	  source/headers/geos/operation/predicate/RectangleIntersects.h:
	  Part 20 of larger changeset -
	  source/headers/geos/operation/overlay:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Unified EOL and style.
	  * Tidy up.

2009-12-03 19:46  Mateusz Loskot <mateusz@loskot.net>

	* [r2780] source/headers/geos/operation/overlay/ElevationMatrix.h,
	  source/headers/geos/operation/overlay/snap/GeometrySnapper.h,
	  source/headers/geos/operation/overlay/snap/LineStringSnapper.h,
	  source/headers/geos/operation/overlay/snap/SnapIfNeededOverlayOp.h,
	  source/headers/geos/operation/overlay/snap/SnapOverlayOp.h,
	  source/headers/geos/operation/overlay/validate/FuzzyPointLocator.h,
	  source/headers/geos/operation/overlay/validate/OffsetPointGenerator.h,
	  source/headers/geos/operation/overlay/validate/OverlayResultValidator.h:
	  Part 19 of larger changeset -
	  source/headers/geos/operation/overlay:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.
	  * Unified EOL and style.

2009-12-03 19:45  Mateusz Loskot <mateusz@loskot.net>

	* [r2779] source/headers/geos/operation/buffer/BufferBuilder.h,
	  source/headers/geos/operation/buffer/OffsetCurveBuilder.h,
	  source/headers/geos/operation/buffer/OffsetCurveSetBuilder.h:
	  Part 18of larger changeset -
	  source/headers/geos/operation/buffer:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.
	  * Unified EOL and style.

2009-12-03 19:44  Mateusz Loskot <mateusz@loskot.net>

	* [r2778] source/headers/geos/noding/FastNodingValidator.h,
	  source/headers/geos/noding/IntersectionAdder.h,
	  source/headers/geos/noding/IntersectionFinderAdder.h,
	  source/headers/geos/noding/MCIndexNoder.h,
	  source/headers/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	  source/headers/geos/noding/NodedSegmentString.h,
	  source/headers/geos/noding/NodingValidator.h,
	  source/headers/geos/noding/OrientedCoordinateArray.h,
	  source/headers/geos/noding/ScaledNoder.h,
	  source/headers/geos/noding/SegmentNode.h,
	  source/headers/geos/noding/SegmentNodeList.h,
	  source/headers/geos/noding/SegmentString.h,
	  source/headers/geos/noding/SingleInteriorIntersectionFinder.h:
	  Part 17 of larger changeset -
	  source/headers/geos/noding/snapround:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.
	  * Unified EOL and style.

2009-12-03 19:41  Mateusz Loskot <mateusz@loskot.net>

	* [r2777] source/headers/geos/noding/snapround/HotPixel.h,
	  source/headers/geos/noding/snapround/MCIndexPointSnapper.h,
	  source/headers/geos/noding/snapround/MCIndexSnapRounder.h,
	  source/headers/geos/noding/snapround/SimpleSnapRounder.h: Part 16
	  of larger changeset - source/headers/geos/noding/snapround:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.
	  * Unified EOL and style.

2009-12-03 19:39  Mateusz Loskot <mateusz@loskot.net>

	* [r2776] source/headers/geos/linearref/LinearIterator.h: Part 15
	  of larger changeset - source/headers/geos/linearref:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2775] source/headers/geos/io/StringTokenizer.h,
	  source/headers/geos/io/WKBReader.h: Part 14 of larger changeset -
	  source/headers/geos/io:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:36  Mateusz Loskot <mateusz@loskot.net>

	* [r2774] source/headers/geos/index/chain/MonotoneChain.h: Part 13
	  of larger changeset - source/headers/geos/index/chain:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:36  Mateusz Loskot <mateusz@loskot.net>

	* [r2773] source/headers/geos/geomgraph/GeometryGraph.h,
	  source/headers/geos/geomgraph/NodeMap.h: Part 12 of larger
	  changeset - source/headers/geos/geomgraph:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2772]
	  source/headers/geos/geom/util/ComponentCoordinateExtracter.h,
	  source/headers/geos/geom/util/GeometryCombiner.h,
	  source/headers/geos/geom/util/GeometryTransformer.h,
	  source/headers/geos/geom/util/LinearComponentExtracter.h,
	  source/headers/geos/geom/util/PointExtracter.h,
	  source/headers/geos/geom/util/PolygonExtracter.h: Part 11 of
	  larger changeset - source/headers/geos/geom/util:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2771]
	  source/headers/geos/geom/prep/PreparedLineStringIntersects.h,
	  source/headers/geos/geom/prep/PreparedPolygonPredicate.h: Part
	  10of larger changeset - source/headers/geos/geom/prep:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:27  Mateusz Loskot <mateusz@loskot.net>

	* [r2770] source/headers/geos/algorithm/RayCrossingCounter.h,
	  source/headers/geos/algorithm/distance/DiscreteHausdorffDistance.h,
	  source/headers/geos/algorithm/locate/IndexedPointInAreaLocator.h:
	  Part 9 of larger changeset - source/headers/geos/algorithm:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:24  Mateusz Loskot <mateusz@loskot.net>

	* [r2769] source/geomgraph/PlanarGraph.cpp: Part 7 of larger
	  changeset - source/geomgraph:
	  * Fixed incorrect int to string conversion.

2009-12-03 19:23  Mateusz Loskot <mateusz@loskot.net>

	* [r2768] source/index/intervalrtree/SortedPackedIntervalRTree.cpp:
	  Part 7 of larger changeset - source/index/intervalrtree:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:22  Mateusz Loskot <mateusz@loskot.net>

	* [r2767] source/noding/ScaledNoder.cpp: Refined changeset r2766 -
	  fix for nested classes required by GCC.

2009-12-03 19:14  Mateusz Loskot <mateusz@loskot.net>

	* [r2766] source/noding/OrientedCoordinateArray.cpp,
	  source/noding/ScaledNoder.cpp: Part 6 of larger changeset -
	  source/noding:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:11  Mateusz Loskot <mateusz@loskot.net>

	* [r2765] source/noding/snapround/MCIndexPointSnapper.cpp: Part 5
	  of larger changeset - source/noding/snapround:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:03  Mateusz Loskot <mateusz@loskot.net>

	* [r2764] source/algorithm/RobustDeterminant.cpp: Part 4 of larger
	  changeset - source/algorithm:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:02  Mateusz Loskot <mateusz@loskot.net>

	* [r2763] source/operation/buffer/BufferInputLineSimplifier.h,
	  source/operation/buffer/OffsetCurveBuilder.cpp,
	  source/operation/linemerge/LineSequencer.cpp,
	  source/operation/overlay/OverlayOp.cpp,
	  source/operation/overlay/PolygonBuilder.cpp,
	  source/operation/predicate/RectangleIntersects.cpp,
	  source/operation/valid/IsValidOp.cpp: Part 3 of larger changeset
	  - source/operation:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2762] source/simplify/TopologyPreservingSimplifier.cpp: Part 2
	  of larger changeset - source/simplify:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Cleanup.
	  * Unified EOL to LF.

2009-12-03 18:56  Mateusz Loskot <mateusz@loskot.net>

	* [r2761] tests/unit/algorithm/RobustLineIntersectionTest.cpp,
	  tests/unit/capi/GEOSBufferTest.cpp,
	  tests/unit/capi/GEOSGeomFromWKBTest.cpp,
	  tests/unit/capi/GEOSPreparedGeometryTest.cpp,
	  tests/unit/geom/CoordinateTest.cpp,
	  tests/unit/geom/GeometryFactoryTest.cpp,
	  tests/unit/geom/IntersectionMatrixTest.cpp,
	  tests/unit/geom/LinearRingTest.cpp,
	  tests/unit/geom/MultiPointTest.cpp,
	  tests/unit/geom/PolygonTest.cpp,
	  tests/unit/geom/TriangleTest.cpp,
	  tests/unit/io/ByteOrderValuesTest.cpp,
	  tests/unit/linearref/LengthIndexedLineTest.cpp,
	  tests/unit/noding/BasicSegmentStringTest.cpp,
	  tests/unit/noding/NodedSegmentStringTest.cpp: Part 1 of larger
	  changeset - tests/unit:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Cleanup.
	  * Unified EOL to LF.

2009-12-03 14:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2760] tests/unit/operation/valid/IsValidTest.cpp,
	  tests/unit/operation/valid/ValidClosedRingTest.cpp,
	  tests/xmltester/XMLTester.cpp: * Added Visual C++ pragmas.
	  * Fixed implicit pointer tests for 0 (save typing is a myth, be
	  explicit is bless).

2009-12-03 13:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2759] tests/unit/geos_unit.cpp,
	  tests/unit/tut/tut_restartable.hpp, tests/xmltester/XMLTester.h:
	  Updated C++ TUT framework.

2009-12-01 16:16  Mateusz Loskot <mateusz@loskot.net>

	* [r2758] source/geom/util/CoordinateOperation.cpp,
	  source/io/WKBReader.cpp,
	  source/operation/distance/DistanceOp.cpp,
	  source/operation/overlay/snap/SnapIfNeededOverlayOp.cpp,
	  tests/unit/geos_unit.cpp: Improved WKBReader::readHEX to read WKB
	  encoded with lower-case hex digits, useful if combined with SQL
	  encode(geometry, 'hex')

2009-12-01 15:39  Mateusz Loskot <mateusz@loskot.net>

	* [r2757] build/msvc90/geos_lib/geos_lib.vcproj,
	  capi/geos_ts_c.cpp, source/geom/GeometryComponentFilter.cpp,
	  source/geom/PrecisionModel.cpp,
	  source/geom/util/GeometryTransformer.cpp,
	  source/headers/geos/geom/BinaryOp.h,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/noding/Octant.h,
	  source/headers/geos/noding/ScaledNoder.h,
	  source/headers/geos/operation/overlay/PointBuilder.h,
	  source/headers/geos/simplify/TaggedLinesSimplifier.h,
	  source/headers/geos/util.h, source/index/quadtree/NodeBase.cpp,
	  source/noding/NodedSegmentString.cpp,
	  source/noding/ScaledNoder.cpp,
	  source/noding/snapround/MCIndexPointSnapper.cpp,
	  source/operation/overlay/OverlayOp.cpp,
	  source/operation/overlay/snap/GeometrySnapper.cpp,
	  source/operation/overlay/snap/SnapIfNeededOverlayOp.cpp,
	  source/operation/overlay/validate/FuzzyPointLocator.cpp,
	  source/precision/CommonBitsRemover.cpp,
	  source/simplify/DouglasPeuckerSimplifier.cpp,
	  tests/unit/geom/DimensionTest.cpp,
	  tests/unit/geom/MultiPointTest.cpp,
	  tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp,
	  tests/unit/operation/buffer/BufferOpTest.cpp: * More fixes for
	  incompleteness of types required by std::auto_ptr
	  * Replaced utility macros with disappearing ignorance template
	  trick.

2009-12-01 13:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2756] build/msvc90/geos_c_dll/geos_c_dll.vcproj,
	  build/msvc90/geos_lib/geos_lib.vcproj,
	  build/msvc90/geos_unit/geos_unit.vcproj,
	  build/msvc90/geos_xmltester/geos_xmltester.vcproj: Tweaked
	  projects for Visual Studio 2008

2009-11-30 17:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2755] capi/geos_ts_c.cpp, source/geomgraph/EdgeEnd.cpp,
	  source/headers/geos/geom/CoordinateSequenceFilter.h,
	  source/precision/EnhancedPrecisionOp.cpp: * GEOSFree_r should
	  check context handle even if its not used - nullptr may indicate
	  logic error.

2009-11-30 13:55  Mateusz Loskot <mateusz@loskot.net>

	* [r2754] build/msvc90/geos_c_dll/geos_c_dll.vcproj,
	  build/msvc90/geos_lib/geos_lib.vcproj,
	  build/msvc90/geos_unit/geos_unit.vcproj,
	  build/msvc90/geos_xmltester/geos_xmltester.vcproj,
	  source/geom/GeometryCollection.cpp,
	  source/headers/geos/simplify/TopologyPreservingSimplifier.h,
	  source/io/WKTReader.cpp,
	  source/linearref/ExtractLineByLocation.cpp: * Fixed incomplete
	  types Geometry and TaggedLinesSimplifier in
	  TopologyPreservingSimplifier.h - required by std::auto_ptr
	  * Removed unreachable code.
	  * Removed /Wp64 option from Visual Studio 2008 projects.

2009-11-30 12:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2753] ChangeLog: Missing log.

2009-11-30 10:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2752] build/msvc90/geos_unit/geos_unit.vcproj,
	  tests/unit/linearref/LengthIndexedLineTest.cpp: * Added missing
	  tests to Visual Studio 2008 project
	  * Replaced call to isnan() missing in Visual C++ with ISNAN macro

2009-11-29 10:09  Sandro Santilli <strk@keybit.net>

	* [r2749] ChangeLog: updated

2009-11-26 21:42  Sandro Santilli <strk@keybit.net>

	* [r2748] source/headers/geos/platform.h.in: Add ISNAN support in
	  platform.h.in

2009-11-26 21:34  Sandro Santilli <strk@keybit.net>

	* [r2747] source/geom/util/LinearComponentExtracter.cpp,
	  source/geom/util/Makefile.am,
	  source/geom/util/PointExtracter.cpp,
	  source/geom/util/PolygonExtracter.cpp,
	  source/util/AssertionFailedException.cpp,
	  source/util/IllegalArgumentException.cpp,
	  source/util/Makefile.am,
	  source/util/UnsupportedOperationException.cpp: Remove
	  unreferenced files from the repository

2009-11-26 21:28  Sandro Santilli <strk@keybit.net>

	* [r2746] build/msvc90/geos_lib/geos_lib.vcproj: Remove reference
	  to files not needing to go in the dll

2009-11-26 21:21  Sandro Santilli <strk@keybit.net>

	* [r2745] source/geom/CoordinateSequenceFactory.cpp,
	  source/geom/Makefile.am,
	  source/headers/geos/geom/CoordinateSequenceFactory.h: Put
	  destructor of the CoordinateSequenceFactory in an implementation
	  file, hopefully reducing linker confusion about RTTI (see ticket
	  #299)

2009-11-26 19:49  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2744] configure.in: Add magic flags for OS/X Snow Leopard only.
	  (#299)

2009-11-26 19:46  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2743] configure.in: Add vc90 xmltester target to Makefile build

2009-11-26 18:29  Frank Warmerdam <warmerdam@pobox.com>

	* [r2742] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp:
	  clarify ownership of returned buffer from wkbwriter

2009-11-26 16:32  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2741] Makefile.am, build/msvc90/Makefile.am,
	  build/msvc90/geos_xmltester/Makefile.am: Fix missing components
	  in tarball (#300)

2009-11-24 18:05  Sandro Santilli <strk@keybit.net>

	* [r2736] ChangeLog: updated

2009-11-23 18:17  Sandro Santilli <strk@keybit.net>

	* [r2735] tests/unit/geom/CoordinateArraySequenceFactoryTest.cpp:
	  Coordiante->Coordinate

2009-11-23 18:06  Sandro Santilli <strk@keybit.net>

	* [r2734] source/geom/Geometry.cpp: Avoid reallocations in Union
	  short-circuit

2009-11-20 19:58  Sandro Santilli <strk@keybit.net>

	* [r2733] source/headers/geos/planargraph/NodeMap.h,
	  source/headers/geos/planargraph/PlanarGraph.h,
	  source/operation/linemerge/LineMerger.cpp,
	  source/operation/polygonize/PolygonizeGraph.cpp,
	  source/planargraph/NodeMap.cpp: Don't force heap allocation of
	  vectors for getting nodes of a NodeMap

2009-11-19 21:30  Sandro Santilli <strk@keybit.net>

	* [r2732]
	  source/headers/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	  source/noding/MCIndexSegmentSetMutualIntersector.cpp: Don't
	  heap-allocate std::vector in MCIndexSegmentSetMutualIntersector

2009-11-19 21:06  Sandro Santilli <strk@keybit.net>

	* [r2731] source/headers/geos/operation/overlay/MaximalEdgeRing.h,
	  source/headers/geos/operation/valid/ConnectedInteriorTester.h,
	  source/operation/overlay/MaximalEdgeRing.cpp,
	  source/operation/valid/ConnectedInteriorTester.cpp: Don't force
	  heap allocation when building edge rings for isValidOp

2009-11-19 20:29  Sandro Santilli <strk@keybit.net>

	* [r2730]
	  source/headers/geos/operation/polygonize/PolygonizeGraph.h,
	  source/operation/polygonize/PolygonizeGraph.cpp,
	  source/operation/polygonize/Polygonizer.cpp: Don't force heap
	  allocation of std::vector in PolygonizeGraph when deleting
	  dangles (moved allocation higher, in Polygonizer, so needs a
	  second pass)

2009-11-19 20:20  Sandro Santilli <strk@keybit.net>

	* [r2729]
	  source/headers/geos/operation/polygonize/PolygonizeGraph.h,
	  source/operation/polygonize/PolygonizeGraph.cpp: don't
	  heap-allocate vectors in findLabeledEdgeRings

2009-11-19 19:57  Sandro Santilli <strk@keybit.net>

	* [r2728]
	  source/headers/geos/operation/polygonize/PolygonizeGraph.h,
	  source/headers/geos/operation/polygonize/Polygonizer.h,
	  source/operation/polygonize/PolygonizeGraph.cpp,
	  source/operation/polygonize/Polygonizer.cpp: Move heap-allocation
	  of vector used for 'cut-lines' containment out of PolygonizeGraph
	  (but into Polygonizer)

2009-11-19 19:31  Sandro Santilli <strk@keybit.net>

	* [r2727]
	  source/headers/geos/operation/polygonize/PolygonizeGraph.h,
	  source/operation/polygonize/PolygonizeGraph.cpp: Don't force
	  heap-allocation of vectors for finding/labeling edge rings

2009-11-19 19:19  Sandro Santilli <strk@keybit.net>

	* [r2726]
	  source/headers/geos/operation/polygonize/PolygonizeGraph.h,
	  source/headers/geos/operation/polygonize/Polygonizer.h,
	  source/operation/polygonize/PolygonizeGraph.cpp,
	  source/operation/polygonize/Polygonizer.cpp: Change
	  PolygonizeGraph::getEdgeRings signature so not to force heap
	  allocation of std::vector, update Polygonizer accordingly

2009-11-19 19:06  Sandro Santilli <strk@keybit.net>

	* [r2725]
	  source/headers/geos/operation/polygonize/PolygonizeGraph.h,
	  source/operation/polygonize/PolygonizeGraph.cpp: Do not
	  heap-allocate vector of Node when finding intersections

2009-11-19 18:52  Sandro Santilli <strk@keybit.net>

	* [r2724] source/headers/geos/index/strtree/AbstractNode.h,
	  source/index/strtree/AbstractNode.cpp: Don not allocate the
	  container of STRtree node childs on the heap

2009-11-19 16:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2723] source/geomgraph/index/SegmentIntersector.cpp,
	  tests/xmltester/XMLTester.cpp: Apply patch for --disable-cassert
	  compilation (#291)

2009-11-18 18:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2720] HOWTO_RELEASE: Reverse the upgrade process a bit, bump up
	  revision numbers *after* release so that the repo version is
	  always one higher than the release version. (#287)

2009-11-18 01:28  Mateusz Loskot <mateusz@loskot.net>

	* [r2717] ChangeLog, capi/geos_c.cpp, capi/geos_ts_c.cpp: Silent
	  warning thrown by Visual C++ about mixed class and struct keyword
	  (#269)

2009-11-17 20:29  Sandro Santilli <strk@keybit.net>

	* [r2716] tests/unit/Makefile.am: Include capi::GEOSGeomFromWKB
	  test in geos_unit build (should also distribute as side-effect)

2009-11-11 23:05  Sandro Santilli <strk@keybit.net>

	* [r2713] HOWTO_RELEASE, Makefile.am: Change ChangeLog generation
	  rule so it doesn't mess with make dist. Reflect in HOW_TO_RELEASE

2009-11-10 23:54  Sandro Santilli <strk@keybit.net>

	* [r2712] HOWTO_RELEASE, Makefile.am: Make ChangeLog target
	  non-phony to keep 'distcheck' happy. Reorganize HOW_TO_RELEASE
	  steps.

2009-11-10 22:58  Sandro Santilli <strk@keybit.net>

	* [r2711] ChangeLog, HOWTO_RELEASE, NEWS: Package stuff for release

2009-10-29 21:06  Mateusz Loskot <mateusz@loskot.net>

	* [r2710] tests/unit/operation/buffer/BufferOpTest.cpp: Testing
	  linker problem with DEFAULT_QUADRANT_SEGMENT constant

2009-10-29 20:58  Mateusz Loskot <mateusz@loskot.net>

	* [r2709] tests/unit/operation/buffer/BufferOpTest.cpp: Testing
	  linker problem with DEFAULT_QUADRANT_SEGMENT constant

2009-10-29 20:55  Mateusz Loskot <mateusz@loskot.net>

	* [r2708] tests/unit/operation/buffer/BufferOpTest.cpp: Fixed CRLF
	  to LF in BufferOpTest.cpp

2009-10-29 20:47  Mateusz Loskot <mateusz@loskot.net>

	* [r2707] ChangeLog, tests/unit/operation/buffer/BufferOpTest.cpp:
	  Missing include of BufferParameters.h header in BufferOpTest.cpp
	  unit suite

2009-10-29 16:20  Mateusz Loskot <mateusz@loskot.net>

	* [r2706] ChangeLog, tests/unit/operation/buffer/BufferOpTest.cpp:
	  Added more test cases for buffer calculation based on A (input)
	  geometries from XMLTester's buffer.xml and
	  TestBufferExternal2.xml tests.

2009-10-29 15:11  Mateusz Loskot <mateusz@loskot.net>

	* [r2705] ChangeLog, tests/unit/operation/buffer/BufferOpTest.cpp:
	  Added test case for buffer of multipolygon from XMLTester's
	  buffer.xml, case #25 but with custom quadrant segments

2009-10-29 14:24  Mateusz Loskot <mateusz@loskot.net>

	* [r2704] ChangeLog, tests/unit/operation/buffer/BufferOpTest.cpp:
	  Added test case for buffer of POINT(0 0) with distance 1.0 and 32
	  quadrant segments.

2009-10-29 12:33  Mateusz Loskot <mateusz@loskot.net>

	* [r2703] ChangeLog, build/msvc90/geos_unit/geos_unit.vcproj,
	  tests/unit/Makefile.am, tests/unit/operation/buffer,
	  tests/unit/operation/buffer/BufferOpTest.cpp: *
	  tests/unit/operation/buffer: added unit test case for BufferOp,
	  * tests/unit/Makefile.am: added new test case source to Makefile,
	  * build/msvc90/geos_unit/geos_unit.vcproj: updated Visual C++
	  project.

2009-10-28 12:09  Mateusz Loskot <mateusz@loskot.net>

	* [r2702] ChangeLog, build/msvc90/geos.sln,
	  tests/xmltester/XMLTester.cpp: tests/xmltester/XMLTester.cpp:
	  declare checkBufferSuccess function to take geometries by
	  refernece to const

2009-10-25 18:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2701] ChangeLog, source/headers/geos/geom/Geometry.h: Fixed
	  typo in getCentroid function comment in Geometry.h.

2009-10-23 13:04  Sandro Santilli <strk@keybit.net>

	* [r2700] source/headers/geos/linearref/LinearLocation.h,
	  source/linearref/LinearLocation.cpp: Have
	  LinearLocation::getSegment return by auto_ptr to encode ownership
	  transfer. Fixes leak reported in #296.

2009-10-23 12:58  Sandro Santilli <strk@keybit.net>

	* [r2699] source/headers/geos/linearref/LinearLocation.h,
	  source/linearref/LinearLocation.cpp: Fix port info, add standard
	  protection notes

2009-10-23 10:21  Sandro Santilli <strk@keybit.net>

	* [r2698] source/headers/geos/linearref/LinearGeometryBuilder.h,
	  source/linearref/LinearGeometryBuilder.cpp: Add destructor to
	  LinearGeometryBuilder fixing memory leaks there.

2009-10-23 10:13  Sandro Santilli <strk@keybit.net>

	* [r2697] source/linearref/LinearGeometryBuilder.cpp: Fix memory
	  access error (#283)

2009-10-23 10:03  Sandro Santilli <strk@keybit.net>

	* [r2696] source/headers/geos/linearref/LinearGeometryBuilder.h,
	  source/linearref/LinearGeometryBuilder.cpp: Fix port info for
	  LinearGeometryBuilder

2009-10-23 09:53  Sandro Santilli <strk@keybit.net>

	* [r2695] source/headers/geos/linearref/LinearGeometryBuilder.h,
	  source/linearref/LinearGeometryBuilder.cpp: Cleanup
	  LinearGeometrybuilder defs and impl to match common code style,
	  add note about suspicious things (not written but noted that the
	  class seems to lack a destructor..)

2009-10-23 09:43  Sandro Santilli <strk@keybit.net>

	* [r2694] source/headers/geos/linearref/LocationIndexOfLine.h,
	  source/linearref/LengthIndexedLine.cpp,
	  source/linearref/LocationIndexOfLine.cpp,
	  tests/unit/linearref/LengthIndexedLineTest.cpp: Document
	  ownership of return from LocationIndexOfLine::indicesOf, fix
	  mismatch delete/delete[] in core and unit test

2009-10-23 09:34  Sandro Santilli <strk@keybit.net>

	* [r2693] source/headers/geos/algorithm/BoundaryNodeRule.h: Add
	  virtual dtor to virtual class

2009-10-23 09:33  Sandro Santilli <strk@keybit.net>

	* [r2692] tests/xmltester/tinyxml/tinyxmlparser.cpp: add some
	  parens to hush gcc warning

2009-10-23 09:00  Sandro Santilli <strk@keybit.net>

	* [r2691] tests/unit/Makefile.am: Fix static building of C-api
	  demo/tests

2009-10-23 08:34  Sandro Santilli <strk@keybit.net>

	* [r2690] tests/xmltester/Makefile.am: Run the last
	  available-but-no-automatically-run test: test.xml

2009-10-22 18:18  Sandro Santilli <strk@keybit.net>

	* [r2689] tests/xmltester/tests/buffer.xml,
	  tests/xmltester/tests/buffer_snapround.xml: Merge
	  buffer_snapround.xml into buffer.xml

2009-10-22 17:13  Sandro Santilli <strk@keybit.net>

	* [r2688] tests/xmltester/Makefile.am: A quick check reveals that
	  the tests in buffer.xml are not really duplicated elsewhere so we
	  run that test too now as part of make check

2009-10-22 17:07  Sandro Santilli <strk@keybit.net>

	* [r2687] tests/xmltester/tests/buffer.xml: Give buffer.xml cases a
	  somewhat more helpful description, fix 4 expected results after
	  eye-checking. This is still not automatically run case it might
	  contain duplicated tests from elsewhere (to be checked).

2009-10-22 16:30  Sandro Santilli <strk@keybit.net>

	* [r2686] tests/xmltester/XMLTester.cpp: Don't segfault on EOF
	  inside <op> tag

2009-10-20 16:59  Sandro Santilli <strk@keybit.net>

	* [r2685] source/headers/geos/index/strtree/AbstractSTRtree.h,
	  source/index/strtree/STRtree.cpp: Commit MingW bug workaround
	  provided by sanak in ticket #293

2009-10-19 13:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2684] ChangeLog,
	  build/msvc90/geos_xmltester/geos_xmltester.vcproj,
	  tests/xmltester/tests/buffer_snapround.xml:
	  tests/xmltester/tests/buffer_snapround.xml: not well-formed XML,
	  fixed missing attribute.

2009-10-17 14:47  Sandro Santilli <strk@keybit.net>

	* [r2683] ChangeLog: updated

2009-10-17 14:43  Sandro Santilli <strk@keybit.net>

	* [r2682] NEWS: updated

2009-10-17 14:35  Sandro Santilli <strk@keybit.net>

	* [r2681] source/algorithm/distance/DistanceToPoint.cpp: Half the
	  calls to the virtual CoordinateSequence::getAt when computing
	  line distances

2009-10-17 13:40  Sandro Santilli <strk@keybit.net>

	* [r2680] source/geom/CoordinateArraySequence.cpp: Drop pointless
	  asserts. We'd abort anyway if vector is null. For the
	  out-of-range case the GNU c++ lib helps debugging with an
	  environment variable

2009-10-17 13:04  Sandro Santilli <strk@keybit.net>

	* [r2679] source/noding/OrientedCoordinateArray.cpp: Add note of
	  private/static nature of implemented methods

2009-10-17 12:28  Sandro Santilli <strk@keybit.net>

	* [r2678] source/geom/CoordinateArraySequence.cpp,
	  source/geom/Polygon.cpp,
	  source/headers/geos/geom/CoordinateArraySequence.h,
	  source/headers/geos/geom/CoordinateSequence.h: Expose a usable
	  toVector method for CoordinateSequence (ie: no memory management
	  issues). Use it from Polygon::getCoordinates.

2009-10-17 12:02  Sandro Santilli <strk@keybit.net>

	* [r2677] source/geom/Polygon.cpp: Don't allocate too much space
	  for polygon points vector. Fixes bug #294.

2009-10-16 15:27  Mateusz Loskot <mateusz@loskot.net>

	* [r2676] tests/xmltester/tests/fme.xml: xmltester/tests: missing
	  double quotes around XML attribute value in fme.xml.

2009-10-14 20:42  Sandro Santilli <strk@keybit.net>

	* [r2675] ChangeLog: regenerate ChangeLog

2009-10-14 15:32  Mateusz Loskot <mateusz@loskot.net>

	* [r2674] build/msvc90/geos_unit/geos_unit.vcproj,
	  build/msvc90/geos_xmltester/geos_xmltester.vcproj,
	  tests/xmltester/XMLTester.cpp, tests/xmltester/makefile.vc: *
	  Optional use of GEOS_DEBUG_MSVC_USE_VLD in XMLTester.cpp
	  * Added xmltester/makefile.vc as port of testrunner.sh for
	  Windows to be able to run all tests in batch:
	  ** nmake /f makefile.vc XMLTESTER=C:\path\to\xmltester.exe

2009-10-14 12:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2673] build/msvc90/geos.sln, build/msvc90/geos_xmltester,
	  build/msvc90/geos_xmltester/geos_xmltester.vcproj: Added
	  msvc90/geos_xmltester to solution for Visual Studio 2008.

2009-10-14 12:03  Mateusz Loskot <mateusz@loskot.net>

	* [r2672] tests/xmltester/XMLTester.cpp: Enable use of Stalkwalker
	  only if building with Visual C++ and GEOS_TEST_USE_STACKWALKER is
	  defined.

2009-10-13 16:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2671] build/msvc90/geos_lib/geos_lib.vcproj: build/msvc90:
	  added missing sources of linearref package. Builds with Visual
	  C++ 9.0 (using both project and makefiles).

2009-10-13 14:20  Frank Warmerdam <warmerdam@pobox.com>

	* [r2670] ChangeLog, capi/geos_c.h.in, nmake.opt,
	  source/Makefile.vc: fix nmake dll export, and link test programs
	  (#288)

2009-10-08 12:51  Frank Warmerdam <warmerdam@pobox.com>

	* [r2669] source/Makefile.vc, source/dirlist.mk: add new
	  directories and source (#288)

2009-10-08 08:56  Sandro Santilli <strk@keybit.net>

	* [r2668] ChangeLog: regenerate ChangeLog now that we have all
	  names in

2009-10-08 08:47  Sandro Santilli <strk@keybit.net>

	* [r2667] authors.svn: Add other missing names/addresses

2009-10-08 08:40  Sandro Santilli <strk@keybit.net>

	* [r2666] ChangeLog, ChangeLog.svn, Makefile.am: Automatically
	  generate the ChangeLog file, forget ChangeLog.svn.

2009-10-08 08:38  Sandro Santilli <strk@keybit.net>

	* [r2665] source/operation/overlay/snap/SnapIfNeededOverlayOp.cpp:
	  Don't signal topology exception when it triggers snapping

2009-10-08 08:37  Sandro Santilli <strk@keybit.net>

	* [r2664] authors.svn: Add yury, fernando and sean

2009-10-08 08:17  Sandro Santilli <strk@keybit.net>

	* [r2663] tests/unit/Makefile.am: Distribute all of TUT

2009-10-08 07:56  Sandro Santilli <strk@keybit.net>

	* [r2662] capi/geos_c.h.in, source/headers/geos/version.h.vc:
	  Properly set version for win target

2009-10-07 07:53  Sandro Santilli <strk@keybit.net>

	* [r2661] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  tests/unit/capi/GEOSBufferTest.cpp: Expose single-sided buffering
	  in C-API (see ticket #258)

2009-10-05 21:36  Sandro Santilli <strk@keybit.net>

	* [r2659] source/algorithm/distance/DistanceToPoint.cpp,
	  source/headers/geos/algorithm/distance/DistanceToPoint.h: Drop
	  use of static data in DistanceToPoint class (for thread-safety)

2009-10-05 19:29  Sandro Santilli <strk@keybit.net>

	* [r2658] source/operation/buffer/BufferBuilder.cpp: release memory
	  earlier, and closer to allocation

2009-10-05 19:04  Sandro Santilli <strk@keybit.net>

	* [r2657] source/operation/buffer/BufferBuilder.cpp: Finish
	  plugging leaks. Make check runs with no leaks.

2009-10-05 18:42  Sandro Santilli <strk@keybit.net>

	* [r2656]
	  source/headers/geos/operation/buffer/OffsetCurveBuilder.h:
	  another memory management doc

2009-10-05 18:40  Sandro Santilli <strk@keybit.net>

	* [r2655]
	  source/headers/geos/operation/buffer/OffsetCurveBuilder.h,
	  source/headers/geos/operation/buffer/OffsetCurveSetBuilder.h,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp: Document more
	  memory management issues

2009-10-05 17:20  Sandro Santilli <strk@keybit.net>

	* [r2654] source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/OffsetCurveBuilder.cpp: More memory leak
	  fixes in single-sided buffering implementation

2009-10-05 16:58  Sandro Santilli <strk@keybit.net>

	* [r2653] source/operation/buffer/BufferBuilder.cpp: Plug some
	  memory leaks in single sided buffering implementation

2009-10-05 16:44  Sandro Santilli <strk@keybit.net>

	* [r2652] source/headers/geos/operation/linemerge/LineMerger.h:
	  Document ownership of return from
	  LineMerger::getMergedLineStrings

2009-10-05 16:40  Sandro Santilli <strk@keybit.net>

	* [r2651] .vimrc: Alright, there's no standard style yet so this
	  file is made empty, but good to have for reference

2009-10-01 10:30  Sandro Santilli <strk@keybit.net>

	* [r2650] source/operation/buffer/BufferBuilder.cpp: Throw an
	  exception rather than returning NULL if input to single-sided
	  buffer code is invalid

2009-10-01 09:10  Sandro Santilli <strk@keybit.net>

	* [r2649] source/operation/buffer/BufferBuilder.cpp,
	  tests/xmltester/Makefile.am, tests/xmltester/tests/safe,
	  tests/xmltester/tests/safe/16595.xml,
	  tests/xmltester/tests/safe/16596.xml,
	  tests/xmltester/tests/singlesidedbuffer.xml: Have single-sided
	  buffer constructor return a simple LINESTRING when appropriate
	  rather than forcing a MULTI; import 2 tests from the SAFE
	  testsuite

2009-10-01 09:01  Sandro Santilli <strk@keybit.net>

	* [r2648] tests/xmltester/safe_to_xml.sh: Better parse style
	  parameter

2009-10-01 08:46  Sandro Santilli <strk@keybit.net>

	* [r2647] tests/xmltester/safe_to_xml.sh: Add utility script to
	  import tests from SAFE software

2009-10-01 08:42  Sandro Santilli <strk@keybit.net>

	* [r2646] tests/xmltester/XMLTester.cpp: Don't segfault on xml
	  tests missing precision model specification

2009-10-01 07:24  Sandro Santilli <strk@keybit.net>

	* [r2645] tests/xmltester/tests/singlesidedbuffer.xml: Re-enable
	  the now succeeding test for sharp edges line single sided
	  buffering

2009-10-01 07:23  Sandro Santilli <strk@keybit.net>

	* [r2644] source/operation/buffer/BufferBuilder.cpp: Use FLAT/BUTT
	  endcaps when doing single sided buffering

2009-10-01 07:06  Sandro Santilli <strk@keybit.net>

	* [r2643] source/operation/buffer/OffsetCurveBuilder.cpp: Fix
	  trimming of left/right curves (ie: don't include the endcap)

2009-10-01 06:33  Sandro Santilli <strk@keybit.net>

	* [r2642] source/operation/buffer/BufferBuilder.cpp: Use snapped
	  intersection between full buffer boundary and single-sided offset
	  curves

2009-09-30 22:18  Sandro Santilli <strk@keybit.net>

	* [r2641] tests/xmltester/SingleSidedBufferResultMatcher.cpp: Check
	  hausdorff distance in both directions, or an expected output line
	  longer than the obtained one would be found as correct

2009-09-30 20:27  Sandro Santilli <strk@keybit.net>

	* [r2640] source/operation/buffer/BufferBuilder.cpp: Some debugging
	  for single sided buffers

2009-09-30 19:18  Sandro Santilli <strk@keybit.net>

	* [r2639] tests/xmltester/tests/singlesidedbuffer.xml: Another
	  simple test for single-sided buffer (horizontal line, both
	  directions)

2009-09-30 19:07  Sandro Santilli <strk@keybit.net>

	* [r2638] tests/xmltester/tests/singlesidedbuffer.xml: Another
	  simple test for a vertical line, opposite direction from previous

2009-09-30 19:05  Sandro Santilli <strk@keybit.net>

	* [r2637] tests/xmltester/tests/singlesidedbuffer.xml: Add test for
	  single sided buffer on simple, vertical, line (this one succeeds
	  both left and right)

2009-09-30 18:57  Sandro Santilli <strk@keybit.net>

	* [r2636] .vimrc: VIM setting for GEOS source code style (3-spaces
	  tabs)

2009-09-30 14:14  Sandro Santilli <strk@keybit.net>

	* [r2635] autogen.sh: Don't use non-standard escape sequences with
	  'echo'

2009-09-28 10:35  Sandro Santilli <strk@keybit.net>

	* [r2634] tests/xmltester/Makefile.am,
	  tests/xmltester/XMLTester.cpp, tests/xmltester/XMLTester.h,
	  tests/xmltester/markup, tests/xmltester/tinyxml,
	  tests/xmltester/tinyxml/tinystr.cpp,
	  tests/xmltester/tinyxml/tinystr.h,
	  tests/xmltester/tinyxml/tinyxml.cpp,
	  tests/xmltester/tinyxml/tinyxml.h,
	  tests/xmltester/tinyxml/tinyxmlerror.cpp,
	  tests/xmltester/tinyxml/tinyxmlparser.cpp: Replace
	  no-commercial-use licenced MarkupSTL with tinyXML

2009-09-28 10:34  Sandro Santilli <strk@keybit.net>

	* [r2633] tests/xmltester/tests/singlesidedbuffer.xml: Temporarly
	  disable failing single sided buffer test

2009-09-28 10:10  Sandro Santilli <strk@keybit.net>

	* [r2632] tests/xmltester/SingleSidedBufferResultMatcher.cpp: Oops,
	  it seems I just don't want a test to fail ;)

2009-09-28 10:09  Sandro Santilli <strk@keybit.net>

	* [r2631] tests/xmltester/SingleSidedBufferResultMatcher.cpp: Don't
	  give a false success if one of the expected/obtained geometry is
	  empty

2009-09-28 09:03  Sandro Santilli <strk@keybit.net>

	* [r2630] source/geom/PrecisionModel.cpp: Add offsets to
	  PrecisionModel text output

2009-09-28 07:02  Sandro Santilli <strk@keybit.net>

	* [r2629] tests/xmltester/Makefile.am,
	  tests/xmltester/SingleSidedBufferResultMatcher.cpp,
	  tests/xmltester/SingleSidedBufferResultMatcher.h,
	  tests/xmltester/XMLTester.cpp,
	  tests/xmltester/tests/singlesidedbuffer.xml: Add an hausdorff
	  distance based result matcher for single-sided buffer tests.
	  Enable the single sided buffer test provided by swong in ticket
	  #215 with minor tweak (expect multilinestring).

2009-09-27 20:43  Sandro Santilli <strk@keybit.net>

	* [r2628] source/headers/geos/operation/buffer/BufferBuilder.h,
	  source/headers/geos/operation/buffer/OffsetCurveBuilder.h,
	  source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/OffsetCurveBuilder.cpp,
	  source/operation/buffer/OffsetCurveVertexList.h,
	  tests/xmltester/XMLTester.cpp: Re-introduce the singlesided
	  buffer patch. Tests still need to be worked on.

2009-09-21 19:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2626] source/geom/Polygon.cpp: Polygon with empty ring causes a
	  crash in WKBReader (from Tamas Szekeres) (#290)

2009-09-11 18:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2624] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp:
	  Patch for #285, C api for project and interpolate, from David
	  Turner (novalis)

2009-08-21 09:54  Mateusz Loskot <mateusz@loskot.net>

	* [r2623] source/headers/geos/linearref, source/linearref: Updated
	  svn:ignore property

2009-08-21 09:50  Mateusz Loskot <mateusz@loskot.net>

	* [r2622] source/headers/geos/export.h,
	  tests/unit/algorithm/RobustLineIntersectionTest.cpp,
	  tests/unit/geom/CoordinateArraySequenceTest.cpp,
	  tests/unit/geos_unit.cpp: Cleaned compilation warnings in unit
	  tests.

2009-08-21 09:43  Mateusz Loskot <mateusz@loskot.net>

	* [r2621] tests/unit/tut/tut.hpp, tests/unit/tut/tut_assert.hpp,
	  tests/unit/tut/tut_console_reporter.hpp,
	  tests/unit/tut/tut_exception.hpp, tests/unit/tut/tut_posix.hpp,
	  tests/unit/tut/tut_reporter.hpp,
	  tests/unit/tut/tut_restartable.hpp,
	  tests/unit/tut/tut_result.hpp, tests/unit/tut/tut_runner.hpp:
	  Updated C++ TUT Framework to latest revision (147) of its SVN
	  trunk

2009-08-15 13:26  Sandro Santilli <strk@keybit.net>

	* [r2620] source/headers/geos/linearref/ExtractLineByLocation.h,
	  source/headers/geos/linearref/LengthIndexOfPoint.h,
	  source/headers/geos/linearref/LengthIndexedLine.h,
	  source/headers/geos/linearref/LengthLocationMap.h,
	  source/headers/geos/linearref/LinearIterator.h,
	  source/headers/geos/linearref/LinearLocation.h,
	  source/headers/geos/linearref/LocationIndexOfLine.h,
	  source/headers/geos/linearref/LocationIndexOfPoint.h,
	  source/linearref/ExtractLineByLocation.cpp,
	  source/linearref/LengthIndexOfPoint.cpp,
	  source/linearref/LengthIndexedLine.cpp,
	  source/linearref/LengthLocationMap.cpp,
	  source/linearref/LinearIterator.cpp,
	  source/linearref/LinearLocation.cpp,
	  source/linearref/LocationIndexOfLine.cpp,
	  source/linearref/LocationIndexOfPoint.cpp: Const correctness of
	  LenghtIndexedLine port, by novalis (issue #284)

2009-08-12 19:01  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2619] configure.in, source/Makefile.am,
	  source/headers/geos/Makefile.am,
	  source/headers/geos/geom/CoordinateList.h,
	  source/headers/geos/linearref,
	  source/headers/geos/linearref/ExtractLineByLocation.h,
	  source/headers/geos/linearref/LengthIndexOfPoint.h,
	  source/headers/geos/linearref/LengthIndexedLine.h,
	  source/headers/geos/linearref/LengthLocationMap.h,
	  source/headers/geos/linearref/LinearGeometryBuilder.h,
	  source/headers/geos/linearref/LinearIterator.h,
	  source/headers/geos/linearref/LinearLocation.h,
	  source/headers/geos/linearref/LocationIndexOfLine.h,
	  source/headers/geos/linearref/LocationIndexOfPoint.h,
	  source/headers/geos/linearref/Makefile.am, source/linearref,
	  source/linearref/ExtractLineByLocation.cpp,
	  source/linearref/LengthIndexOfPoint.cpp,
	  source/linearref/LengthIndexedLine.cpp,
	  source/linearref/LengthLocationMap.cpp,
	  source/linearref/LinearGeometryBuilder.cpp,
	  source/linearref/LinearIterator.cpp,
	  source/linearref/LinearLocation.cpp,
	  source/linearref/LocationIndexOfLine.cpp,
	  source/linearref/LocationIndexOfPoint.cpp,
	  source/linearref/Makefile.am, tests/unit/Makefile.am,
	  tests/unit/linearref,
	  tests/unit/linearref/LengthIndexedLineTest.cpp: Port of JTS
	  linear referencing (from David Turner) (#283)

2009-08-02 23:39  Mateusz Loskot <mateusz@loskot.net>

	* [r2618] source/operation/overlay/PolygonBuilder.cpp: Removed
	  incomplete GEOS_DEBUG message causing compilation error because
	  Edge type is incomplete.

2009-08-02 23:15  Mateusz Loskot <mateusz@loskot.net>

	* [r2617] source/geom/GeometryFactory.cpp: Fixed broken escape
	  sequence in debug msg.

2009-07-17 22:23  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2616] source/headers/geos/io/WKBReader.h,
	  source/io/WKBReader.cpp: Remove static string in WKB reader
	  (#232)

2009-07-15 18:56  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2613] swig/geos.i.in, swig/ruby/ruby.i: Add PreparedGeometry
	  and STRtree support to SWIG (#279) Schuyler Erle

2009-07-15 18:55  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2612] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp:
	  Add STRtree support to the C API (#278) Schuyler Erle

2009-07-15 18:53  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2611] source/headers/geos/index/strtree/AbstractSTRtree.h,
	  source/index/strtree/AbstractSTRtree.cpp: Add
	  geos::index::strtree::AbstractSTRtree::iterate (#277) Schuyler
	  Erle

2009-07-06 17:35  Sandro Santilli <strk@keybit.net>

	* [r2610] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/bug275.xml: Add automated XML test for
	  issue #275. Succeeds here.

2009-07-05 15:58  Sandro Santilli <strk@keybit.net>

	* [r2609] build/msvc90/geos_c_dll/geos_c_dll.vcproj,
	  build/msvc90/geos_lib/geos_lib.vcproj,
	  build/msvc90/geos_unit/geos_unit.vcproj: Apply
	  fix-msvc90-only2.patch by Sanak from issue #273

2009-07-04 16:19  Sandro Santilli <strk@keybit.net>

	* [r2608] source/headers/geos/export.h,
	  source/headers/geos/platform.h.in: Apply fix-mingw.patch by Sanak
	  (issue #273)

2009-06-29 16:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2607] Makefile.am: Include nmake.opt in 'dist' target (#274)

2009-06-26 21:59  Sandro Santilli <strk@keybit.net>

	* [r2605] source/headers/geos/operation/buffer/BufferOp.h: Fix typo
	  reported in ticket #272

2009-06-24 21:43  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2604] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  tests/unit/capi/geostest.c, tests/unit/capi/test.expected: Expose
	  Hausdorf distance to CAPI (#264) from Vincent Picavet

2009-06-24 21:30  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2603] source/headers/geos/platform.h.in: Fix stoopid syntax
	  error.

2009-06-24 21:21  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2602] configure.in: Remove old logging noise.

2009-06-24 21:19  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2601] configure.in, source/headers/geos/platform.h.in: Fix for
	  #270, bad definition of isnan() in OS/X <cmath>. This needs to be
	  tested on other operating systems to make sure it doesn't break
	  them instead.

2009-06-23 22:20  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2599] source/Makefile.vc, source/dirlist.mk: Fix clean target
	  for VC build (#267)

2009-06-23 18:22  Howard Butler <hobu.inc@gmail.com>

	* [r2598] source/Makefile.vc: fix up syntax of the makefile related
	  to the patch for #257

2009-06-22 19:14  Sandro Santilli <strk@keybit.net>

	* [r2597] tests/unit/capi/GEOSBufferTest.cpp: Add tests for limited
	  mitre join (now working)

2009-06-22 19:02  Sandro Santilli <strk@keybit.net>

	* [r2596] source/headers/geos/operation/buffer/BufferParameters.h:
	  Fix bug in BufferParameters::setMitreLimit

2009-06-20 21:29  Sandro Santilli <strk@keybit.net>

	* [r2595] configure.in: Bump versions (core 3.2.0, capi 1.6.0, port
	  1.10.0)

2009-06-20 08:53  Sandro Santilli <strk@keybit.net>

	* [r2594] tests/unit/Makefile.am,
	  tests/unit/capi/GEOSBufferTest.cpp: Add tests for
	  GEOSBufferWithStyle

2009-06-19 22:32  Sandro Santilli <strk@keybit.net>

	* [r2593] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp:
	  Extend the C-API interface to expose a GEOSBufferWithStyle (and
	  corresponding thread-safe version) and related enums.

2009-06-16 15:49  Sandro Santilli <strk@keybit.net>

	* [r2592] source/algorithm/RobustDeterminant.cpp,
	  source/headers/geos/algorithm/RobustDeterminant.h: Sync
	  RobustDeterminant to JTS-1.10 (r1.15 was just commented-out code)

2009-06-16 15:46  Sandro Santilli <strk@keybit.net>

	* [r2591] source/algorithm/RobustDeterminant.cpp,
	  source/headers/geos/algorithm/RobustDeterminant.h: Sync
	  RobustDeterminant to revision 1.14

2009-06-16 15:43  Sandro Santilli <strk@keybit.net>

	* [r2590] source/algorithm/RobustDeterminant.cpp,
	  source/headers/geos/algorithm/RobustDeterminant.h: Port info for
	  RobustDeterminant

2009-06-16 15:33  Sandro Santilli <strk@keybit.net>

	* [r2589] source/headers/geos/operation/buffer/BufferBuilder.h,
	  source/headers/geos/operation/buffer/OffsetCurveBuilder.h,
	  source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/OffsetCurveBuilder.cpp,
	  source/operation/buffer/OffsetCurveVertexList.h,
	  tests/xmltester/XMLTester.cpp: Revert single-sided patch. Martin
	  Davis is workin on it from the JTS side

2009-06-16 00:00  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2581] HOWTO_RELEASE: add reminders on bump versions in various
	  places

2009-06-15 14:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2580] source/headers/geos/Makefile.am: operation.h in
	  Makefile.am twice. (#261)

2009-06-15 14:03  Sandro Santilli <strk@keybit.net>

	* [r2579] source/headers/geos/io/ByteOrderDataInStream.h,
	  source/headers/geos/io/ByteOrderDataInStream.inl,
	  source/headers/geos/io/ByteOrderValues.h,
	  source/headers/geos/io/CLocalizer.h,
	  source/headers/geos/io/ParseException.h,
	  source/headers/geos/io/StringTokenizer.h,
	  source/headers/geos/io/WKBConstants.h,
	  source/headers/geos/io/WKBReader.h,
	  source/headers/geos/io/WKBWriter.h,
	  source/headers/geos/io/WKTReader.h,
	  source/headers/geos/io/WKTReader.inl,
	  source/headers/geos/io/WKTWriter.h,
	  source/headers/geos/io/Writer.h,
	  source/io/ByteOrderDataInStream.cpp,
	  source/io/ByteOrderValues.cpp, source/io/CLocalizer.cpp,
	  source/io/ParseException.cpp, source/io/StringTokenizer.cpp,
	  source/io/WKBReader.cpp, source/io/WKBWriter.cpp,
	  source/io/WKTReader.cpp, source/io/WKTWriter.cpp,
	  source/io/Writer.cpp: Port info in the geos::io namespace

2009-06-15 13:19  Sandro Santilli <strk@keybit.net>

	* [r2578] source/io/WKTWriter.cpp: Put CLocalizer in the correct
	  function. Fixes #260 for the writing part.

2009-06-15 10:13  Sandro Santilli <strk@keybit.net>

	* [r2577] capi/geos_ts_c.cpp: Stop explicitly using the CLocalizer
	  now that it is done within WKTReader and WKTWriter (see bug
	  #260). Some deep testing about this would be good. Make check
	  worked for me with comma-using locale.

2009-06-15 10:06  Sandro Santilli <strk@keybit.net>

	* [r2576] source/io/WKTReader.cpp, source/io/WKTWriter.cpp: Use C
	  locale while reading/writing WKT. Fixes bug #260.

2009-06-15 06:57  Sandro Santilli <strk@keybit.net>

	* [r2575] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/bug176.xml: Add XML version of the testcase
	  provided for bug #176

2009-06-08 22:10  Sandro Santilli <strk@keybit.net>

	* [r2572]
	  source/headers/geos/operation/valid/ConnectedInteriorTester.h,
	  source/headers/geos/operation/valid/IsValidOp.h,
	  source/headers/geos/operation/valid/QuadtreeNestedRingTester.h,
	  source/headers/geos/operation/valid/RepeatedPointTester.h,
	  source/headers/geos/operation/valid/SimpleNestedRingTester.h,
	  source/headers/geos/operation/valid/SweeplineNestedRingTester.h,
	  source/headers/geos/operation/valid/TopologyValidationError.h,
	  source/operation/valid/ConnectedInteriorTester.cpp,
	  source/operation/valid/IndexedNestedRingTester.cpp,
	  source/operation/valid/IndexedNestedRingTester.h,
	  source/operation/valid/IsValidOp.cpp,
	  source/operation/valid/QuadtreeNestedRingTester.cpp,
	  source/operation/valid/RepeatedPointTester.cpp,
	  source/operation/valid/SimpleNestedRingTester.cpp,
	  source/operation/valid/SweeplineNestedRingTester.cpp,
	  source/operation/valid/TopologyValidationError.cpp: JTS-1.10 port
	  sync. The whole 'operation' namespace is complete on this.

2009-06-08 21:53  Sandro Santilli <strk@keybit.net>

	* [r2571]
	  source/headers/geos/operation/union/CascadedPolygonUnion.h,
	  source/operation/union/CascadedPolygonUnion.cpp: Port info for
	  operation::union

2009-06-08 17:15  Sandro Santilli <strk@keybit.net>

	* [r2570]
	  source/headers/geos/operation/predicate/RectangleIntersects.h,
	  source/headers/geos/operation/predicate/SegmentIntersectionTester.h,
	  source/operation/predicate/RectangleIntersects.cpp,
	  source/operation/predicate/SegmentIntersectionTester.cpp: Sync to
	  JTS-1.10 (port info in SegmentIntersectionTester was wrong, btw)

2009-06-08 17:12  Sandro Santilli <strk@keybit.net>

	* [r2569]
	  source/headers/geos/operation/predicate/RectangleContains.h,
	  source/operation/predicate/RectangleContains.cpp: Sync
	  RectangleContains to JTS-1.10

2009-06-08 17:02  Sandro Santilli <strk@keybit.net>

	* [r2568]
	  source/headers/geos/operation/predicate/RectangleContains.h,
	  source/headers/geos/operation/predicate/RectangleIntersects.h,
	  source/headers/geos/operation/predicate/SegmentIntersectionTester.h,
	  source/operation/predicate/SegmentIntersectionTester.cpp: Port
	  info for operation::predicate (we're at JTS-1.7 here)

2009-06-08 16:58  Sandro Santilli <strk@keybit.net>

	* [r2567] source/headers/geos/operation/polygonize/EdgeRing.h,
	  source/headers/geos/operation/polygonize/PolygonizeDirectedEdge.h,
	  source/headers/geos/operation/polygonize/PolygonizeEdge.h,
	  source/headers/geos/operation/polygonize/PolygonizeGraph.h,
	  source/headers/geos/operation/polygonize/Polygonizer.h,
	  source/operation/polygonize/EdgeRing.cpp,
	  source/operation/polygonize/PolygonizeDirectedEdge.cpp,
	  source/operation/polygonize/PolygonizeEdge.cpp,
	  source/operation/polygonize/PolygonizeGraph.cpp,
	  source/operation/polygonize/Polygonizer.cpp: Port info for
	  polygonize operation

2009-06-08 16:46  Sandro Santilli <strk@keybit.net>

	* [r2566]
	  source/headers/geos/operation/overlay/validate/FuzzyPointLocator.h,
	  source/headers/geos/operation/overlay/validate/OffsetPointGenerator.h,
	  source/headers/geos/operation/overlay/validate/OverlayResultValidator.h,
	  source/operation/overlay/validate/FuzzyPointLocator.cpp,
	  source/operation/overlay/validate/OffsetPointGenerator.cpp,
	  source/operation/overlay/validate/OverlayResultValidator.cpp:
	  Port info and sync for operation::overlay::validate

2009-06-08 16:26  Sandro Santilli <strk@keybit.net>

	* [r2565] source/headers/geos/operation/overlay/LineBuilder.h,
	  source/operation/overlay/LineBuilder.cpp: sync LineBuilder to
	  JTS-1.10, completing overlay port

2009-06-08 16:09  Sandro Santilli <strk@keybit.net>

	* [r2564] source/headers/geos/operation/overlay/EdgeSetNoder.h,
	  source/headers/geos/operation/overlay/ElevationMatrix.h,
	  source/headers/geos/operation/overlay/ElevationMatrixCell.h,
	  source/headers/geos/operation/overlay/LineBuilder.h,
	  source/headers/geos/operation/overlay/MinimalEdgeRing.h,
	  source/headers/geos/operation/overlay/MinimalEdgeRing.inl,
	  source/headers/geos/operation/overlay/OverlayNodeFactory.h,
	  source/headers/geos/operation/overlay/PointBuilder.h,
	  source/operation/overlay/EdgeSetNoder.cpp,
	  source/operation/overlay/ElevationMatrix.cpp,
	  source/operation/overlay/ElevationMatrixCell.cpp,
	  source/operation/overlay/LineBuilder.cpp,
	  source/operation/overlay/MinimalEdgeRing.cpp,
	  source/operation/overlay/OverlayNodeFactory.cpp,
	  source/operation/overlay/PointBuilder.cpp: Complete port info in
	  overlay package

2009-06-08 15:43  Sandro Santilli <strk@keybit.net>

	* [r2563] source/headers/geos/operation/linemerge/LineMerger.h,
	  source/headers/geos/planargraph/GraphComponent.h,
	  source/operation/linemerge/LineMerger.cpp: Add missing setMarked
	  static methods in GraphComponent and make use of them in
	  LineMerger making it able to be called incrementally (JTS-1.10)

2009-06-08 15:28  Sandro Santilli <strk@keybit.net>

	* [r2562] source/headers/geos/operation/linemerge/EdgeString.h,
	  source/headers/geos/operation/linemerge/LineMergeDirectedEdge.h,
	  source/headers/geos/operation/linemerge/LineMergeEdge.h,
	  source/headers/geos/operation/linemerge/LineMergeGraph.h,
	  source/headers/geos/operation/linemerge/LineMerger.h,
	  source/headers/geos/operation/linemerge/LineSequencer.h,
	  source/operation/linemerge/EdgeString.cpp,
	  source/operation/linemerge/LineMergeDirectedEdge.cpp,
	  source/operation/linemerge/LineMergeEdge.cpp,
	  source/operation/linemerge/LineMergeGraph.cpp,
	  source/operation/linemerge/LineMerger.cpp,
	  source/operation/linemerge/LineSequencer.cpp: Port info in
	  operation::linemerge (a single class is still at JTS-1.7, needs
	  changes in GeometryGraphComponent.h to go up)

2009-06-08 10:37  Sandro Santilli <strk@keybit.net>

	* [r2561]
	  source/headers/geos/operation/distance/GeometryLocation.h,
	  source/operation/distance/GeometryLocation.cpp: GeometryLocation
	  sync to JTS-1.10 (docs)

2009-06-08 10:29  Sandro Santilli <strk@keybit.net>

	* [r2560] source/headers/geos/operation/distance/DistanceOp.h,
	  source/operation/distance/DistanceOp.cpp: DistanceOp sync to
	  JTS-1.10 (renames, docs...)

2009-06-08 10:07  Sandro Santilli <strk@keybit.net>

	* [r2559] source/headers/geos/operation/buffer/BufferBuilder.h,
	  source/headers/geos/operation/buffer/BufferOp.h,
	  source/headers/geos/operation/buffer/BufferParameters.h,
	  source/headers/geos/operation/buffer/BufferSubgraph.h,
	  source/headers/geos/operation/buffer/OffsetCurveBuilder.h,
	  source/headers/geos/operation/buffer/OffsetCurveSetBuilder.h,
	  source/headers/geos/operation/buffer/RightmostEdgeFinder.h,
	  source/headers/geos/operation/buffer/SubgraphDepthLocater.h,
	  source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/BufferInputLineSimplifier.cpp,
	  source/operation/buffer/BufferInputLineSimplifier.h,
	  source/operation/buffer/BufferOp.cpp,
	  source/operation/buffer/BufferParameters.cpp,
	  source/operation/buffer/BufferSubgraph.cpp,
	  source/operation/buffer/OffsetCurveBuilder.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp,
	  source/operation/buffer/OffsetCurveVertexList.h,
	  source/operation/buffer/RightmostEdgeFinder.cpp,
	  source/operation/buffer/SubgraphDepthLocater.cpp: Update port
	  info for buffer package (it's really JTS-1.10)

2009-06-08 09:40  Sandro Santilli <strk@keybit.net>

	* [r2558] configure.in: Warn at configure time if 64bit integer
	  type isn't found. See bug #202.

2009-06-08 09:30  Sandro Santilli <strk@keybit.net>

	* [r2557] source/headers/geos/Makefile.am,
	  source/headers/geos/algorithm/Makefile.am,
	  source/headers/geos/algorithm/distance/Makefile.am,
	  source/headers/geos/algorithm/locate/Makefile.am,
	  source/headers/geos/geom/Makefile.am,
	  source/headers/geos/geom/prep/Makefile.am,
	  source/headers/geos/geom/util/Makefile.am,
	  source/headers/geos/geomgraph/Depth.h,
	  source/headers/geos/geomgraph/DirectedEdge.h,
	  source/headers/geos/geomgraph/DirectedEdgeStar.h,
	  source/headers/geos/geomgraph/Edge.h,
	  source/headers/geos/geomgraph/EdgeEnd.h,
	  source/headers/geos/geomgraph/EdgeEndStar.h,
	  source/headers/geos/geomgraph/EdgeIntersection.h,
	  source/headers/geos/geomgraph/EdgeIntersectionList.h,
	  source/headers/geos/geomgraph/EdgeList.h,
	  source/headers/geos/geomgraph/EdgeNodingValidator.h,
	  source/headers/geos/geomgraph/EdgeRing.h,
	  source/headers/geos/geomgraph/GeometryGraph.h,
	  source/headers/geos/geomgraph/GeometryGraph.inl,
	  source/headers/geos/geomgraph/GraphComponent.h,
	  source/headers/geos/geomgraph/Label.h,
	  source/headers/geos/geomgraph/Makefile.am,
	  source/headers/geos/geomgraph/Node.h,
	  source/headers/geos/geomgraph/NodeFactory.h,
	  source/headers/geos/geomgraph/NodeMap.h,
	  source/headers/geos/geomgraph/PlanarGraph.h,
	  source/headers/geos/geomgraph/Position.h,
	  source/headers/geos/geomgraph/Quadrant.h,
	  source/headers/geos/geomgraph/TopologyLocation.h,
	  source/headers/geos/geomgraph/index/Makefile.am,
	  source/headers/geos/index/Makefile.am,
	  source/headers/geos/index/bintree/Makefile.am,
	  source/headers/geos/index/chain/Makefile.am,
	  source/headers/geos/index/intervalrtree/Makefile.am,
	  source/headers/geos/index/quadtree/Makefile.am,
	  source/headers/geos/index/strtree/Makefile.am,
	  source/headers/geos/index/sweepline/Makefile.am,
	  source/headers/geos/io/Makefile.am,
	  source/headers/geos/noding/Makefile.am,
	  source/headers/geos/noding/snapround/Makefile.am,
	  source/headers/geos/operation/Makefile.am,
	  source/headers/geos/operation/buffer/Makefile.am,
	  source/headers/geos/operation/distance/ConnectedElementLocationFilter.h,
	  source/headers/geos/operation/distance/ConnectedElementPointFilter.h,
	  source/headers/geos/operation/distance/DistanceOp.h,
	  source/headers/geos/operation/distance/GeometryLocation.h,
	  source/headers/geos/operation/distance/Makefile.am,
	  source/headers/geos/operation/linemerge/Makefile.am,
	  source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/overlay/MaximalEdgeRing.h,
	  source/headers/geos/operation/overlay/OverlayOp.h,
	  source/headers/geos/operation/overlay/snap/Makefile.am,
	  source/headers/geos/operation/polygonize/Makefile.am,
	  source/headers/geos/operation/predicate/Makefile.am,
	  source/headers/geos/operation/relate/EdgeEndBuilder.h,
	  source/headers/geos/operation/relate/EdgeEndBundle.h,
	  source/headers/geos/operation/relate/EdgeEndBundleStar.h,
	  source/headers/geos/operation/relate/Makefile.am,
	  source/headers/geos/operation/relate/RelateComputer.h,
	  source/headers/geos/operation/relate/RelateNode.h,
	  source/headers/geos/operation/relate/RelateNodeFactory.h,
	  source/headers/geos/operation/relate/RelateNodeGraph.h,
	  source/headers/geos/operation/relate/RelateOp.h,
	  source/headers/geos/operation/valid/ConsistentAreaTester.h,
	  source/headers/geos/operation/valid/Makefile.am,
	  source/headers/geos/planargraph/Makefile.am,
	  source/headers/geos/planargraph/algorithm/Makefile.am,
	  source/headers/geos/precision/Makefile.am,
	  source/headers/geos/simplify/Makefile.am,
	  source/headers/geos/util/Makefile.am, tests/unit/Makefile.am:
	  Install all C++ headers to reduce maintainance costs. C++ API is
	  documented as being unstable after all so let's give users the
	  power to hurt themselves :)

2009-06-06 22:22  Sandro Santilli <strk@keybit.net>

	* [r2556] build/msvc90/geos_c_dll/geos_c_dll.vcproj,
	  build/msvc90/geos_lib/geos_lib.vcproj,
	  build/msvc90/geos_unit/geos_unit.vcproj, capi/geos_c.cpp,
	  capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  source/headers/geos/Makefile.am,
	  source/headers/geos/algorithm/CGAlgorithms.h,
	  source/headers/geos/algorithm/CentroidArea.h,
	  source/headers/geos/algorithm/CentroidLine.h,
	  source/headers/geos/algorithm/CentroidPoint.h,
	  source/headers/geos/algorithm/ConvexHull.h,
	  source/headers/geos/algorithm/HCoordinate.h,
	  source/headers/geos/algorithm/InteriorPointArea.h,
	  source/headers/geos/algorithm/InteriorPointLine.h,
	  source/headers/geos/algorithm/InteriorPointPoint.h,
	  source/headers/geos/algorithm/LineIntersector.h,
	  source/headers/geos/algorithm/MCPointInRing.h,
	  source/headers/geos/algorithm/MinimumDiameter.h,
	  source/headers/geos/algorithm/NotRepresentableException.h,
	  source/headers/geos/algorithm/PointInRing.h,
	  source/headers/geos/algorithm/PointLocator.h,
	  source/headers/geos/algorithm/RayCrossingCounter.h,
	  source/headers/geos/algorithm/RobustDeterminant.h,
	  source/headers/geos/algorithm/SIRtreePointInRing.h,
	  source/headers/geos/algorithm/SimplePointInRing.h,
	  source/headers/geos/export.h,
	  source/headers/geos/geom/Coordinate.h,
	  source/headers/geos/geom/CoordinateArraySequence.h,
	  source/headers/geos/geom/CoordinateArraySequenceFactory.h,
	  source/headers/geos/geom/CoordinateFilter.h,
	  source/headers/geos/geom/CoordinateList.h,
	  source/headers/geos/geom/CoordinateSequence.h,
	  source/headers/geos/geom/CoordinateSequenceFactory.h,
	  source/headers/geos/geom/Dimension.h,
	  source/headers/geos/geom/Envelope.h,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/GeometryCollection.h,
	  source/headers/geos/geom/GeometryComponentFilter.h,
	  source/headers/geos/geom/GeometryFactory.h,
	  source/headers/geos/geom/GeometryFilter.h,
	  source/headers/geos/geom/GeometryList.h,
	  source/headers/geos/geom/IntersectionMatrix.h,
	  source/headers/geos/geom/LineSegment.h,
	  source/headers/geos/geom/LineString.h,
	  source/headers/geos/geom/LinearRing.h,
	  source/headers/geos/geom/Location.h,
	  source/headers/geos/geom/MultiLineString.h,
	  source/headers/geos/geom/MultiPoint.h,
	  source/headers/geos/geom/MultiPolygon.h,
	  source/headers/geos/geom/Point.h,
	  source/headers/geos/geom/Polygon.h,
	  source/headers/geos/geom/PrecisionModel.h,
	  source/headers/geos/geom/Triangle.h,
	  source/headers/geos/geom/util/CoordinateOperation.h,
	  source/headers/geos/geom/util/GeometryEditor.h,
	  source/headers/geos/geom/util/GeometryEditorOperation.h,
	  source/headers/geos/geom/util/GeometryTransformer.h,
	  source/headers/geos/geom/util/LinearComponentExtracter.h,
	  source/headers/geos/geom/util/PointExtracter.h,
	  source/headers/geos/geom/util/PolygonExtracter.h,
	  source/headers/geos/geom/util/ShortCircuitedGeometryVisitor.h,
	  source/headers/geos/geomgraph/Depth.h,
	  source/headers/geos/geomgraph/DirectedEdge.h,
	  source/headers/geos/geomgraph/DirectedEdgeStar.h,
	  source/headers/geos/geomgraph/Edge.h,
	  source/headers/geos/geomgraph/EdgeEnd.h,
	  source/headers/geos/geomgraph/EdgeEndStar.h,
	  source/headers/geos/geomgraph/EdgeIntersection.h,
	  source/headers/geos/geomgraph/EdgeIntersectionList.h,
	  source/headers/geos/geomgraph/EdgeList.h,
	  source/headers/geos/geomgraph/EdgeNodingValidator.h,
	  source/headers/geos/geomgraph/EdgeRing.h,
	  source/headers/geos/geomgraph/GeometryGraph.h,
	  source/headers/geos/geomgraph/GraphComponent.h,
	  source/headers/geos/geomgraph/Label.h,
	  source/headers/geos/geomgraph/Node.h,
	  source/headers/geos/geomgraph/NodeFactory.h,
	  source/headers/geos/geomgraph/NodeMap.h,
	  source/headers/geos/geomgraph/PlanarGraph.h,
	  source/headers/geos/geomgraph/Position.h,
	  source/headers/geos/geomgraph/Quadrant.h,
	  source/headers/geos/geomgraph/TopologyLocation.h,
	  source/headers/geos/geomgraph/index/EdgeSetIntersector.h,
	  source/headers/geos/geomgraph/index/MonotoneChain.h,
	  source/headers/geos/geomgraph/index/MonotoneChainEdge.h,
	  source/headers/geos/geomgraph/index/MonotoneChainIndexer.h,
	  source/headers/geos/geomgraph/index/SegmentIntersector.h,
	  source/headers/geos/geomgraph/index/SimpleEdgeSetIntersector.h,
	  source/headers/geos/geomgraph/index/SimpleMCSweepLineIntersector.h,
	  source/headers/geos/geomgraph/index/SimpleSweepLineIntersector.h,
	  source/headers/geos/geomgraph/index/SweepLineEvent.h,
	  source/headers/geos/geomgraph/index/SweepLineEventObj.h,
	  source/headers/geos/geomgraph/index/SweepLineSegment.h,
	  source/headers/geos/index/ItemVisitor.h,
	  source/headers/geos/index/SpatialIndex.h,
	  source/headers/geos/index/bintree/Bintree.h,
	  source/headers/geos/index/bintree/Interval.h,
	  source/headers/geos/index/bintree/Key.h,
	  source/headers/geos/index/bintree/Node.h,
	  source/headers/geos/index/bintree/NodeBase.h,
	  source/headers/geos/index/bintree/Root.h,
	  source/headers/geos/index/chain/MonotoneChain.h,
	  source/headers/geos/index/chain/MonotoneChainBuilder.h,
	  source/headers/geos/index/chain/MonotoneChainOverlapAction.h,
	  source/headers/geos/index/chain/MonotoneChainSelectAction.h,
	  source/headers/geos/index/quadtree/DoubleBits.h,
	  source/headers/geos/index/quadtree/IntervalSize.h,
	  source/headers/geos/index/quadtree/Key.h,
	  source/headers/geos/index/quadtree/Node.h,
	  source/headers/geos/index/quadtree/NodeBase.h,
	  source/headers/geos/index/quadtree/Quadtree.h,
	  source/headers/geos/index/quadtree/Root.h,
	  source/headers/geos/index/strtree/AbstractNode.h,
	  source/headers/geos/index/strtree/AbstractSTRtree.h,
	  source/headers/geos/index/strtree/Boundable.h,
	  source/headers/geos/index/strtree/Interval.h,
	  source/headers/geos/index/strtree/ItemBoundable.h,
	  source/headers/geos/index/strtree/SIRtree.h,
	  source/headers/geos/index/strtree/STRtree.h,
	  source/headers/geos/index/sweepline/SweepLineEvent.h,
	  source/headers/geos/index/sweepline/SweepLineIndex.h,
	  source/headers/geos/index/sweepline/SweepLineInterval.h,
	  source/headers/geos/index/sweepline/SweepLineOverlapAction.h,
	  source/headers/geos/inline.h,
	  source/headers/geos/io/ByteOrderDataInStream.h,
	  source/headers/geos/io/ByteOrderValues.h,
	  source/headers/geos/io/CLocalizer.h,
	  source/headers/geos/io/ParseException.h,
	  source/headers/geos/io/StringTokenizer.h,
	  source/headers/geos/io/WKBReader.h,
	  source/headers/geos/io/WKBWriter.h,
	  source/headers/geos/io/WKTReader.h,
	  source/headers/geos/io/WKTWriter.h,
	  source/headers/geos/io/Writer.h,
	  source/headers/geos/noding/IntersectionAdder.h,
	  source/headers/geos/noding/IntersectionFinderAdder.h,
	  source/headers/geos/noding/IteratedNoder.h,
	  source/headers/geos/noding/MCIndexNoder.h,
	  source/headers/geos/noding/Noder.h,
	  source/headers/geos/noding/NodingValidator.h,
	  source/headers/geos/noding/Octant.h,
	  source/headers/geos/noding/OrientedCoordinateArray.h,
	  source/headers/geos/noding/ScaledNoder.h,
	  source/headers/geos/noding/SegmentIntersector.h,
	  source/headers/geos/noding/SegmentNode.h,
	  source/headers/geos/noding/SegmentNodeList.h,
	  source/headers/geos/noding/SegmentString.h,
	  source/headers/geos/noding/SimpleNoder.h,
	  source/headers/geos/noding/SinglePassNoder.h,
	  source/headers/geos/noding/snapround/HotPixel.h,
	  source/headers/geos/noding/snapround/MCIndexPointSnapper.h,
	  source/headers/geos/noding/snapround/MCIndexSnapRounder.h,
	  source/headers/geos/noding/snapround/SimpleSnapRounder.h,
	  source/headers/geos/operation/GeometryGraphOperation.h,
	  source/headers/geos/operation/IsSimpleOp.h,
	  source/headers/geos/operation/buffer/BufferBuilder.h,
	  source/headers/geos/operation/buffer/BufferOp.h,
	  source/headers/geos/operation/buffer/BufferSubgraph.h,
	  source/headers/geos/operation/buffer/OffsetCurveBuilder.h,
	  source/headers/geos/operation/buffer/OffsetCurveSetBuilder.h,
	  source/headers/geos/operation/buffer/RightmostEdgeFinder.h,
	  source/headers/geos/operation/buffer/SubgraphDepthLocater.h,
	  source/headers/geos/operation/distance/ConnectedElementLocationFilter.h,
	  source/headers/geos/operation/distance/ConnectedElementPointFilter.h,
	  source/headers/geos/operation/distance/DistanceOp.h,
	  source/headers/geos/operation/distance/GeometryLocation.h,
	  source/headers/geos/operation/linemerge/EdgeString.h,
	  source/headers/geos/operation/linemerge/LineMergeDirectedEdge.h,
	  source/headers/geos/operation/linemerge/LineMergeEdge.h,
	  source/headers/geos/operation/linemerge/LineMergeGraph.h,
	  source/headers/geos/operation/linemerge/LineMerger.h,
	  source/headers/geos/operation/linemerge/LineSequencer.h,
	  source/headers/geos/operation/overlay/EdgeSetNoder.h,
	  source/headers/geos/operation/overlay/ElevationMatrix.h,
	  source/headers/geos/operation/overlay/ElevationMatrixCell.h,
	  source/headers/geos/operation/overlay/LineBuilder.h,
	  source/headers/geos/operation/overlay/MaximalEdgeRing.h,
	  source/headers/geos/operation/overlay/MinimalEdgeRing.h,
	  source/headers/geos/operation/overlay/OverlayNodeFactory.h,
	  source/headers/geos/operation/overlay/OverlayOp.h,
	  source/headers/geos/operation/overlay/PointBuilder.h,
	  source/headers/geos/operation/overlay/PolygonBuilder.h,
	  source/headers/geos/operation/overlay/snap/GeometrySnapper.h,
	  source/headers/geos/operation/overlay/snap/LineStringSnapper.h,
	  source/headers/geos/operation/overlay/snap/SnapOverlayOp.h,
	  source/headers/geos/operation/polygonize/EdgeRing.h,
	  source/headers/geos/operation/polygonize/PolygonizeDirectedEdge.h,
	  source/headers/geos/operation/polygonize/PolygonizeEdge.h,
	  source/headers/geos/operation/polygonize/PolygonizeGraph.h,
	  source/headers/geos/operation/polygonize/Polygonizer.h,
	  source/headers/geos/operation/predicate/RectangleContains.h,
	  source/headers/geos/operation/predicate/RectangleIntersects.h,
	  source/headers/geos/operation/predicate/SegmentIntersectionTester.h,
	  source/headers/geos/operation/relate/EdgeEndBuilder.h,
	  source/headers/geos/operation/relate/EdgeEndBundle.h,
	  source/headers/geos/operation/relate/EdgeEndBundleStar.h,
	  source/headers/geos/operation/relate/RelateComputer.h,
	  source/headers/geos/operation/relate/RelateNode.h,
	  source/headers/geos/operation/relate/RelateNodeFactory.h,
	  source/headers/geos/operation/relate/RelateNodeGraph.h,
	  source/headers/geos/operation/relate/RelateOp.h,
	  source/headers/geos/operation/valid/ConnectedInteriorTester.h,
	  source/headers/geos/operation/valid/ConsistentAreaTester.h,
	  source/headers/geos/operation/valid/IsValidOp.h,
	  source/headers/geos/operation/valid/QuadtreeNestedRingTester.h,
	  source/headers/geos/operation/valid/RepeatedPointTester.h,
	  source/headers/geos/operation/valid/SimpleNestedRingTester.h,
	  source/headers/geos/operation/valid/SweeplineNestedRingTester.h,
	  source/headers/geos/operation/valid/TopologyValidationError.h,
	  source/headers/geos/planargraph/DirectedEdge.h,
	  source/headers/geos/planargraph/DirectedEdgeStar.h,
	  source/headers/geos/planargraph/Edge.h,
	  source/headers/geos/planargraph/GraphComponent.h,
	  source/headers/geos/planargraph/Node.h,
	  source/headers/geos/planargraph/NodeMap.h,
	  source/headers/geos/planargraph/PlanarGraph.h,
	  source/headers/geos/planargraph/Subgraph.h,
	  source/headers/geos/planargraph/algorithm/ConnectedSubgraphFinder.h,
	  source/headers/geos/precision/CommonBits.h,
	  source/headers/geos/precision/CommonBitsOp.h,
	  source/headers/geos/precision/CommonBitsRemover.h,
	  source/headers/geos/precision/EnhancedPrecisionOp.h,
	  source/headers/geos/precision/SimpleGeometryPrecisionReducer.h,
	  source/headers/geos/profiler.h,
	  source/headers/geos/simplify/DouglasPeuckerLineSimplifier.h,
	  source/headers/geos/simplify/DouglasPeuckerSimplifier.h,
	  source/headers/geos/simplify/LineSegmentIndex.h,
	  source/headers/geos/simplify/TaggedLineSegment.h,
	  source/headers/geos/simplify/TaggedLineString.h,
	  source/headers/geos/simplify/TaggedLineStringSimplifier.h,
	  source/headers/geos/simplify/TaggedLinesSimplifier.h,
	  source/headers/geos/simplify/TopologyPreservingSimplifier.h,
	  source/headers/geos/unload.h, source/headers/geos/util/Assert.h,
	  source/headers/geos/util/AssertionFailedException.h,
	  source/headers/geos/util/CoordinateArrayFilter.h,
	  source/headers/geos/util/GEOSException.h,
	  source/headers/geos/util/GeometricShapeFactory.h,
	  source/headers/geos/util/IllegalArgumentException.h,
	  source/headers/geos/util/TopologyException.h,
	  source/headers/geos/util/UniqueCoordinateArrayFilter.h,
	  source/headers/geos/util/UnsupportedOperationException.h,
	  source/index/intervalrtree/SortedPackedIntervalRTree.cpp: Windows
	  C++ exports by Ragi Y. Burhum. See
	  http://lists.osgeo.org/pipermail/geos-devel/2009-June/004190.html

2009-06-06 22:17  Sandro Santilli <strk@keybit.net>

	* [r2555] tests/xmltester/SimpleWKTTester.cpp: fix headers
	  inclusion warnings

2009-06-06 21:14  Sandro Santilli <strk@keybit.net>

	* [r2554] build/msvc90/geos_lib/geos_lib.vcproj,
	  capi/geos_ts_c.cpp, configure.in,
	  source/algorithm/InteriorPointLine.cpp,
	  source/algorithm/InteriorPointPoint.cpp,
	  source/algorithm/MinimumDiameter.cpp, source/geom/Geometry.cpp,
	  source/geom/GeometryFactory.cpp, source/geom/LineSegment.cpp,
	  source/headers/geos/geom/Coordinate.h,
	  source/headers/geos/geom/Coordinate.inl,
	  source/headers/geos/index/intervalrtree/IntervalRTreeNode.h,
	  source/headers/geos/noding/SingleInteriorIntersectionFinder.h,
	  source/headers/geos/platform.h.in,
	  source/headers/geos/platform.h.vc,
	  source/operation/buffer/RightmostEdgeFinder.cpp,
	  source/operation/distance/DistanceOp.cpp,
	  source/util/GeometricShapeFactory.cpp,
	  tests/unit/geom/CoordinateTest.cpp,
	  tests/unit/geom/TriangleTest.cpp,
	  tests/unit/operation/distance/DistanceOpTest.cpp: Use real NaNs
	  rather than fake them. Applies patch in ticket #259. Adds
	  autoconf checks for finite() and isfinite() and makes use of them
	  for unix systems (platform.h)

2009-06-06 00:55  Sandro Santilli <strk@keybit.net>

	* [r2553]
	  source/headers/geos/operation/distance/ConnectedElementLocationFilter.h,
	  source/headers/geos/operation/distance/ConnectedElementPointFilter.h,
	  source/headers/geos/operation/distance/DistanceOp.h,
	  source/headers/geos/operation/distance/GeometryLocation.h,
	  source/operation/distance/ConnectedElementLocationFilter.cpp,
	  source/operation/distance/ConnectedElementPointFilter.cpp,
	  source/operation/distance/GeometryLocation.cpp: Complete port
	  info and headers exposion for operation::distance package

2009-06-05 18:18  Sandro Santilli <strk@keybit.net>

	* [r2552] source/headers/geos/operation/overlay/OverlayOp.h,
	  source/operation/overlay/OverlayOp.cpp: JTS-1.10 OverlayOp

2009-06-05 18:12  Sandro Santilli <strk@keybit.net>

	* [r2551] source/headers/geos/geomgraph/EdgeNodingValidator.h: Add
	  missing static function

2009-06-05 18:02  Sandro Santilli <strk@keybit.net>

	* [r2550] source/headers/geos/operation/overlay/MaximalEdgeRing.h,
	  source/operation/overlay/MaximalEdgeRing.cpp: JTS-1.10 sync

2009-06-05 17:50  Sandro Santilli <strk@keybit.net>

	* [r2549] source/headers/geos/operation/GeometryGraphOperation.h,
	  source/headers/geos/operation/relate/RelateOp.h,
	  source/operation/GeometryGraphOperation.cpp,
	  source/operation/relate/RelateOp.cpp: Boundary Node Rule support
	  in relateOp. JTS-1.10.

2009-06-05 13:44  Sandro Santilli <strk@keybit.net>

	* [r2548] source/geomgraph/EdgeList.cpp, source/geomgraph/Node.cpp,
	  source/headers/geos/geomgraph/Node.h: geomgraph package fully
	  sync'ed to JTS-1.10 now

2009-06-05 13:41  Sandro Santilli <strk@keybit.net>

	* [r2547] source/geomgraph/EdgeEnd.cpp,
	  source/geomgraph/EdgeEndStar.cpp,
	  source/headers/geos/geomgraph/EdgeEnd.h,
	  source/headers/geos/geomgraph/EdgeEndStar.h,
	  source/headers/geos/operation/relate/EdgeEndBundle.h,
	  source/headers/geos/operation/valid/ConsistentAreaTester.h,
	  source/operation/relate/EdgeEndBundle.cpp,
	  source/operation/valid/ConsistentAreaTester.cpp: added
	  BoundaryNodeRule capability to EdgeEnds

2009-06-05 12:42  Sandro Santilli <strk@keybit.net>

	* [r2546] source/geomgraph/GeometryGraph.cpp,
	  source/headers/geos/geomgraph/GeometryGraph.h,
	  source/headers/geos/geomgraph/GeometryGraph.inl: Add support for
	  custom BoundaryNodeRule bringing GeometryGraph to JTS-1.10

2009-06-05 12:07  Sandro Santilli <strk@keybit.net>

	* [r2545] source/geomgraph/DirectedEdgeStar.cpp,
	  source/geomgraph/Edge.cpp,
	  source/geomgraph/EdgeIntersectionList.cpp,
	  source/geomgraph/EdgeNodingValidator.cpp,
	  source/geomgraph/EdgeRing.cpp, source/geomgraph/Label.cpp,
	  source/geomgraph/NodeFactory.cpp, source/geomgraph/Position.cpp,
	  source/geomgraph/TopologyLocation.cpp,
	  source/headers/geos/geomgraph/DirectedEdge.h,
	  source/headers/geos/geomgraph/DirectedEdgeStar.h,
	  source/headers/geos/geomgraph/Edge.h,
	  source/headers/geos/geomgraph/EdgeIntersection.h,
	  source/headers/geos/geomgraph/EdgeIntersectionList.h,
	  source/headers/geos/geomgraph/EdgeNodingValidator.h,
	  source/headers/geos/geomgraph/EdgeRing.h,
	  source/headers/geos/geomgraph/Label.h,
	  source/headers/geos/geomgraph/NodeFactory.h,
	  source/headers/geos/geomgraph/Position.h,
	  source/headers/geos/geomgraph/Quadrant.h,
	  source/headers/geos/geomgraph/TopologyLocation.h: Complete port
	  info in geomgraph package

2009-06-05 11:03  Sandro Santilli <strk@keybit.net>

	* [r2544] source/geomgraph/Depth.cpp,
	  source/geomgraph/GeometryGraph.cpp,
	  source/geomgraph/GraphComponent.cpp,
	  source/geomgraph/NodeMap.cpp, source/geomgraph/PlanarGraph.cpp,
	  source/headers/geos/geomgraph/Depth.h,
	  source/headers/geos/geomgraph/EdgeEnd.h,
	  source/headers/geos/geomgraph/EdgeEndStar.h,
	  source/headers/geos/geomgraph/EdgeList.h,
	  source/headers/geos/geomgraph/GeometryGraph.h,
	  source/headers/geos/geomgraph/GeometryGraph.inl,
	  source/headers/geos/geomgraph/GraphComponent.h,
	  source/headers/geos/geomgraph/Node.h,
	  source/headers/geos/geomgraph/NodeMap.h,
	  source/headers/geos/geomgraph/PlanarGraph.h: Port info in the
	  geomgraph package (unfinished); fix compiler warning in
	  GeometryGraph and make code more readable;

2009-06-05 10:23  Sandro Santilli <strk@keybit.net>

	* [r2543] source/headers/geos/operation/relate/EdgeEndBuilder.h,
	  source/headers/geos/operation/relate/EdgeEndBundle.h,
	  source/headers/geos/operation/relate/EdgeEndBundleStar.h,
	  source/headers/geos/operation/relate/RelateComputer.h,
	  source/headers/geos/operation/relate/RelateNode.h,
	  source/headers/geos/operation/relate/RelateNodeFactory.h,
	  source/headers/geos/operation/relate/RelateNodeGraph.h,
	  source/headers/geos/operation/relate/RelateOp.h,
	  source/operation/relate/EdgeEndBuilder.cpp,
	  source/operation/relate/EdgeEndBundle.cpp,
	  source/operation/relate/EdgeEndBundleStar.cpp,
	  source/operation/relate/RelateComputer.cpp,
	  source/operation/relate/RelateNode.cpp,
	  source/operation/relate/RelateNodeFactory.cpp,
	  source/operation/relate/RelateNodeGraph.cpp,
	  source/operation/relate/RelateOp.cpp: Add port info and introduce
	  header exposion info. Relate op results partially in JTS-1.7
	  still.

2009-06-05 09:36  Sandro Santilli <strk@keybit.net>

	* [r2542] source/headers/geos/geom.h: typo in doxygen index page

2009-06-05 09:35  Sandro Santilli <strk@keybit.net>

	* [r2541] source/headers/geos/geom.h: Fix doxygen link

2009-06-05 09:28  Sandro Santilli <strk@keybit.net>

	* [r2540] source/algorithm/locate/IndexedPointInAreaLocator.cpp,
	  source/headers/geos/algorithm/locate/IndexedPointInAreaLocator.h,
	  source/headers/geos/index/intervalrtree/IntervalRTreeLeafNode.h,
	  source/headers/geos/index/intervalrtree/SortedPackedIntervalRTree.h:
	  Fix deletion of void pointer in IntervalRTreeLeafNode, document
	  ownership, fix callers tracking allocations to avoid leaks. Fixes
	  bug #227.

2009-06-05 09:15  Sandro Santilli <strk@keybit.net>

	* [r2539] ChangeLog.svn, Makefile.am: Allow generating ChangeLog
	  from external build tree

2009-06-04 15:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2538] build/msvc90/geos_c_dll/geos_c_dll.vcproj,
	  build/msvc90/geos_lib/geos_lib.vcproj,
	  build/msvc90/geos_unit/geos_unit.vcproj, source/Makefile.vc,
	  source/geom/LinearRing.cpp,
	  source/headers/geos/algorithm/distance/DiscreteHausdorffDistance.h,
	  source/index/chain/MonotoneChainBuilder.cpp,
	  tests/unit/operation/valid/IsValidTest.cpp: * Applied patch for
	  ticket #257.
	  * Noticed that unit tests fail:
	  1>geos::util::UniqueCoordinateArrayFilter: .
	  1>---> group: geos::operation::valid::IsValidOp, test: test<1>
	  1> problem: assertion failed

2009-06-04 14:59  Mateusz Loskot <mateusz@loskot.net>

	* [r2537] source/operation/buffer/BufferBuilder.cpp: Fixed bug of
	  inaccessible constructor of incomplete type NodedSegmentString -
	  header missing.

2009-06-04 13:59  Sandro Santilli <strk@keybit.net>

	* [r2536] tests/xmltester/XMLTester.cpp: Add support for testing
	  single sided buffers

2009-06-01 03:34  Howard Butler <hobu.inc@gmail.com>

	* [r2534] capi/geos_c.cpp: #256 finishGEOS called multiple times
	  will segfault

2009-05-28 14:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2533] configure.in, tests/bigtest: Fixed aclocal warnings for
	  mixing cache-id's in configure.in.

2009-05-27 16:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2516] NEWS: remove error

2009-05-27 16:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2515] NEWS: Add single-sided item

2009-05-21 10:08  Sandro Santilli <strk@keybit.net>

	* [r2514] ChangeLog.svn, Makefile.am, authors.svn: Add Mat's and
	  Paul's entries, make ChangeLog.svn rule phony

2009-05-21 09:56  Sandro Santilli <strk@keybit.net>

	* [r2513] ChangeLog.svn, Makefile.am, authors.svn: Add a rule to
	  generate a ChangeLog using svn2cl. The authors.svn file will be
	  used to map usernames and full names: please expand your own
	  nick. The generated ChangeLog is added to repository to show you
	  how it looks. If everybody agree we could rename this to
	  ChangeLog and stop requiring manual edits (+1 from me:)

2009-05-13 11:29  Frank Warmerdam <warmerdam@pobox.com>

	* [r2508] capi/geos_c.h.in: refer to GEOSFree() instead of free()

2009-05-13 11:26  Frank Warmerdam <warmerdam@pobox.com>

	* [r2507] capi/geos_c.cpp, capi/geos_ts_c.cpp: forward GEOSFree to
	  GEOSFree_r, use std:: prefix on free() (#249)

2009-05-13 04:14  Frank Warmerdam <warmerdam@pobox.com>

	* [r2506] ChangeLog, capi/geos_c.cpp, capi/geos_c.h.in,
	  capi/geos_ts_c.cpp: Added GEOSFree() and GEOSFree_r() (#249)

2009-05-12 17:47  Sandro Santilli <strk@keybit.net>

	* [r2505] NEWS: Add note about single-sided buffer

2009-05-12 16:49  Sandro Santilli <strk@keybit.net>

	* [r2504] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/bug244.xml: Never fail bug #244 again
	  (regression testcase added)

2009-05-12 16:48  Sandro Santilli <strk@keybit.net>

	* [r2503] source/operation/buffer/SubgraphDepthLocater.cpp: Have
	  DepthSegment hold a real LineSegment, not a reference.
	  SubgraphDepthLocater was passing the same LineSegment reference
	  to multiple DepthSegments, messing everything up. This fixes bug
	  #244.

2009-05-12 15:38  Sandro Santilli <strk@keybit.net>

	* [r2502] source/geomgraph/DirectedEdge.cpp,
	  source/headers/geos/geomgraph/DirectedEdge.h,
	  source/headers/geos/geomgraph/DirectedEdge.inl: Port info

2009-05-08 16:30  Sandro Santilli <strk@keybit.net>

	* [r2501] source/headers/geos/operation/overlay/PolygonBuilder.h,
	  source/operation/overlay/PolygonBuilder.cpp: Update port info

2009-05-08 12:47  Sandro Santilli <strk@keybit.net>

	* [r2500] capi/geos_c.h.in: When included in a C++ environment,
	  include <cstddef> and use std::size_t. Patch by Mateusz Loskot,
	  ticket #252.

2009-05-08 12:46  Sandro Santilli <strk@keybit.net>

	* [r2499] source/operation/distance/DistanceOp.cpp: Oops, forgot to
	  update the static closedPoints signature..

2009-05-08 12:29  Sandro Santilli <strk@keybit.net>

	* [r2498] NEWS: Note the withinDistance addition to DistanceOp

2009-05-08 12:27  Sandro Santilli <strk@keybit.net>

	* [r2497] tests/unit/operation/distance/DistanceOpTest.cpp: Add the
	  complete set of tests for closedPoints

2009-05-08 12:11  Sandro Santilli <strk@keybit.net>

	* [r2496] source/headers/geos/operation/distance/DistanceOp.h:
	  Document semantic of a null return from closestPoints

2009-05-08 12:09  Sandro Santilli <strk@keybit.net>

	* [r2495] source/headers/geos/operation/distance/DistanceOp.h,
	  source/operation/distance/DistanceOp.cpp: Don't wipe out closest
	  locations after computing them (doh). Fixes bug #236. Takes the
	  chance to make the GeometryLocation retrival function private as
	  we don't install GeometryLocation.h header anyway (for future
	  cleanups), and to rename a function to follow current JTS naming
	  (more renames to come for proper sync)

2009-05-08 10:10  Sandro Santilli <strk@keybit.net>

	* [r2494] source/headers/geos/operation/distance/DistanceOp.h,
	  source/operation/distance/DistanceOp.cpp: Add isWithinDistance()
	  to DistanceOp, reaching rev 1.17 of JTS

2009-05-08 09:39  Sandro Santilli <strk@keybit.net>

	* [r2493] source/headers/geos/operation/distance/DistanceOp.h,
	  source/operation/distance/DistanceOp.cpp: Port info for
	  DistanceOp

2009-05-08 08:44  Sandro Santilli <strk@keybit.net>

	* [r2492] capi/geos_c.h.in: Always include stddef.h. Closes bug
	  #213

2009-05-07 16:15  Sandro Santilli <strk@keybit.net>

	* [r2491] capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp:
	  Add "thread-safe" version of GEOSGeom_setSRID. Closes bug #242.

2009-05-07 16:00  Sandro Santilli <strk@keybit.net>

	* [r2490] tests/bigtest/bug234.cpp: minor debug output improvement

2009-05-07 15:57  Sandro Santilli <strk@keybit.net>

	* [r2489] source/geomgraph/GeometryGraph.cpp,
	  tests/bigtest/Makefile.am, tests/bigtest/README,
	  tests/bigtest/bug234.cpp: Skip empty components when building
	  GeometryGraph. Fixes bug #234. Add non-automated test for it, and
	  README file in the directory containing it...

2009-05-07 15:36  Sandro Santilli <strk@keybit.net>

	* [r2488] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/bug188.xml: Add XML testcase for bug 188

2009-05-07 15:36  Sandro Santilli <strk@keybit.net>

	* [r2487] tests/xmltester/XMLTester.cpp: remove code duplication on
	  buffer result validation

2009-05-07 08:52  Sandro Santilli <strk@keybit.net>

	* [r2486] source/geom/CoordinateSequenceFactory.cpp,
	  source/headers/geos/geom/CoordinateSequenceFactory.h: Port info,
	  doxygen cleanups

2009-05-07 08:45  Sandro Santilli <strk@keybit.net>

	* [r2485] tests/unit/capi/GEOSCoordSeqTest.cpp: Add test for
	  creating a CoordinateSequence with at least 2 dimension

2009-05-06 20:47  Sandro Santilli <strk@keybit.net>

	* [r2484] capi/geos_c.h.in, capi/geos_ts_c.cpp: Fix bug #135, give
	  an hint about GEOSGeom_getDimensions being related to
	  GEOSCoordSeq_getDimensions, fix signed vs. unsigned compiler
	  warning.

2009-05-06 20:22  Sandro Santilli <strk@keybit.net>

	* [r2483] tests/xmltester/markup/MarkupSTL.cpp: Fix compilation
	  warnings thrown by GCC 4.3.x. Patch by Mateus, closes bug #92.

2009-05-06 20:12  Mateusz Loskot <mateusz@loskot.net>

	* [r2482] source/headers/geos/operation/overlay/snap: Updated
	  svn:ignore property.

2009-05-06 17:54  Sandro Santilli <strk@keybit.net>

	* [r2481] source/headers/geos/noding/SegmentNodeList.h,
	  source/noding/SegmentNodeList.cpp:
	  findCollapsesFromExistingVertices: don't choke on sets of < 2
	  points. Fixes bug #219.

2009-05-06 17:52  Sandro Santilli <strk@keybit.net>

	* [r2480] source/operation/buffer/BufferBuilder.cpp: minor
	  indentation thing

2009-05-06 17:42  Sandro Santilli <strk@keybit.net>

	* [r2479] source/headers/geos/geom/Makefile.am,
	  source/headers/geos/index/chain/MonotoneChain.h,
	  source/headers/geos/index/chain/MonotoneChainOverlapAction.h,
	  source/headers/geos/noding/MCIndexNoder.h,
	  source/headers/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	  source/index/chain/MonotoneChain.cpp,
	  source/index/chain/MonotoneChainOverlapAction.cpp,
	  source/noding/MCIndexNoder.cpp,
	  source/noding/MCIndexSegmentSetMutualIntersector.cpp: Cleanup
	  MonotoneChainOverlapAction, reduce heap allocations. Cascade
	  changes.

2009-05-06 17:14  Sandro Santilli <strk@keybit.net>

	* [r2478]
	  source/headers/geos/index/chain/MonotoneChainOverlapAction.h,
	  source/index/chain/MonotoneChainOverlapAction.cpp: Port info (to
	  be worked on for heap allocations reduction)

2009-05-06 17:10  Sandro Santilli <strk@keybit.net>

	* [r2477] source/algorithm/MCPointInRing.cpp,
	  source/headers/geos/algorithm/MCPointInRing.h,
	  source/headers/geos/index/chain/MonotoneChainSelectAction.h,
	  source/index/chain/MonotoneChain.cpp,
	  source/index/chain/MonotoneChainSelectAction.cpp,
	  source/noding/snapround/MCIndexPointSnapper.cpp:
	  MonotoneChainSelectAction port review, heap allocation reduced,
	  const-corrected.

2009-05-06 16:44  Sandro Santilli <strk@keybit.net>

	* [r2476] source/algorithm/MCPointInRing.cpp,
	  source/headers/geos/index/SpatialIndex.h,
	  source/headers/geos/index/bintree/Bintree.h,
	  source/headers/geos/index/bintree/Root.h,
	  source/headers/geos/index/chain/MonotoneChain.h,
	  source/index/bintree/Bintree.cpp,
	  source/index/chain/MonotoneChain.cpp,
	  source/index/chain/MonotoneChainBuilder.cpp,
	  source/index/chain/MonotoneChainOverlapAction.cpp,
	  source/index/chain/MonotoneChainSelectAction.cpp,
	  source/noding/MCIndexNoder.cpp,
	  source/noding/MCIndexSegmentSetMutualIntersector.cpp:
	  MonotoneChain const-correctness and interface cleanups, cascaded
	  changes. Possibly discovered a leak in MCPointInRing algorithm,
	  needs some unit testing.

2009-05-06 16:36  Sandro Santilli <strk@keybit.net>

	* [r2475] source/headers/geos/index/bintree/Interval.h,
	  source/index/bintree/Interval.cpp: Const-correctness for bintree
	  Interval

2009-05-06 15:47  Sandro Santilli <strk@keybit.net>

	* [r2474] source/headers/geos/index/chain/MonotoneChain.h,
	  source/index/chain/MonotoneChain.cpp: Port MonotoneChain up to
	  JTS-1.10, plus minor dox improvement (memory-oriented)

2009-05-06 15:31  Sandro Santilli <strk@keybit.net>

	* [r2473] source/headers/geos/index/chain/MonotoneChainBuilder.h,
	  source/index/chain/MonotoneChainBuilder.cpp: Port
	  MonotoneChainBuilder up to JTS-1.10. Tweak some signatures to use
	  stricter signedness.

2009-05-06 14:55  Sandro Santilli <strk@keybit.net>

	* [r2472] source/headers/geos/index/chain/MonotoneChainBuilder.h,
	  source/index/chain/MonotoneChainBuilder.cpp: Port to 1.9, fixing
	  an out of boundary access in findEdgeEnd

2009-05-06 14:42  Sandro Santilli <strk@keybit.net>

	* [r2471] source/headers/geos/index/chain/MonotoneChainBuilder.h,
	  source/index/chain/MonotoneChainBuilder.cpp: Add port info. We're
	  4 revision old (catching up next)

2009-05-05 14:28  Sandro Santilli <strk@keybit.net>

	* [r2470] source/geom/Envelope.cpp,
	  source/headers/geos/geom/Envelope.h,
	  source/headers/geos/geom/Envelope.inl: Sync Envelope to JTS-1.10

2009-05-05 10:30  Sandro Santilli <strk@keybit.net>

	* [r2469] tests/xmltester/XMLTester.cpp: Add compile-time support
	  to skip use of BinaryOp thus engaging SnapIfNeededOverlayOp used
	  by Geometry methods. Shows that BinaryOp (GEOS-specific original
	  work) gives better numerical stability.

2009-05-05 10:14  Sandro Santilli <strk@keybit.net>

	* [r2468] configure.in, source/headers/geos/geom/BinaryOp.h,
	  source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/overlay/snap/GeometrySnapper.h,
	  source/headers/geos/operation/overlay/snap/LineStringSnapper.h,
	  source/headers/geos/operation/overlay/snap/Makefile.am,
	  source/headers/geos/precision/GeometrySnapper.h,
	  source/headers/geos/precision/LineStringSnapper.h,
	  source/headers/geos/precision/Makefile.am,
	  source/operation/overlay/snap/GeometrySnapper.cpp,
	  source/operation/overlay/snap/LineStringSnapper.cpp,
	  source/operation/overlay/snap/SnapOverlayOp.cpp,
	  source/precision/GeometrySnapper.cpp,
	  source/precision/LineStringSnapper.cpp,
	  source/precision/Makefile.am, tests/unit/Makefile.am,
	  tests/unit/operation/overlay/snap,
	  tests/unit/operation/overlay/snap/GeometrySnapperTest.cpp,
	  tests/unit/operation/overlay/snap/LineStringSnapperTest.cpp,
	  tests/unit/precision/GeometrySnapperTest.cpp,
	  tests/unit/precision/LineStringSnapperTest.cpp: Found old
	  GeometrySnapper/LineStringSnapper classes in an unexpected
	  directory. Move them where they belong, sync with JTS-1.10.

2009-05-05 00:04  Sandro Santilli <strk@keybit.net>

	* [r2467] source/geom/util/GeometryTransformer.cpp: Fix memory leak
	  on exception

2009-05-04 23:43  Sandro Santilli <strk@keybit.net>

	* [r2466] source/operation/IsSimpleOp.cpp: Fix memory bug

2009-05-04 23:23  Sandro Santilli <strk@keybit.net>

	* [r2465] source/geom/Geometry.cpp,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/Geometry.inl: Geometry up to 1.112 with
	  a minor bugfix and performance improvement in Geometry::covers

2009-05-04 23:04  Sandro Santilli <strk@keybit.net>

	* [r2464] source/geom/Geometry.cpp,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/Geometry.inl: Bring Geometry port up a
	  revision by having it use SnapIfNeededOp for overlay operations.
	  Note that currently this doesn't affect the C-API nor the
	  XMLTester codes, both using the BinaryOp original class (not
	  JTS-ported) doing about the same thing as the SnapIfNeededOp
	  class.

2009-05-04 22:03  Sandro Santilli <strk@keybit.net>

	* [r2463] source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/overlay/snap/SnapIfNeededOverlayOp.h,
	  source/headers/geos/operation/overlay/snap/SnapOverlayOp.h,
	  source/operation/overlay/Makefile.am,
	  source/operation/overlay/snap/SnapIfNeededOverlayOp.cpp: Port
	  SnapIfNeededOverlayOp

2009-05-04 21:28  Sandro Santilli <strk@keybit.net>

	* [r2462]
	  source/headers/geos/operation/overlay/FuzzyPointLocator.h,
	  source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/overlay/OffsetPointGenerator.h,
	  source/headers/geos/operation/overlay/OverlayResultValidator.h,
	  source/headers/geos/operation/overlay/validate,
	  source/headers/geos/operation/overlay/validate/FuzzyPointLocator.h,
	  source/headers/geos/operation/overlay/validate/OffsetPointGenerator.h,
	  source/headers/geos/operation/overlay/validate/OverlayResultValidator.h,
	  source/operation/overlay/FuzzyPointLocator.cpp,
	  source/operation/overlay/Makefile.am,
	  source/operation/overlay/OffsetPointGenerator.cpp,
	  source/operation/overlay/OverlayOp.cpp,
	  source/operation/overlay/OverlayResultValidator.cpp,
	  source/operation/overlay/validate,
	  source/operation/overlay/validate/FuzzyPointLocator.cpp,
	  source/operation/overlay/validate/OffsetPointGenerator.cpp,
	  source/operation/overlay/validate/OverlayResultValidator.cpp,
	  tests/unit/Makefile.am,
	  tests/unit/operation/overlay/FuzzyPointLocatorTest.cpp,
	  tests/unit/operation/overlay/OffsetPointGeneratorTest.cpp,
	  tests/unit/operation/overlay/OverlayResultValidatorTest.cpp,
	  tests/unit/operation/overlay/validate,
	  tests/unit/operation/overlay/validate/FuzzyPointLocatorTest.cpp,
	  tests/unit/operation/overlay/validate/OffsetPointGeneratorTest.cpp,
	  tests/unit/operation/overlay/validate/OverlayResultValidatorTest.cpp:
	  Move overlay.validate package files where they belong

2009-05-04 21:02  Sandro Santilli <strk@keybit.net>

	* [r2461] source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/overlay/snap/GeometrySnapper.h,
	  source/headers/geos/operation/overlay/snap/SnapOverlayOp.h,
	  source/operation/overlay/Makefile.am,
	  source/operation/overlay/snap/GeometrySnapper.cpp,
	  source/operation/overlay/snap/SnapOverlayOp.cpp: Port
	  overlay.snap.SnapOverlayOp, update GeometrySnapper to be more
	  useful

2009-05-04 19:54  Sandro Santilli <strk@keybit.net>

	* [r2460] source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/overlay/snap/GeometrySnapper.h,
	  source/operation/overlay/Makefile.am,
	  source/operation/overlay/snap/GeometrySnapper.cpp: Port
	  overlay.snap.GeometrySnapper

2009-05-04 19:51  Sandro Santilli <strk@keybit.net>

	* [r2459]
	  source/headers/geos/operation/overlay/snap/LineStringSnapper.h,
	  source/operation/overlay/snap/LineStringSnapper.cpp: Extend to
	  accept a vector of const Coordinate pointers for snap pointers,
	  fix typo making it clone snap points rather than source points on
	  snapping...

2009-05-02 11:01  Sandro Santilli <strk@keybit.net>

	* [r2458] source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/overlay/snap,
	  source/headers/geos/operation/overlay/snap/LineStringSnapper.h,
	  source/operation/overlay/Makefile.am,
	  source/operation/overlay/snap,
	  source/operation/overlay/snap/LineStringSnapper.cpp: Port
	  overlay.snap.LineStringSnapper from JTS-1.10

2009-05-02 10:59  Sandro Santilli <strk@keybit.net>

	* [r2457] source/geom/CoordinateArraySequence.cpp,
	  source/headers/geos/geom/CoordinateArraySequence.h,
	  source/headers/geos/geom/CoordinateSequence.h,
	  tests/unit/geom/CoordinateArraySequenceTest.cpp: Add an
	  insert-like virtual method to CoordinateSequence. This comes from
	  CoordinateList of JTS, historically bound to CoordinateSequence
	  in GEOS. Add test for that interface.

2009-05-02 09:44  Sandro Santilli <strk@keybit.net>

	* [r2456] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/general/MISSING,
	  tests/xmltester/tests/general/TestRectanglePredicate.xml: Copy
	  last portable JTS general test, add a file with info about what's
	  missing

2009-05-02 09:42  Sandro Santilli <strk@keybit.net>

	* [r2455] tests/xmltester/tests/testLeaksBig.xml: Drop test also
	  found in TestFunctionPLPrec.xml

2009-05-02 09:40  Sandro Santilli <strk@keybit.net>

	* [r2454] tests/xmltester/XMLTester.cpp: Add support for testing
	  within, covers and coveredby. Properly use 'arg1' and 'arg2' for
	  these tests.

2009-05-02 09:25  Sandro Santilli <strk@keybit.net>

	* [r2453] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/general/TestWithinDistance.xml,
	  tests/xmltester/tests/testLeaksBig.xml: Copy
	  TestWithinDistance.xml test, drop duplicates from
	  testLeaksBig.xml

2009-05-02 09:20  Sandro Santilli <strk@keybit.net>

	* [r2452] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/general/TestFunctionAA.xml,
	  tests/xmltester/tests/general/TestFunctionAAPrec.xml,
	  tests/xmltester/tests/general/TestFunctionLA.xml,
	  tests/xmltester/tests/general/TestFunctionLAPrec.xml,
	  tests/xmltester/tests/general/TestFunctionLL.xml,
	  tests/xmltester/tests/general/TestFunctionLLPrec.xml,
	  tests/xmltester/tests/general/TestFunctionPA.xml,
	  tests/xmltester/tests/general/TestFunctionPL.xml,
	  tests/xmltester/tests/general/TestFunctionPLPrec.xml,
	  tests/xmltester/tests/general/TestFunctionPP.xml: More tests from
	  JTS (TestFunction*)

2009-05-02 09:17  Sandro Santilli <strk@keybit.net>

	* [r2451] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/general/TestBoundary.xml: Boundary test

2009-05-02 09:16  Sandro Santilli <strk@keybit.net>

	* [r2450] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/general/TestConvexHull-big.xml,
	  tests/xmltester/tests/general/TestConvexHull.xml: ConvexHull
	  tests

2009-05-02 09:11  Sandro Santilli <strk@keybit.net>

	* [r2449] tests/xmltester/Makefile.am,
	  tests/xmltester/XMLTester.cpp,
	  tests/xmltester/tests/general/TestRelateAA.xml,
	  tests/xmltester/tests/general/TestRelateAC.xml,
	  tests/xmltester/tests/general/TestRelateLA.xml,
	  tests/xmltester/tests/general/TestRelateLC.xml,
	  tests/xmltester/tests/general/TestRelateLL.xml,
	  tests/xmltester/tests/general/TestRelatePA.xml,
	  tests/xmltester/tests/general/TestRelatePL.xml,
	  tests/xmltester/tests/general/TestRelatePP.xml: Add support for
	  testing 'contains' in XMLTester, add all Relate tests from JTS

2009-05-02 09:01  Sandro Santilli <strk@keybit.net>

	* [r2448] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/TestBuffer.xml,
	  tests/xmltester/tests/TestBufferMitredJoin.xml,
	  tests/xmltester/tests/TestCentroid.xml,
	  tests/xmltester/tests/TestInteriorPoint.xml,
	  tests/xmltester/tests/TestSimple.xml,
	  tests/xmltester/tests/TestValid.xml,
	  tests/xmltester/tests/TestValid2-big.xml,
	  tests/xmltester/tests/TestValid2.xml,
	  tests/xmltester/tests/general,
	  tests/xmltester/tests/general/TestBuffer.xml,
	  tests/xmltester/tests/general/TestBufferMitredJoin.xml,
	  tests/xmltester/tests/general/TestCentroid.xml,
	  tests/xmltester/tests/general/TestInteriorPoint.xml,
	  tests/xmltester/tests/general/TestSimple.xml,
	  tests/xmltester/tests/general/TestValid.xml,
	  tests/xmltester/tests/general/TestValid2-big.xml,
	  tests/xmltester/tests/general/TestValid2.xml: More organization
	  of xml tests: 'general' subdir following JTS

2009-05-02 08:44  Sandro Santilli <strk@keybit.net>

	* [r2447] tests/xmltester/Makefile.am, tests/xmltester/tests/stmlf,
	  tests/xmltester/tests/stmlf-cases-20061020.xml,
	  tests/xmltester/tests/stmlf-cases-20070119.xml,
	  tests/xmltester/tests/stmlf/stmlf-cases-20061020.xml,
	  tests/xmltester/tests/stmlf/stmlf-cases-20070119.xml: Put stml
	  testcases under their own dir (like in JTS)

2009-05-02 08:37  Sandro Santilli <strk@keybit.net>

	* [r2446] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/TestRobustOverlayFixed.xml,
	  tests/xmltester/tests/robust,
	  tests/xmltester/tests/robust/TestRobustOverlayFixed.xml,
	  tests/xmltester/tests/robust/TestRobustRelate.xml,
	  tests/xmltester/tests/split.xml: Add a 'split.xml' testcase to
	  confirm 'difference' may be used to split linestrings; add
	  TestRobustRelate.xml from JTS, organize robust-related tests as
	  in JTS repository.

2009-04-30 12:42  Sandro Santilli <strk@keybit.net>

	* [r2444] source/headers/geos/noding/snapround/SimpleSnapRounder.h:
	  drop duplicated (and old) port info

2009-04-30 12:33  Sandro Santilli <strk@keybit.net>

	* [r2443] NEWS, source/geom/Geometry.cpp,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/Geometry.inl: Update port info

2009-04-30 12:17  Sandro Santilli <strk@keybit.net>

	* [r2442] source/geom/Point.cpp, source/headers/geos/geom/Point.h:
	  Point full up to JTS-1.0 (rev 1.37) : adds reverse()

2009-04-30 12:07  Sandro Santilli <strk@keybit.net>

	* [r2441] source/geom/LineString.cpp,
	  source/headers/geos/geom/LineString.h: LineString to rev 1.46 :
	  don't override isSimple, always return MultiPoint as bondary

2009-04-30 11:47  Sandro Santilli <strk@keybit.net>

	* [r2440] source/geom/Polygon.cpp,
	  source/headers/geos/geom/Polygon.h: Polygon to rev 1.50
	  (getBoundary always return MultiLineString)

2009-04-30 11:42  Sandro Santilli <strk@keybit.net>

	* [r2439] source/geom/MultiPoint.cpp,
	  source/headers/geos/geom/MultiPoint.h: MultiPoint up to rev 1.30
	  (drop isSimple override)

2009-04-30 11:36  Sandro Santilli <strk@keybit.net>

	* [r2438] source/geom/MultiLineString.cpp,
	  source/headers/geos/geom/MultiLineString.h,
	  source/headers/geos/geom/MultiLineString.inl: MultiLineString
	  port info and sync to 1.40 (don't override isSimple)

2009-04-30 11:29  Sandro Santilli <strk@keybit.net>

	* [r2437] source/geom/MultiPolygon.cpp,
	  source/headers/geos/geom/MultiPolygon.h,
	  source/headers/geos/geom/MultiPolygon.inl: MultiPolygon up to rev
	  1.34 (getBoundary always returns a MultiLineString now)

2009-04-30 11:19  Sandro Santilli <strk@keybit.net>

	* [r2436] source/geom/GeometryCollection.cpp,
	  source/headers/geos/geom/GeometryCollection.h: Oops, *now* we're
	  at 1.14 (drop isSimple, rely on the one in base class)

2009-04-30 11:15  Sandro Santilli <strk@keybit.net>

	* [r2435] source/geom/GeometryCollection.cpp,
	  source/headers/geos/geom/GeometryCollection.h,
	  source/headers/geos/geom/GeometryCollection.inl: Port info. It's
	  at 1.41 now, JTS is at 1.42

2009-04-30 11:03  Sandro Santilli <strk@keybit.net>

	* [r2434] source/geom/Geometry.cpp,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/Geometry.inl: Geometry class up to JTS
	  rev 1.104 (need reach 1.127...)

2009-04-30 10:59  Sandro Santilli <strk@keybit.net>

	* [r2433] NEWS: Add some info about things changed (might have
	  missed something)

2009-04-30 10:51  Sandro Santilli <strk@keybit.net>

	* [r2432] source/headers/geos/operation/IsSimpleOp.h,
	  source/operation/IsSimpleOp.cpp: Sync to rev 1.22 (JTS-1.10)

2009-04-30 10:47  Sandro Santilli <strk@keybit.net>

	* [r2431] source/headers/geos/operation.h: EndpointInfo.h header is
	  gone (it's always been private in JTS)

2009-04-30 10:46  Sandro Santilli <strk@keybit.net>

	* [r2430] source/headers/geos/operation/EndpointInfo.h,
	  source/headers/geos/operation/IsSimpleOp.h,
	  source/headers/geos/operation/Makefile.am,
	  source/operation/IsSimpleOp.cpp: Port revision 1.9 of IsSimplOp :
	  allow inspecting non-simple location coordinate.

2009-04-30 10:43  Sandro Santilli <strk@keybit.net>

	* [r2429] source/geomgraph/EdgeIntersection.cpp,
	  source/headers/geos/geomgraph/EdgeIntersection.h: Sync to
	  revision 1.5 (JTS-1.10) : add accessors

2009-04-30 09:54  Sandro Santilli <strk@keybit.net>

	* [r2428] source/headers/geos/operation/IsSimpleOp.h,
	  source/operation/IsSimpleOp.cpp: port to rev 1.8 (use of
	  BoundaryNodeRule)

2009-04-30 09:49  Sandro Santilli <strk@keybit.net>

	* [r2427] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/TestSimple.xml,
	  tests/xmltester/tests/testLeaksBig.xml: Import TestSimple.xml
	  from JTS, drop duplicated tests from testLeaksBig.xml

2009-04-30 09:26  Sandro Santilli <strk@keybit.net>

	* [r2426] source/algorithm/BoundaryNodeRule.cpp,
	  source/algorithm/Makefile.am,
	  source/headers/geos/algorithm/BoundaryNodeRule.h,
	  source/headers/geos/algorithm/Makefile.am: Port
	  algorithm::BoundaryNodeRule from JTS-1.10 (needed for IsSimpleOp
	  sync)

2009-04-30 08:33  Sandro Santilli <strk@keybit.net>

	* [r2425] source/headers/geos/operation/IsSimpleOp.h,
	  source/operation/IsSimpleOp.cpp: Port info, and sync from 1.14 to
	  1.17 (more to do, need more classes)

2009-04-29 23:52  Mateusz Loskot <mateusz@loskot.net>

	* [r2424] tests/unit/capi/GEOSContainsTest.cpp,
	  tests/unit/capi/GEOSCoordSeqTest.cpp,
	  tests/unit/capi/GEOSGeomFromWKBTest.cpp,
	  tests/unit/capi/GEOSGeomToWKTTest.cpp,
	  tests/unit/capi/GEOSPolygonizer_getCutEdgesTest.cpp,
	  tests/unit/capi/GEOSPreparedGeometryTest.cpp,
	  tests/unit/capi/GEOSSimplifyTest.cpp,
	  tests/unit/capi/GEOSWithinTest.cpp: test/unit/capi: re-tab all
	  .cpp files to use spaces.

2009-04-29 23:46  Mateusz Loskot <mateusz@loskot.net>

	* [r2423] tests/unit/capi/GEOSContainsTest.cpp,
	  tests/unit/capi/GEOSWithinTest.cpp: Removed unused <memory>
	  header from C API tests.

2009-04-29 23:44  Mateusz Loskot <mateusz@loskot.net>

	* [r2422] tests/unit/Makefile.am,
	  tests/unit/capi/GEOSContainsTest.cpp,
	  tests/unit/capi/GEOSWithinTest.cpp: Added new unit tests for C
	  API: GEOSWithinTest and GEOSContainsTest. This is check and
	  response for problems reporting in Ticket #250. Running the new
	  tests does not reproduce the problem, so it likely has been fixed
	  or the bug is somewhere else (i.e. Django layers).

2009-04-29 09:44  Sandro Santilli <strk@keybit.net>

	* [r2421] source/headers/geos/util/GeometricShapeFactory.h,
	  source/util/GeometricShapeFactory.cpp: Sync GeometricShapeFactory
	  to JTS-1.10 (createArcPolygon added)

2009-04-29 08:56  Sandro Santilli <strk@keybit.net>

	* [r2420] source/geom/prep/AbstractPreparedPolygonContains.cpp,
	  source/geom/prep/PreparedPolygonContainsProperly.cpp,
	  source/geom/prep/PreparedPolygonCovers.cpp,
	  source/geom/prep/PreparedPolygonIntersects.cpp,
	  source/geom/prep/PreparedPolygonPredicate.cpp,
	  source/headers/geos/geom/prep/AbstractPreparedPolygonContains.h,
	  source/headers/geos/geom/prep/PreparedPolygonContainsProperly.h,
	  source/headers/geos/geom/prep/PreparedPolygonCovers.h,
	  source/headers/geos/geom/prep/PreparedPolygonIntersects.h,
	  source/headers/geos/geom/prep/PreparedPolygonPredicate.h: Bring
	  all geom::prep package in sync with JTS-1.10

2009-04-29 08:22  Sandro Santilli <strk@keybit.net>

